(*  :Title:	Initialization file for the Filter Optimization Packages *)

(*  :Authors:	Brian L. Evans and Niranjan Damera-Venkata *)

(*
    :Summary:   The Filter Optimization Packages generate the Matlab
		code to optimize an existing filter design for multiple
		characteristics such as magnitude response, phase
		response, quality, and peak overshoot step response.
 *)

(*  :Context:	FilterOptimization`Master`  *)

(*  :PackageVersion:  FOP 1.1	@(#)Master.m	1.9	06/21/98  *)

(*
   :Copyright:

Copyright (c) 1993-1998 The Regents of the University of California.
All rights reserved.

Permission is hereby granted, without written agreement and without
license or royalty fees, to use, copy, modify, and distribute this
software and its documentation for any purpose, provided that the above
copyright notice and the following two paragraphs appear in all copies
of this software.

IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY 
FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES 
ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF 
THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF 
SUCH DAMAGE.

THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS.
 *)

(*  :History:	*)

(*  :Keywords:	*)

(*  :Source:	*)

(*  :Warning:	*)

(*  :Mathematica Version:  2.0  *)

(*  :Limitation:  *)

(* :Discussion:  *)

(*  :Functions:	*)

BeginPackage[ "FilterOptimization`Master`" ];
EndPackage[];

DeclarePackage[ "FilterOptimization`CodeGen`", { 
		  "abs", "angle", "cos", "cosh", "exp", "i", "inv", "length",
		  "log", "max", "min", "pi", "prod", "sign", "sin", "sinh",
		  "size", "sqrt", "sum", "tan", "tanh",
		  "$IntegrationSamplePoints", "CodeGeneratorPreprocessor",
		  "integrate", "MatlabCodeGen", "MmaToMatlab" } ];

DeclarePackage[ "FilterOptimization`CostMeasures`", { 
		  "$StopbandDecades", "linearPhaseCost",
		  "magnitudeCostPassband", "magnitudeCostStopband",
		  "magnitudeCostTransband", "overshootCost", "qualityCost",
		  "w", "weightedCosts" } ];

DeclarePackage[ "FilterOptimization`Filters`", {
		  "deriveLinearPhaseSlope", "linearPhaseSlope", "magnitude",
		  "peakTimeApprox", "percentOvershoot",
		  "percentOvershootInSection", "phase", "quality",
		  "qualityOneSection", "stepResponse" } ];

DeclarePackage[ "FilterOptimization`Generator`", { 
		  "bestcost", "bestroot", "eps", "errvec", "f", "g",
		  "gf", "GC", "options", "poleloc", "root", "tpa",
		  "tpc", "wc", "x", "MatlabOptimizationGen" } ];

Null
