(* Fourth-order analog filter designed by optimization program  *)

(*
%% Matlab script to run the optimization
%% Code Generated by Mathematica packages written by Brian L. Evans
%% Copyright 1993 by the University of California

%% This program uses the following global variables:
global dp ds maxO wmax Wmp Wms Wmt WO wp Wph WQ ws tpeak1;

%% The following constants have been given default values:
Wmp = 1;             %% weight on mag. response in passband
Wmt = 1;             %% weight on mag. response in transition band
Wms = 1;             %% weight on mag. response in stopband
Wph = 0.1;           %% weight on deviation from linear phase
WQ = 1;              %% weight on quality factor cost
WO = 1;              %% weight on percent overshoot cost
wp = 20;            %% end of passband frequency
ws = 30;             %% start of stopband frequency
wmax = wp;           %% max. frequency for filter to exhibit linear phase
maxO = 20;           %% max. percent overshoot of the step response
dp = 0.21;            %% allowable mag. error in the passband
ds = 0.31;           %% allowable mag. error in the stopband

.
.
.

-9.6893  -25.6473  -20.4675   -0.0000

 *)

(* Gradients were provided *)

wp = 20;            %% end of passband frequency
ws = 30;             %% start of stopband frequency
dp = 0.21;            %% allowable mag. error in the passband
ds = 0.31;           %% allowable mag. error in the stopband

n = 2;
rules = { r[1] ->  -9.6893, r[2] ->  -25.6473,
	  i[1] -> -20.4675, i[2] ->        0 };

<<Analyze.m
