(* Fourth-order analog filter designed by optimization program  *)

(* minimize overshoot and linear phase response *)

(*
%% Matlab script to run the optimization
%% Code Generated by Mathematica packages written by Brian L. Evans
%% Copyright 1993 by the University of California

%% This program uses the following global variables:
global dp ds maxO wmax Wmp Wms Wmt WO wp Wph WQ ws tpeak1;

%% The following constants have been given default values:
Wmp = 0;             %% weight on mag. response in passband
Wmt = 0;             %% weight on mag. response in transition band
Wms = 0;             %% weight on mag. response in stopband
Wph = 0.1;           %% weight on deviation from linear phase
WQ = 0;              %% weight on quality factor cost
WO = 1;              %% weight on percent overshoot cost
wp = 20;            %% end of passband frequency
ws = 30;             %% start of stopband frequency
wmax = wp;           %% max. frequency for filter to exhibit linear phase
maxO = 20;           %% max. percent overshoot of the step response
dp = 0.21;            %% allowable mag. error in the passband
ds = 0.31;           %% allowable mag. error in the stopband

.
.
.

-7.7918  -19.5623  -22.8984   -0.6255

 *)

(* Gradients were provided *)

wp = 20;            %% end of passband frequency
ws = 30;             %% start of stopband frequency
dp = 0.21;            %% allowable mag. error in the passband
ds = 0.31;           %% allowable mag. error in the stopband

n = 2;
rules = { r[1] ->  -7.7918, r[2] ->  -19.5623,
	  i[1] -> -22.8984, i[2] ->   -0.6255 };

plotstyle = Thickness[0.006]

<<Analyze.m

magplot = magplot1;
phaseplot = phaseplot1;
stepplot1 = stepplot;


(*  the initial filter  *)

plotstyle = { { Thickness[0.006], Dashing[{0.02}] } }

rules = { r[1] ->  -8.4149, r[2] ->  -20.3153,
	  i[1] -> -20.3153, i[2] ->   -8.4149 };

<<Analyze.m

magp = Show[ magplot, magplot1 ];
phasep = Show[ phaseplot, phaseplot1 ];
stepp = Show[ stepplot, stepplot1 ];

Display[ "!psfix >mag_4l.ps", magp ];
Display[ "!psfix >phase_4l.ps", phasep ];
Display[ "!psfix >step_4l.ps", stepp ];
