function [gf,GC]=costder2(x)
% COSTDER2 computes the gradient of the cost function
%	for an analog filter having 2 complex pole pairs.
%
%	Code Generated by Mathematica packages written by Brian L. Evans
%	Copyright 1993 by the Regents of the University of California

%% Extract real and imaginary components of the filters's poles a +/- j b

%% Extract real and imaginary components of the filters's zeros c +/- j d
a = x(1:2);
b = x(3:4);
c = x(5:4);
d = x(5:4);

%% Global parameters
global dp ds maxO wmax Wmp Wms Wmt WO wp Wph WQ ws tpeak1;

%% Approximate tpeak by a differentiable function and assign it to tpa
expr92 = 1./2;
expr93 = b(1);
expr94 = a(1).^2 + b(1).^2;
expr95 = sin(angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2))) + angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2))));
expr96 = b(1).*cos(angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2))) + angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2))));
expr97 = a(1).*sin(angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2))) + angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2))));
expr98 = a(1).^2;
expr99 = b(1).^2;
expr100 = a(1);
expr101 = b(1).^(-1);
expr102 = b(2);
expr103 = a(2).^2 + b(2).^2;
expr104 = sin(angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2))) + angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2))));
expr105 = b(2).*cos(angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2))) + angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2))));
expr106 = a(2).*sin(angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2))) + angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2))));
expr107 = a(2).^2;
expr108 = b(2).^2;
expr109 = a(2);
expr110 = b(2).^(-1);
expr111 = -(expr110.*(pi - angle(1 + (expr102.*expr103.*expr104.*i)./((expr105 + expr106).*(expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106))))));
expr112 = -(expr101.*(pi - angle(1 + (expr93.*expr94.*expr95.*i)./((expr96 + expr97).*(-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99)))));
expr113 = (expr111 + expr112).*expr92;
tpa = expr113;

%% Correction to approximation of tpeak is tpc
tpc = tpeak1./tpa;
%alph=tpeak1./alpha(x);
%tpeak1

%% Derivative for a(1)
w5 = [ws:(99.*ws)./100:100.*ws];
expr114 = -1./99;
expr115 = ws.^(-1);
expr116 = (a(1).^2 + b(1).^2).^2;
expr117 = 4.*w5.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr118 = ((a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr119 = (a(2).^2 + b(2).^2).^2;
expr120 = ((a(2).^2 + b(2).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr121 = 4./99;
expr122 = ((a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr123 = expr114.*expr115.*expr116.*expr117.*expr118.*expr119.*expr120.*Wms + expr100.*expr115.*expr119.*expr120.*expr121.*expr122.*expr94.*Wms;
integrate5 = trapz(w5, expr123);
w6 = [0:wp./100:wp];
expr124 = wp.^(-1);
expr125 = -1./2;
expr126 = 4.*w6.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr127 = (a(2).^2 + b(2).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(2).^2 - b(2).^2));
expr128 = (a(1).^2 + b(1).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(1).^2 - b(1).^2));
expr129 = -3./2;
expr130 = 2.*expr124.*(-1 + expr103.*(expr127.*expr128).^expr125.*expr94).*(2.*expr100.*expr103.*(expr127.*expr128).^expr125 + expr103.*expr125.*expr126.*expr127.*(expr127.*expr128).^expr129.*expr94).*Wmp;
integrate6 = trapz(w6, expr130);
w7 = [wp:(-wp + ws)./100:ws];
expr131 = (-wp + ws).^(-1);
expr132 = 4.*w7.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr133 = (a(2).^2 + b(2).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(2).^2 - b(2).^2));
expr134 = (a(1).^2 + b(1).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(1).^2 - b(1).^2));
expr135 = -(w7./(wp - ws));
expr136 = ws./(wp - ws);
expr137 = 2.*expr131.*(expr135 + expr136 + expr103.*(expr133.*expr134).^expr125.*expr94).*(2.*expr100.*expr103.*(expr133.*expr134).^expr125 + expr103.*expr125.*expr132.*expr133.*(expr133.*expr134).^expr129.*expr94).*Wmt;
integrate7 = trapz(w7, expr137);
w8 = [0:wmax./100:wmax];
expr138 = wmax.^(-1);
expr139 = -((w8 - b(1))./(a(1).^2.*(1 + (w8 - b(1)).^2./a(1).^2)));
expr140 = -((w8 + b(1))./(a(1).^2.*(1 + (w8 + b(1)).^2./a(1).^2)));
expr141 = wmax.^(-3);
expr142 = -2.*wmax;
expr143 = 2.*a(1).*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1)));
expr144 = (2.*(wmax - b(1)).^2.*b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2));
expr145 = (-2.*b(1).*(wmax + b(1)).^2)./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2));
expr146 = -wmax.^2 - a(1).^2 + b(1).^2;
expr147 = -((wmax - b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2)));
expr148 = -((wmax + b(1))./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2)));
expr149 = -(b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr150 = b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr151 = angle(1 + (i.*(w8 - b(1)))./a(1));
expr152 = angle(1 + (i.*(w8 + b(1)))./a(1));
expr153 = angle(1 + (i.*(w8 - b(2)))./a(2));
expr154 = angle(1 + (i.*(w8 + b(2)))./a(2));
expr155 = -2.*wmax.*a(1);
expr156 = angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1));
expr157 = -(a(1).*b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr158 = a(1).*b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr159 = -2.*wmax.*a(2);
expr160 = angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2));
expr161 = -wmax.^2 - a(2).^2 + b(2).^2;
expr162 = -(a(2).*b(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr163 = a(2).*b(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr164 = expr139 + expr140 + expr129.*expr141.*(expr142 + expr143 + expr144 + expr145 - expr146.*(expr147 + expr148) + expr149 + expr150).*w8;
expr165 = expr151 + expr152 + expr153 + expr154 - 3.*expr141.*((expr155 - expr146.*expr156 + expr157 + expr158).*expr92 + (expr159 - expr160.*expr161 + expr162 + expr163).*expr92).*w8;
expr166 = 2.*expr138.*expr164.*expr165.*Wph;
integrate8 = trapz(w8, expr166);
expr167 = 1./4;
expr168 = sqrt((sqrt(a(1).^2 + b(1).^2).*sqrt(a(2).^2 + b(2).^2))./(a(1).*a(2))).^(-1);
expr169 = sqrt(a(2).^2 + b(2).^2)./(a(2).*sqrt(a(1).^2 + b(1).^2));
expr170 = -((sqrt(a(1).^2 + b(1).^2).*sqrt(a(2).^2 + b(2).^2))./(a(1).^2.*a(2)));
expr171 = ((a(1) - a(2)).^2 + (b(1) - b(2)).^2).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr172 = ((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr173 = 2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) - b(2)).^2);
expr174 = 2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr175 = (a(1) - a(2)).^(-2);
expr176 = (1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2).^(-1);
expr177 = b(1) - b(2);
expr178 = -((b(1) + b(2))./((a(1) - a(2)).^2.*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2)));
expr179 = cos(angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2))) + angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2))));
expr180 = sin(angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2))) + angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2)))).^2;
expr181 = 2.*a(1);
expr182 = sin(angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2))) + angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2)))).^2;
expr183 = (-a(1) + a(2)).^(-2);
expr184 = -b(1) + b(2);
expr185 = (1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2).^(-1);
expr186 = (b(1) + b(2))./((-a(1) + a(2)).^2.*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr187 = cos(angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2))) + angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2))));
expr188 = -2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2);
expr189 = -2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr190 = expr167.*expr168.*(expr169 + expr170).*WQ;
expr191 = expr105 + expr106;
expr192 = expr172.^expr125;
expr193 = -((expr103.*expr104)./(expr105 + expr106)) + expr109;
expr194 = expr171.^expr125;
expr195 = expr96 + expr97;
expr196 = expr100 - (expr94.*expr95)./(expr96 + expr97);
expr197 = -(expr102.*expr104.*(expr183.*expr184.*expr185 + expr186)) + expr109.*(expr183.*expr184.*expr185 + expr186).*expr187;
expr198 = expr172.^expr129;
expr199 = expr188 + expr189;
expr200 = (1 + (expr108.*expr119.*expr182)./((expr105 + expr106).^2.*(expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106)).^2)).^(-1);
expr201 = (expr102.*expr103.*(expr183.*expr184.*expr185 + expr186).*expr187)./((expr105 + expr106).*(expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106)));
expr202 = (expr105 + expr106).^(-2);
expr203 = (expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106)).^(-1);
expr204 = (expr105 + expr106).^(-1);
expr205 = (expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106)).^(-2);
expr206 = -((expr103.*expr109.*(expr183.*expr184.*expr185 + expr186).*expr187)./(expr105 + expr106));
expr207 = (expr103.*expr104.*expr109.*(-(expr102.*expr104.*(expr183.*expr184.*expr185 + expr186)) + expr109.*(expr183.*expr184.*expr185 + expr186).*expr187))./(expr105 + expr106).^2;
expr208 = (1 + (expr116.*expr180.*expr99)./((expr96 + expr97).^2.*(-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99).^2)).^(-1);
expr209 = (expr96 + expr97).^(-1);
expr210 = (expr100.*expr94.*expr95.*(expr100.*(-(expr175.*expr176.*expr177) + expr178).*expr179 + expr95 - (-(expr175.*expr176.*expr177) + expr178).*expr93.*expr95))./(expr96 + expr97).^2;
expr211 = -((expr100.*(-(expr175.*expr176.*expr177) + expr178).*expr179.*expr94)./(expr96 + expr97));
expr212 = -((expr94.*expr95)./(expr96 + expr97));
expr213 = (-2.*expr95.*expr98)./(expr96 + expr97);
expr214 = (-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99).^(-2);
expr215 = expr100.*(-(expr175.*expr176.*expr177) + expr178).*expr179 + expr95 - (-(expr175.*expr176.*expr177) + expr178).*expr93.*expr95;
expr216 = (expr96 + expr97).^(-2);
expr217 = (-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99).^(-1);
expr218 = ((-(expr175.*expr176.*expr177) + expr178).*expr179.*expr93.*expr94)./((expr96 + expr97).*(-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99));
expr219 = (2.*expr100.*expr93.*expr95)./((expr96 + expr97).*(-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99));
expr220 = -((expr103.*(expr183.*expr184.*expr185 + expr186).*expr187)./(expr105 + expr106));
expr221 = (expr103.*expr104.*(-(expr102.*expr104.*(expr183.*expr184.*expr185 + expr186)) + expr109.*(expr183.*expr184.*expr185 + expr186).*expr187))./(expr105 + expr106).^2;
expr222 = expr171.^expr129;
expr223 = expr173 + expr174;
expr224 = (expr94.*expr95.*(expr100.*(-(expr175.*expr176.*expr177) + expr178).*expr179 + expr95 - (-(expr175.*expr176.*expr177) + expr178).*expr93.*expr95))./(expr96 + expr97).^2;
expr225 = -(((-(expr175.*expr176.*expr177) + expr178).*expr179.*expr94)./(expr96 + expr97));
expr226 = (-2.*expr100.*expr95)./(expr96 + expr97);
expr227 = expr110.*expr191.*expr192.*expr94.*(1 - exp(expr109.*(expr111 + expr112).*expr92.*tpc).*(cos(expr102.*(expr111 + expr112).*expr92.*tpc) - expr110.*expr193.*sin(expr102.*(expr111 + expr112).*expr92.*tpc)));
expr228 = expr101.*expr103.*expr194.*expr195.*(1 - exp(expr100.*(expr111 + expr112).*expr92.*tpc).*(cos((expr111 + expr112).*expr92.*expr93.*tpc) - expr101.*expr196.*sin((expr111 + expr112).*expr92.*expr93.*tpc)));
expr229 = 1 - exp(expr109.*(expr111 + expr112).*expr92.*tpc).*(cos(expr102.*(expr111 + expr112).*expr92.*tpc) - expr110.*expr193.*sin(expr102.*(expr111 + expr112).*expr92.*tpc));
expr230 = expr110.*expr192.*expr197.*expr94.*(1 - exp(expr109.*(expr111 + expr112).*expr92.*tpc).*(cos(expr102.*(expr111 + expr112).*expr92.*tpc) - expr110.*expr193.*sin(expr102.*(expr111 + expr112).*expr92.*tpc)));
expr231 = exp(expr109.*(expr111 + expr112).*expr92.*tpc);
expr232 = expr110.*expr200.*(expr201 - expr102.*expr103.*expr104.*expr197.*expr202.*expr203 - expr102.*expr103.*expr104.*expr204.*expr205.*(expr206 + expr207));
expr233 = expr101.*expr208.*(expr218 + expr219 - expr209.*(expr181 + expr210 + expr211 + expr212 + expr213).*expr214.*expr93.*expr94.*expr95 - expr215.*expr216.*expr217.*expr93.*expr94.*expr95);
expr234 = cos(expr102.*(expr111 + expr112).*expr92.*tpc) - expr110.*expr193.*sin(expr102.*(expr111 + expr112).*expr92.*tpc);
expr235 = cos(expr102.*(expr111 + expr112).*expr92.*tpc);
expr236 = -(expr110.*(expr220 + expr221).*sin(expr102.*(expr111 + expr112).*expr92.*tpc));
expr237 = sin(expr102.*(expr111 + expr112).*expr92.*tpc);
expr238 = expr101.*expr103.*expr194.*expr215.*(1 - exp(expr100.*(expr111 + expr112).*expr92.*tpc).*(cos((expr111 + expr112).*expr92.*expr93.*tpc) - expr101.*expr196.*sin((expr111 + expr112).*expr92.*expr93.*tpc)));
expr239 = 1 - exp(expr100.*(expr111 + expr112).*expr92.*tpc).*(cos((expr111 + expr112).*expr92.*expr93.*tpc) - expr101.*expr196.*sin((expr111 + expr112).*expr92.*expr93.*tpc));
expr240 = exp(expr100.*(expr111 + expr112).*expr92.*tpc);
expr241 = (expr111 + expr112).*expr92.*tpc;
expr242 = cos((expr111 + expr112).*expr92.*expr93.*tpc) - expr101.*expr196.*sin((expr111 + expr112).*expr92.*expr93.*tpc);
expr243 = cos((expr111 + expr112).*expr92.*expr93.*tpc);
expr244 = -(expr101.*(1 + expr224 + expr225 + expr226).*sin((expr111 + expr112).*expr92.*expr93.*tpc));
expr245 = sin((expr111 + expr112).*expr92.*expr93.*tpc);
expr246 = -1 + expr227 + expr228;
expr247 = 2.*expr100.*expr110.*expr191.*expr192.*expr229;
expr248 = expr101.*expr103.*expr125.*expr195.*expr222.*expr223.*expr239;
expr249 = expr110.*expr125.*expr191.*expr198.*expr199.*expr229.*expr94;
expr250 = expr110.*expr191.*expr192.*expr94.*(expr109.*expr125.*expr231.*(expr232 + expr233).*expr234.*tpc - expr231.*(expr236 + expr125.*expr193.*(expr232 + expr233).*expr235.*tpc + expr102.*expr125.*(expr232 + expr233).*expr237.*tpc));
expr251 = -(expr240.*expr242.*(expr241 + expr100.*(expr232 + expr233).*expr92.*tpc)) - expr240.*(expr244 + expr125.*expr196.*(expr232 + expr233).*expr243.*tpc + expr125.*(expr232 + expr233).*expr245.*expr93.*tpc);
expr252 = expr190 + integrate5 + integrate6 + integrate7 + integrate8 + 200.*expr246.*(expr230 + expr238 + expr247 + expr248 + expr249 + expr250 + expr101.*expr103.*expr194.*expr195.*expr251).*WO;
gf(1) = expr252;

%% Derivative for b(1)
w9 = [ws:(99.*ws)./100:100.*ws];
expr253 = -4.*w9.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr254 = ((a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr255 = ((a(2).^2 + b(2).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr256 = ((a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr257 = expr114.*expr115.*expr116.*expr119.*expr253.*expr254.*expr255.*Wms + expr115.*expr119.*expr121.*expr255.*expr256.*expr93.*expr94.*Wms;
integrate9 = trapz(w9, expr257);
w10 = [0:wp./100:wp];
expr258 = -4.*w10.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr259 = (a(2).^2 + b(2).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(2).^2 - b(2).^2));
expr260 = (a(1).^2 + b(1).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(1).^2 - b(1).^2));
expr261 = 2.*expr124.*(-1 + expr103.*(expr259.*expr260).^expr125.*expr94).*(2.*expr103.*(expr259.*expr260).^expr125.*expr93 + expr103.*expr125.*expr258.*expr259.*(expr259.*expr260).^expr129.*expr94).*Wmp;
integrate10 = trapz(w10, expr261);
w11 = [wp:(-wp + ws)./100:ws];
expr262 = -4.*w11.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr263 = (a(2).^2 + b(2).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(2).^2 - b(2).^2));
expr264 = (a(1).^2 + b(1).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(1).^2 - b(1).^2));
expr265 = -(w11./(wp - ws));
expr266 = 2.*expr131.*(expr136 + expr265 + expr103.*(expr263.*expr264).^expr125.*expr94).*(2.*expr103.*(expr263.*expr264).^expr125.*expr93 + expr103.*expr125.*expr262.*expr263.*(expr263.*expr264).^expr129.*expr94).*Wmt;
integrate11 = trapz(w11, expr266);
w12 = [0:wmax./100:wmax];
expr267 = -(1./(a(1).*(1 + (w12 - b(1)).^2./a(1).^2)));
expr268 = 1./(a(1).*(1 + (w12 + b(1)).^2./a(1).^2));
expr269 = -2.*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1))).*b(1);
expr270 = (2.*(wmax - b(1)).*b(1))./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2));
expr271 = (2.*b(1).*(wmax + b(1)))./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr272 = -(1./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2)));
expr273 = 1./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr274 = -(a(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr275 = a(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr276 = angle(1 + (i.*(w12 - b(1)))./a(1));
expr277 = angle(1 + (i.*(w12 + b(1)))./a(1));
expr278 = angle(1 + (i.*(w12 - b(2)))./a(2));
expr279 = angle(1 + (i.*(w12 + b(2)))./a(2));
expr280 = expr267 + expr268 + expr129.*expr141.*(expr269 + expr270 + expr271 - expr146.*(expr272 + expr273) + expr274 + expr275).*w12;
expr281 = expr276 + expr277 + expr278 + expr279 - 3.*expr141.*((expr155 - expr146.*expr156 + expr157 + expr158).*expr92 + (expr159 - expr160.*expr161 + expr162 + expr163).*expr92).*w12;
expr282 = 2.*expr138.*expr280.*expr281.*Wph;
integrate12 = trapz(w12, expr282);
expr283 = a(1).^(-1);
expr284 = a(2).^(-1);
expr285 = sqrt(a(1).^2 + b(1).^2).^(-1);
expr286 = sqrt(a(2).^2 + b(2).^2);
expr287 = b(1).^(-2);
expr288 = 2.*((a(1) - a(2)).^2 + (b(1) - b(2)).^2).*(b(1) + b(2));
expr289 = 2.*(b(1) - b(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr290 = 1./((a(1) - a(2)).*(1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2));
expr291 = 1./((a(1) - a(2)).*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2));
expr292 = 2.*b(1);
expr293 = -(1./((-a(1) + a(2)).*(1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr294 = 1./((-a(1) + a(2)).*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr295 = 2.*(b(1) + b(2)).*((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2);
expr296 = -2.*(-b(1) + b(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr297 = expr167.*expr168.*expr283.*expr284.*expr285.*expr286.*expr93.*WQ;
expr298 = -(expr102.*expr104.*(expr293 + expr294)) + expr109.*expr187.*(expr293 + expr294);
expr299 = expr295 + expr296;
expr300 = (expr102.*expr103.*expr187.*(expr293 + expr294))./((expr105 + expr106).*(expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106)));
expr301 = -((expr102.*expr103.*expr104.*(-(expr102.*expr104.*(expr293 + expr294)) + expr109.*expr187.*(expr293 + expr294)))./((expr105 + expr106).^2.*(expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106))));
expr302 = -((expr103.*expr109.*expr187.*(expr293 + expr294))./(expr105 + expr106)) + (expr103.*expr104.*expr109.*(-(expr102.*expr104.*(expr293 + expr294)) + expr109.*expr187.*(expr293 + expr294)))./(expr105 + expr106).^2;
expr303 = (expr100.*expr94.*expr95.*(expr179 + expr100.*expr179.*(expr290 + expr291) - (expr290 + expr291).*expr93.*expr95))./(expr96 + expr97).^2;
expr304 = -((expr100.*expr179.*(expr290 + expr291).*expr94)./(expr96 + expr97));
expr305 = (-2.*expr100.*expr93.*expr95)./(expr96 + expr97);
expr306 = expr179 + expr100.*expr179.*(expr290 + expr291) - (expr290 + expr291).*expr93.*expr95;
expr307 = (expr179.*(expr290 + expr291).*expr93.*expr94)./((expr96 + expr97).*(-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99));
expr308 = (expr94.*expr95)./((expr96 + expr97).*(-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99));
expr309 = (2.*expr95.*expr99)./((expr96 + expr97).*(-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99));
expr310 = expr287.*(pi - angle(1 + (expr93.*expr94.*expr95.*i)./((expr96 + expr97).*(-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99))));
expr311 = -((expr103.*expr187.*(expr293 + expr294))./(expr105 + expr106)) + (expr103.*expr104.*(-(expr102.*expr104.*(expr293 + expr294)) + expr109.*expr187.*(expr293 + expr294)))./(expr105 + expr106).^2;
expr312 = expr288 + expr289;
expr313 = (expr94.*expr95.*(expr179 + expr100.*expr179.*(expr290 + expr291) - (expr290 + expr291).*expr93.*expr95))./(expr96 + expr97).^2;
expr314 = -((expr179.*(expr290 + expr291).*expr94)./(expr96 + expr97));
expr315 = (-2.*expr93.*expr95)./(expr96 + expr97);
expr316 = expr110.*expr192.*expr298.*expr94.*(1 - exp(expr109.*(expr111 + expr112).*expr92.*tpc).*(cos(expr102.*(expr111 + expr112).*expr92.*tpc) - expr110.*expr193.*sin(expr102.*(expr111 + expr112).*expr92.*tpc)));
expr317 = expr110.*expr200.*(expr300 + expr301 - expr102.*expr103.*expr104.*expr204.*expr205.*expr302);
expr318 = expr101.*expr208.*(expr307 + expr308 + expr309 - expr209.*expr214.*(expr292 + expr303 + expr304 + expr305).*expr93.*expr94.*expr95 - expr216.*expr217.*expr306.*expr93.*expr94.*expr95);
expr319 = -(expr110.*expr311.*sin(expr102.*(expr111 + expr112).*expr92.*tpc));
expr320 = expr101.*expr103.*expr194.*expr306.*(1 - exp(expr100.*(expr111 + expr112).*expr92.*tpc).*(cos((expr111 + expr112).*expr92.*expr93.*tpc) - expr101.*expr196.*sin((expr111 + expr112).*expr92.*expr93.*tpc)));
expr321 = expr196.*expr287.*sin((expr111 + expr112).*expr92.*expr93.*tpc);
expr322 = -(expr101.*(expr313 + expr314 + expr315).*sin((expr111 + expr112).*expr92.*expr93.*tpc));
expr323 = -(expr103.*expr194.*expr195.*expr239.*expr287);
expr324 = expr101.*expr103.*expr125.*expr195.*expr222.*expr239.*expr312;
expr325 = 2.*expr110.*expr191.*expr192.*expr229.*expr93;
expr326 = expr110.*expr125.*expr191.*expr198.*expr229.*expr299.*expr94;
expr327 = expr110.*expr191.*expr192.*expr94.*(expr109.*expr125.*expr231.*expr234.*(expr310 + expr317 + expr318).*tpc - expr231.*(expr319 + expr125.*expr193.*expr235.*(expr310 + expr317 + expr318).*tpc + expr102.*expr125.*expr237.*(expr310 + expr317 + expr318).*tpc));
expr328 = expr100.*expr125.*expr240.*expr242.*(expr310 + expr317 + expr318).*tpc;
expr329 = -(expr240.*(expr321 + expr322 - expr101.*expr196.*expr243.*(expr241 + (expr310 + expr317 + expr318).*expr92.*expr93.*tpc) - expr245.*(expr241 + (expr310 + expr317 + expr318).*expr92.*expr93.*tpc)));
expr330 = expr297 + integrate10 + integrate11 + integrate12 + integrate9 + 200.*expr246.*(expr316 + expr320 + expr323 + expr324 + expr325 + expr326 + expr327 + expr101.*expr103.*expr194.*expr195.*(expr328 + expr329)).*WO;
gf(3) = expr330;

%% Derivative for a(2)
w13 = [ws:(99.*ws)./100:100.*ws];
expr331 = ((a(1).^2 + b(1).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr332 = 4.*w13.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr333 = ((a(2).^2 + b(2).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(2).^2 - b(2).^2))).^(-2);
expr334 = ((a(2).^2 + b(2).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr335 = expr114.*expr115.*expr116.*expr119.*expr331.*expr332.*expr333.*Wms + expr103.*expr109.*expr115.*expr116.*expr121.*expr331.*expr334.*Wms;
integrate13 = trapz(w13, expr335);
w14 = [0:wp./100:wp];
expr336 = (a(1).^2 + b(1).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(1).^2 - b(1).^2));
expr337 = 4.*w14.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr338 = (a(2).^2 + b(2).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(2).^2 - b(2).^2));
expr339 = 2.*expr124.*(-1 + expr103.*(expr336.*expr338).^expr125.*expr94).*(2.*expr109.*(expr336.*expr338).^expr125.*expr94 + expr103.*expr125.*expr336.*expr337.*(expr336.*expr338).^expr129.*expr94).*Wmp;
integrate14 = trapz(w14, expr339);
w15 = [wp:(-wp + ws)./100:ws];
expr340 = (a(1).^2 + b(1).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(1).^2 - b(1).^2));
expr341 = 4.*w15.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr342 = (a(2).^2 + b(2).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(2).^2 - b(2).^2));
expr343 = -(w15./(wp - ws));
expr344 = 2.*expr131.*(expr136 + expr343 + expr103.*(expr340.*expr342).^expr125.*expr94).*(2.*expr109.*(expr340.*expr342).^expr125.*expr94 + expr103.*expr125.*expr340.*expr341.*(expr340.*expr342).^expr129.*expr94).*Wmt;
integrate15 = trapz(w15, expr344);
w16 = [0:wmax./100:wmax];
expr345 = -((w16 - b(2))./(a(2).^2.*(1 + (w16 - b(2)).^2./a(2).^2)));
expr346 = -((w16 + b(2))./(a(2).^2.*(1 + (w16 + b(2)).^2./a(2).^2)));
expr347 = 2.*a(2).*(angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2)));
expr348 = (2.*(wmax - b(2)).^2.*b(2))./(a(2).^2.*(1 + (wmax - b(2)).^2./a(2).^2));
expr349 = (-2.*b(2).*(wmax + b(2)).^2)./(a(2).^2.*(1 + (wmax + b(2)).^2./a(2).^2));
expr350 = -((wmax - b(2))./(a(2).^2.*(1 + (wmax - b(2)).^2./a(2).^2)));
expr351 = -((wmax + b(2))./(a(2).^2.*(1 + (wmax + b(2)).^2./a(2).^2)));
expr352 = -(b(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr353 = b(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr354 = angle(1 + (i.*(w16 - b(1)))./a(1));
expr355 = angle(1 + (i.*(w16 + b(1)))./a(1));
expr356 = angle(1 + (i.*(w16 - b(2)))./a(2));
expr357 = angle(1 + (i.*(w16 + b(2)))./a(2));
expr358 = expr345 + expr346 + expr129.*expr141.*(expr142 + expr347 + expr348 + expr349 - expr161.*(expr350 + expr351) + expr352 + expr353).*w16;
expr359 = expr354 + expr355 + expr356 + expr357 - 3.*expr141.*((expr155 - expr146.*expr156 + expr157 + expr158).*expr92 + (expr159 - expr160.*expr161 + expr162 + expr163).*expr92).*w16;
expr360 = 2.*expr138.*expr358.*expr359.*Wph;
integrate16 = trapz(w16, expr360);
expr361 = sqrt(a(1).^2 + b(1).^2)./(a(1).*sqrt(a(2).^2 + b(2).^2));
expr362 = -((sqrt(a(1).^2 + b(1).^2).*sqrt(a(2).^2 + b(2).^2))./(a(1).*a(2).^2));
expr363 = -2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) - b(2)).^2);
expr364 = -2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr365 = (b(1) + b(2))./((a(1) - a(2)).^2.*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2));
expr366 = -((b(1) + b(2))./((-a(1) + a(2)).^2.*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr367 = 2.*a(2);
expr368 = 2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2);
expr369 = 2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr370 = expr167.*expr168.*(expr361 + expr362).*WQ;
expr371 = expr104 - expr102.*expr104.*(-(expr183.*expr184.*expr185) + expr366) + expr109.*expr187.*(-(expr183.*expr184.*expr185) + expr366);
expr372 = expr368 + expr369;
expr373 = (2.*expr102.*expr104.*expr109)./((expr105 + expr106).*(expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106)));
expr374 = (expr102.*expr103.*expr187.*(-(expr183.*expr184.*expr185) + expr366))./((expr105 + expr106).*(expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106)));
expr375 = -((expr103.*expr104)./(expr105 + expr106));
expr376 = (-2.*expr104.*expr107)./(expr105 + expr106);
expr377 = -((expr103.*expr109.*expr187.*(-(expr183.*expr184.*expr185) + expr366))./(expr105 + expr106));
expr378 = (expr103.*expr104.*expr109.*(expr104 - expr102.*expr104.*(-(expr183.*expr184.*expr185) + expr366) + expr109.*expr187.*(-(expr183.*expr184.*expr185) + expr366)))./(expr105 + expr106).^2;
expr379 = (expr100.*expr94.*expr95.*(expr100.*expr179.*(expr175.*expr176.*expr177 + expr365) - (expr175.*expr176.*expr177 + expr365).*expr93.*expr95))./(expr96 + expr97).^2;
expr380 = -((expr100.*expr179.*(expr175.*expr176.*expr177 + expr365).*expr94)./(expr96 + expr97));
expr381 = expr100.*expr179.*(expr175.*expr176.*expr177 + expr365) - (expr175.*expr176.*expr177 + expr365).*expr93.*expr95;
expr382 = (expr179.*(expr175.*expr176.*expr177 + expr365).*expr93.*expr94)./((expr96 + expr97).*(-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99));
expr383 = (-2.*expr104.*expr109)./(expr105 + expr106);
expr384 = -((expr103.*expr187.*(-(expr183.*expr184.*expr185) + expr366))./(expr105 + expr106));
expr385 = (expr103.*expr104.*(expr104 - expr102.*expr104.*(-(expr183.*expr184.*expr185) + expr366) + expr109.*expr187.*(-(expr183.*expr184.*expr185) + expr366)))./(expr105 + expr106).^2;
expr386 = expr363 + expr364;
expr387 = (expr94.*expr95.*(expr100.*expr179.*(expr175.*expr176.*expr177 + expr365) - (expr175.*expr176.*expr177 + expr365).*expr93.*expr95))./(expr96 + expr97).^2;
expr388 = -((expr179.*(expr175.*expr176.*expr177 + expr365).*expr94)./(expr96 + expr97));
expr389 = expr110.*expr192.*expr371.*expr94.*(1 - exp(expr109.*(expr111 + expr112).*expr92.*tpc).*(cos(expr102.*(expr111 + expr112).*expr92.*tpc) - expr110.*expr193.*sin(expr102.*(expr111 + expr112).*expr92.*tpc)));
expr390 = expr110.*expr200.*(-(expr102.*expr103.*expr104.*expr202.*expr203.*expr371) + expr373 + expr374 - expr102.*expr103.*expr104.*expr204.*expr205.*(expr367 + expr375 + expr376 + expr377 + expr378));
expr391 = expr101.*expr208.*(expr382 - expr209.*expr214.*(expr379 + expr380).*expr93.*expr94.*expr95 - expr216.*expr217.*expr381.*expr93.*expr94.*expr95);
expr392 = -(expr110.*(1 + expr383 + expr384 + expr385).*sin(expr102.*(expr111 + expr112).*expr92.*tpc));
expr393 = expr101.*expr103.*expr194.*expr381.*(1 - exp(expr100.*(expr111 + expr112).*expr92.*tpc).*(cos((expr111 + expr112).*expr92.*expr93.*tpc) - expr101.*expr196.*sin((expr111 + expr112).*expr92.*expr93.*tpc)));
expr394 = -(expr101.*(expr387 + expr388).*sin((expr111 + expr112).*expr92.*expr93.*tpc));
expr395 = 2.*expr101.*expr109.*expr194.*expr195.*expr239;
expr396 = expr101.*expr103.*expr125.*expr195.*expr222.*expr239.*expr386;
expr397 = expr110.*expr125.*expr191.*expr198.*expr229.*expr372.*expr94;
expr398 = -(expr231.*(expr392 + expr125.*expr193.*expr235.*(expr390 + expr391).*tpc + expr102.*expr125.*expr237.*(expr390 + expr391).*tpc)) - expr231.*expr234.*(expr241 + expr109.*(expr390 + expr391).*expr92.*tpc);
expr399 = expr101.*expr103.*expr194.*expr195.*(expr100.*expr125.*expr240.*expr242.*(expr390 + expr391).*tpc - expr240.*(expr394 + expr125.*expr196.*expr243.*(expr390 + expr391).*tpc + expr125.*expr245.*(expr390 + expr391).*expr93.*tpc));
expr400 = expr370 + integrate13 + integrate14 + integrate15 + integrate16 + 200.*expr246.*(expr389 + expr393 + expr395 + expr396 + expr397 + expr399 + expr110.*expr191.*expr192.*expr398.*expr94).*WO;
gf(2) = expr400;

%% Derivative for b(2)
w17 = [ws:(99.*ws)./100:100.*ws];
expr401 = ((a(1).^2 + b(1).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr402 = -4.*w17.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr403 = ((a(2).^2 + b(2).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(2).^2 - b(2).^2))).^(-2);
expr404 = ((a(2).^2 + b(2).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr405 = expr114.*expr115.*expr116.*expr119.*expr401.*expr402.*expr403.*Wms + expr102.*expr103.*expr115.*expr116.*expr121.*expr401.*expr404.*Wms;
integrate17 = trapz(w17, expr405);
w18 = [0:wp./100:wp];
expr406 = (a(1).^2 + b(1).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(1).^2 - b(1).^2));
expr407 = -4.*w18.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr408 = (a(2).^2 + b(2).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(2).^2 - b(2).^2));
expr409 = 2.*expr124.*(-1 + expr103.*(expr406.*expr408).^expr125.*expr94).*(2.*expr102.*(expr406.*expr408).^expr125.*expr94 + expr103.*expr125.*expr406.*expr407.*(expr406.*expr408).^expr129.*expr94).*Wmp;
integrate18 = trapz(w18, expr409);
w19 = [wp:(-wp + ws)./100:ws];
expr410 = (a(1).^2 + b(1).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(1).^2 - b(1).^2));
expr411 = -4.*w19.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr412 = (a(2).^2 + b(2).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(2).^2 - b(2).^2));
expr413 = -(w19./(wp - ws));
expr414 = 2.*expr131.*(expr136 + expr413 + expr103.*(expr410.*expr412).^expr125.*expr94).*(2.*expr102.*(expr410.*expr412).^expr125.*expr94 + expr103.*expr125.*expr410.*expr411.*(expr410.*expr412).^expr129.*expr94).*Wmt;
integrate19 = trapz(w19, expr414);
w20 = [0:wmax./100:wmax];
expr415 = -(1./(a(2).*(1 + (w20 - b(2)).^2./a(2).^2)));
expr416 = 1./(a(2).*(1 + (w20 + b(2)).^2./a(2).^2));
expr417 = -2.*(angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2))).*b(2);
expr418 = (2.*(wmax - b(2)).*b(2))./(a(2).*(1 + (wmax - b(2)).^2./a(2).^2));
expr419 = (2.*b(2).*(wmax + b(2)))./(a(2).*(1 + (wmax + b(2)).^2./a(2).^2));
expr420 = -(1./(a(2).*(1 + (wmax - b(2)).^2./a(2).^2)));
expr421 = 1./(a(2).*(1 + (wmax + b(2)).^2./a(2).^2));
expr422 = -(a(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr423 = a(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr424 = angle(1 + (i.*(w20 - b(1)))./a(1));
expr425 = angle(1 + (i.*(w20 + b(1)))./a(1));
expr426 = angle(1 + (i.*(w20 - b(2)))./a(2));
expr427 = angle(1 + (i.*(w20 + b(2)))./a(2));
expr428 = expr415 + expr416 + expr129.*expr141.*(expr417 + expr418 + expr419 - expr161.*(expr420 + expr421) + expr422 + expr423).*w20;
expr429 = expr424 + expr425 + expr426 + expr427 - 3.*expr141.*((expr155 - expr146.*expr156 + expr157 + expr158).*expr92 + (expr159 - expr160.*expr161 + expr162 + expr163).*expr92).*w20;
expr430 = 2.*expr138.*expr428.*expr429.*Wph;
integrate20 = trapz(w20, expr430);
expr431 = sqrt(a(1).^2 + b(1).^2);
expr432 = sqrt(a(2).^2 + b(2).^2).^(-1);
expr433 = -2.*(b(1) - b(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr434 = -(1./((a(1) - a(2)).*(1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2)));
expr435 = b(2).^(-2);
expr436 = 1./((-a(1) + a(2)).*(1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr437 = 2.*b(2);
expr438 = 2.*(-b(1) + b(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr439 = expr102.*expr167.*expr168.*expr283.*expr284.*expr431.*expr432.*WQ;
expr440 = expr187 - expr102.*expr104.*(expr294 + expr436) + expr109.*expr187.*(expr294 + expr436);
expr441 = expr295 + expr438;
expr442 = (expr103.*expr104)./((expr105 + expr106).*(expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106)));
expr443 = (2.*expr104.*expr108)./((expr105 + expr106).*(expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106)));
expr444 = (expr102.*expr103.*expr187.*(expr294 + expr436))./((expr105 + expr106).*(expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106)));
expr445 = (-2.*expr102.*expr104.*expr109)./(expr105 + expr106);
expr446 = -((expr103.*expr109.*expr187.*(expr294 + expr436))./(expr105 + expr106));
expr447 = (expr103.*expr104.*expr109.*(expr187 - expr102.*expr104.*(expr294 + expr436) + expr109.*expr187.*(expr294 + expr436)))./(expr105 + expr106).^2;
expr448 = (expr100.*expr94.*expr95.*(expr100.*expr179.*(expr291 + expr434) - (expr291 + expr434).*expr93.*expr95))./(expr96 + expr97).^2 - (expr100.*expr179.*(expr291 + expr434).*expr94)./(expr96 + expr97);
expr449 = -((expr93.*expr94.*expr95.*(expr100.*expr179.*(expr291 + expr434) - (expr291 + expr434).*expr93.*expr95))./((expr96 + expr97).^2.*(-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99)));
expr450 = (expr179.*(expr291 + expr434).*expr93.*expr94)./((expr96 + expr97).*(-((expr100.*expr94.*expr95)./(expr96 + expr97)) + expr98 + expr99));
expr451 = expr435.*(pi - angle(1 + (expr102.*expr103.*expr104.*i)./((expr105 + expr106).*(expr107 + expr108 - (expr103.*expr104.*expr109)./(expr105 + expr106)))));
expr452 = (-2.*expr102.*expr104)./(expr105 + expr106);
expr453 = -((expr103.*expr187.*(expr294 + expr436))./(expr105 + expr106));
expr454 = (expr103.*expr104.*(expr187 - expr102.*expr104.*(expr294 + expr436) + expr109.*expr187.*(expr294 + expr436)))./(expr105 + expr106).^2;
expr455 = expr100.*expr179.*(expr291 + expr434) - (expr291 + expr434).*expr93.*expr95;
expr456 = expr288 + expr433;
expr457 = (expr94.*expr95.*(expr100.*expr179.*(expr291 + expr434) - (expr291 + expr434).*expr93.*expr95))./(expr96 + expr97).^2 - (expr179.*(expr291 + expr434).*expr94)./(expr96 + expr97);
expr458 = expr110.*expr192.*expr440.*expr94.*(1 - exp(expr109.*(expr111 + expr112).*expr92.*tpc).*(cos(expr102.*(expr111 + expr112).*expr92.*tpc) - expr110.*expr193.*sin(expr102.*(expr111 + expr112).*expr92.*tpc)));
expr459 = expr110.*expr200.*(-(expr102.*expr103.*expr104.*expr202.*expr203.*expr440) + expr442 + expr443 + expr444 - expr102.*expr103.*expr104.*expr204.*expr205.*(expr437 + expr445 + expr446 + expr447));
expr460 = expr101.*expr208.*(expr449 + expr450 - expr209.*expr214.*expr448.*expr93.*expr94.*expr95);
expr461 = expr193.*expr435.*sin(expr102.*(expr111 + expr112).*expr92.*tpc);
expr462 = -(expr110.*(expr452 + expr453 + expr454).*sin(expr102.*(expr111 + expr112).*expr92.*tpc));
expr463 = expr101.*expr103.*expr194.*expr455.*(1 - exp(expr100.*(expr111 + expr112).*expr92.*tpc).*(cos((expr111 + expr112).*expr92.*expr93.*tpc) - expr101.*expr196.*sin((expr111 + expr112).*expr92.*expr93.*tpc)));
expr464 = -(expr101.*expr457.*sin((expr111 + expr112).*expr92.*expr93.*tpc));
expr465 = 2.*expr101.*expr102.*expr194.*expr195.*expr239;
expr466 = expr101.*expr103.*expr125.*expr195.*expr222.*expr239.*expr456;
expr467 = -(expr191.*expr192.*expr229.*expr435.*expr94);
expr468 = expr110.*expr125.*expr191.*expr198.*expr229.*expr441.*expr94;
expr469 = expr101.*expr103.*expr194.*expr195.*(expr100.*expr125.*expr240.*expr242.*(expr451 + expr459 + expr460).*tpc - expr240.*(expr464 + expr125.*expr196.*expr243.*(expr451 + expr459 + expr460).*tpc + expr125.*expr245.*(expr451 + expr459 + expr460).*expr93.*tpc));
expr470 = expr109.*expr125.*expr231.*expr234.*(expr451 + expr459 + expr460).*tpc;
expr471 = -(expr231.*(expr461 + expr462 - expr110.*expr193.*expr235.*(expr241 + expr102.*(expr451 + expr459 + expr460).*expr92.*tpc) - expr237.*(expr241 + expr102.*(expr451 + expr459 + expr460).*expr92.*tpc)));
expr472 = expr439 + integrate17 + integrate18 + integrate19 + integrate20 + 200.*expr246.*(expr458 + expr463 + expr465 + expr466 + expr467 + expr468 + expr469 + expr110.*expr191.*expr192.*(expr470 + expr471).*expr94).*WO;
gf(4) = expr472;

%% Derivative of constraints on the cost function

%%   First derivative w/r to a(1) of constraint #1
expr473 = -1./(2.*sqrt(a(1).^2 + b(1).^2)) + sqrt(a(1).^2 + b(1).^2)./(2.*a(1).^2);
GC(1, 1) = expr473;

%%   First derivative w/r to a(1) of constraint #2
expr474 = 0;
GC(1, 2) = expr474;

%%   First derivative w/r to a(1) of constraint #3
expr475 = (wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr476 = (wp.^2.*(wp.^2./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr477 = (wp.^2.*(wp.^2./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr478 = 2.*expr100.*expr103.*((expr119 + expr476).*(expr116 + expr477)).^expr125 + expr103.*expr125.*expr475.*(expr119 + expr476).*((expr119 + expr476).*(expr116 + expr477)).^expr129.*expr94;
GC(1, 3) = expr478;

%%   First derivative w/r to a(1) of constraint #4
expr479 = -2.*expr100.*expr103.*((expr119 + expr476).*(expr116 + expr477)).^expr125 + expr103.*expr475.*(expr119 + expr476).*((expr119 + expr476).*(expr116 + expr477)).^expr129.*expr92.*expr94;
GC(1, 4) = expr479;

%%   First derivative w/r to a(1) of constraint #5
expr480 = (4.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr481 = (wp.^2.*(wp.^2./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr482 = (wp.^2.*(wp.^2./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr483 = 2.*expr100.*expr103.*((expr119 + expr481).*(expr116 + expr482)).^expr125 + expr103.*expr125.*expr480.*(expr119 + expr481).*((expr119 + expr481).*(expr116 + expr482)).^expr129.*expr94;
GC(1, 5) = expr483;

%%   First derivative w/r to a(1) of constraint #6
expr484 = -2.*expr100.*expr103.*((expr119 + expr481).*(expr116 + expr482)).^expr125 + expr103.*expr480.*(expr119 + expr481).*((expr119 + expr481).*(expr116 + expr482)).^expr129.*expr92.*expr94;
GC(1, 6) = expr484;

%%   First derivative w/r to a(1) of constraint #7
expr485 = (9.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr486 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr487 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr488 = 2.*expr100.*expr103.*((expr119 + expr486).*(expr116 + expr487)).^expr125 + expr103.*expr125.*expr485.*(expr119 + expr486).*((expr119 + expr486).*(expr116 + expr487)).^expr129.*expr94;
GC(1, 7) = expr488;

%%   First derivative w/r to a(1) of constraint #8
expr489 = -2.*expr100.*expr103.*((expr119 + expr486).*(expr116 + expr487)).^expr125 + expr103.*expr485.*(expr119 + expr486).*((expr119 + expr486).*(expr116 + expr487)).^expr129.*expr92.*expr94;
GC(1, 8) = expr489;

%%   First derivative w/r to a(1) of constraint #9
expr490 = (16.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr491 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr492 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr493 = 2.*expr100.*expr103.*((expr119 + expr491).*(expr116 + expr492)).^expr125 + expr103.*expr125.*expr490.*(expr119 + expr491).*((expr119 + expr491).*(expr116 + expr492)).^expr129.*expr94;
GC(1, 9) = expr493;

%%   First derivative w/r to a(1) of constraint #10
expr494 = -2.*expr100.*expr103.*((expr119 + expr491).*(expr116 + expr492)).^expr125 + expr103.*expr490.*(expr119 + expr491).*((expr119 + expr491).*(expr116 + expr492)).^expr129.*expr92.*expr94;
GC(1, 10) = expr494;

%%   First derivative w/r to a(1) of constraint #11
expr495 = wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr496 = (wp.^2.*(wp.^2./4 + 2.*(a(2).^2 - b(2).^2)))./4;
expr497 = (wp.^2.*(wp.^2./4 + 2.*(a(1).^2 - b(1).^2)))./4;
expr498 = 2.*expr100.*expr103.*((expr119 + expr496).*(expr116 + expr497)).^expr125 + expr103.*expr125.*expr495.*(expr119 + expr496).*((expr119 + expr496).*(expr116 + expr497)).^expr129.*expr94;
GC(1, 11) = expr498;

%%   First derivative w/r to a(1) of constraint #12
expr499 = -2.*expr100.*expr103.*((expr119 + expr496).*(expr116 + expr497)).^expr125 + expr103.*expr495.*(expr119 + expr496).*((expr119 + expr496).*(expr116 + expr497)).^expr129.*expr92.*expr94;
GC(1, 12) = expr499;

%%   First derivative w/r to a(1) of constraint #13
expr500 = (36.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr501 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr502 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr503 = 2.*expr100.*expr103.*((expr119 + expr501).*(expr116 + expr502)).^expr125 + expr103.*expr125.*expr500.*(expr119 + expr501).*((expr119 + expr501).*(expr116 + expr502)).^expr129.*expr94;
GC(1, 13) = expr503;

%%   First derivative w/r to a(1) of constraint #14
expr504 = -2.*expr100.*expr103.*((expr119 + expr501).*(expr116 + expr502)).^expr125 + expr103.*expr500.*(expr119 + expr501).*((expr119 + expr501).*(expr116 + expr502)).^expr129.*expr92.*expr94;
GC(1, 14) = expr504;

%%   First derivative w/r to a(1) of constraint #15
expr505 = (49.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr506 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr507 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr508 = 2.*expr100.*expr103.*((expr119 + expr506).*(expr116 + expr507)).^expr125 + expr103.*expr125.*expr505.*(expr119 + expr506).*((expr119 + expr506).*(expr116 + expr507)).^expr129.*expr94;
GC(1, 15) = expr508;

%%   First derivative w/r to a(1) of constraint #16
expr509 = -2.*expr100.*expr103.*((expr119 + expr506).*(expr116 + expr507)).^expr125 + expr103.*expr505.*(expr119 + expr506).*((expr119 + expr506).*(expr116 + expr507)).^expr129.*expr92.*expr94;
GC(1, 16) = expr509;

%%   First derivative w/r to a(1) of constraint #17
expr510 = (64.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr511 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr512 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr513 = 2.*expr100.*expr103.*((expr119 + expr511).*(expr116 + expr512)).^expr125 + expr103.*expr125.*expr510.*(expr119 + expr511).*((expr119 + expr511).*(expr116 + expr512)).^expr129.*expr94;
GC(1, 17) = expr513;

%%   First derivative w/r to a(1) of constraint #18
expr514 = -2.*expr100.*expr103.*((expr119 + expr511).*(expr116 + expr512)).^expr125 + expr103.*expr510.*(expr119 + expr511).*((expr119 + expr511).*(expr116 + expr512)).^expr129.*expr92.*expr94;
GC(1, 18) = expr514;

%%   First derivative w/r to a(1) of constraint #19
expr515 = (81.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr516 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr517 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr518 = 2.*expr100.*expr103.*((expr119 + expr516).*(expr116 + expr517)).^expr125 + expr103.*expr125.*expr515.*(expr119 + expr516).*((expr119 + expr516).*(expr116 + expr517)).^expr129.*expr94;
GC(1, 19) = expr518;

%%   First derivative w/r to a(1) of constraint #20
expr519 = -2.*expr100.*expr103.*((expr119 + expr516).*(expr116 + expr517)).^expr125 + expr103.*expr515.*(expr119 + expr516).*((expr119 + expr516).*(expr116 + expr517)).^expr129.*expr92.*expr94;
GC(1, 20) = expr519;

%%   First derivative w/r to a(1) of constraint #21
expr520 = 4.*wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr521 = (a(2).^2 + b(2).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(2).^2 - b(2).^2));
expr522 = (a(1).^2 + b(1).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(1).^2 - b(1).^2));
expr523 = 2.*expr100.*expr103.*(expr521.*expr522).^expr125 + expr103.*expr125.*expr520.*expr521.*(expr521.*expr522).^expr129.*expr94;
GC(1, 21) = expr523;

%%   First derivative w/r to a(1) of constraint #22
expr524 = -2.*expr100.*expr103.*(expr521.*expr522).^expr125 + expr103.*expr520.*expr521.*(expr521.*expr522).^expr129.*expr92.*expr94;
GC(1, 22) = expr524;

%%   First derivative w/r to a(1) of constraint #23
expr525 = 4.*ws.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr526 = (a(2).^2 + b(2).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(2).^2 - b(2).^2));
expr527 = (a(1).^2 + b(1).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(1).^2 - b(1).^2));
expr528 = 2.*expr100.*expr103.*(expr526.*expr527).^expr125 + expr103.*expr125.*expr525.*expr526.*(expr526.*expr527).^expr129.*expr94;
GC(1, 23) = expr528;

%%   First derivative w/r to a(1) of constraint #24
expr529 = expr230 + expr238 + expr247 + expr248 + expr249 + expr250 + expr101.*expr103.*expr194.*expr195.*expr251;
GC(1, 24) = expr529;

%%   First derivative w/r to a(2) of constraint #1
expr530 = 0;
GC(2, 1) = expr530;

%%   First derivative w/r to a(2) of constraint #2
expr531 = -1./(2.*sqrt(a(2).^2 + b(2).^2)) + sqrt(a(2).^2 + b(2).^2)./(2.*a(2).^2);
GC(2, 2) = expr531;

%%   First derivative w/r to a(2) of constraint #3
expr532 = (wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr533 = 2.*expr109.*((expr119 + expr476).*(expr116 + expr477)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr477).*((expr119 + expr476).*(expr116 + expr477)).^expr129.*expr532.*expr94;
GC(2, 3) = expr533;

%%   First derivative w/r to a(2) of constraint #4
expr534 = -2.*expr109.*((expr119 + expr476).*(expr116 + expr477)).^expr125.*expr94 + expr103.*(expr116 + expr477).*((expr119 + expr476).*(expr116 + expr477)).^expr129.*expr532.*expr92.*expr94;
GC(2, 4) = expr534;

%%   First derivative w/r to a(2) of constraint #5
expr535 = (4.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr536 = 2.*expr109.*((expr119 + expr481).*(expr116 + expr482)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr482).*((expr119 + expr481).*(expr116 + expr482)).^expr129.*expr535.*expr94;
GC(2, 5) = expr536;

%%   First derivative w/r to a(2) of constraint #6
expr537 = -2.*expr109.*((expr119 + expr481).*(expr116 + expr482)).^expr125.*expr94 + expr103.*(expr116 + expr482).*((expr119 + expr481).*(expr116 + expr482)).^expr129.*expr535.*expr92.*expr94;
GC(2, 6) = expr537;

%%   First derivative w/r to a(2) of constraint #7
expr538 = (9.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr539 = 2.*expr109.*((expr119 + expr486).*(expr116 + expr487)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr487).*((expr119 + expr486).*(expr116 + expr487)).^expr129.*expr538.*expr94;
GC(2, 7) = expr539;

%%   First derivative w/r to a(2) of constraint #8
expr540 = -2.*expr109.*((expr119 + expr486).*(expr116 + expr487)).^expr125.*expr94 + expr103.*(expr116 + expr487).*((expr119 + expr486).*(expr116 + expr487)).^expr129.*expr538.*expr92.*expr94;
GC(2, 8) = expr540;

%%   First derivative w/r to a(2) of constraint #9
expr541 = (16.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr542 = 2.*expr109.*((expr119 + expr491).*(expr116 + expr492)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr492).*((expr119 + expr491).*(expr116 + expr492)).^expr129.*expr541.*expr94;
GC(2, 9) = expr542;

%%   First derivative w/r to a(2) of constraint #10
expr543 = -2.*expr109.*((expr119 + expr491).*(expr116 + expr492)).^expr125.*expr94 + expr103.*(expr116 + expr492).*((expr119 + expr491).*(expr116 + expr492)).^expr129.*expr541.*expr92.*expr94;
GC(2, 10) = expr543;

%%   First derivative w/r to a(2) of constraint #11
expr544 = wp.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr545 = 2.*expr109.*((expr119 + expr496).*(expr116 + expr497)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr497).*((expr119 + expr496).*(expr116 + expr497)).^expr129.*expr544.*expr94;
GC(2, 11) = expr545;

%%   First derivative w/r to a(2) of constraint #12
expr546 = -2.*expr109.*((expr119 + expr496).*(expr116 + expr497)).^expr125.*expr94 + expr103.*(expr116 + expr497).*((expr119 + expr496).*(expr116 + expr497)).^expr129.*expr544.*expr92.*expr94;
GC(2, 12) = expr546;

%%   First derivative w/r to a(2) of constraint #13
expr547 = (36.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr548 = 2.*expr109.*((expr119 + expr501).*(expr116 + expr502)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr502).*((expr119 + expr501).*(expr116 + expr502)).^expr129.*expr547.*expr94;
GC(2, 13) = expr548;

%%   First derivative w/r to a(2) of constraint #14
expr549 = -2.*expr109.*((expr119 + expr501).*(expr116 + expr502)).^expr125.*expr94 + expr103.*(expr116 + expr502).*((expr119 + expr501).*(expr116 + expr502)).^expr129.*expr547.*expr92.*expr94;
GC(2, 14) = expr549;

%%   First derivative w/r to a(2) of constraint #15
expr550 = (49.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr551 = 2.*expr109.*((expr119 + expr506).*(expr116 + expr507)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr507).*((expr119 + expr506).*(expr116 + expr507)).^expr129.*expr550.*expr94;
GC(2, 15) = expr551;

%%   First derivative w/r to a(2) of constraint #16
expr552 = -2.*expr109.*((expr119 + expr506).*(expr116 + expr507)).^expr125.*expr94 + expr103.*(expr116 + expr507).*((expr119 + expr506).*(expr116 + expr507)).^expr129.*expr550.*expr92.*expr94;
GC(2, 16) = expr552;

%%   First derivative w/r to a(2) of constraint #17
expr553 = (64.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr554 = 2.*expr109.*((expr119 + expr511).*(expr116 + expr512)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr512).*((expr119 + expr511).*(expr116 + expr512)).^expr129.*expr553.*expr94;
GC(2, 17) = expr554;

%%   First derivative w/r to a(2) of constraint #18
expr555 = -2.*expr109.*((expr119 + expr511).*(expr116 + expr512)).^expr125.*expr94 + expr103.*(expr116 + expr512).*((expr119 + expr511).*(expr116 + expr512)).^expr129.*expr553.*expr92.*expr94;
GC(2, 18) = expr555;

%%   First derivative w/r to a(2) of constraint #19
expr556 = (81.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr557 = 2.*expr109.*((expr119 + expr516).*(expr116 + expr517)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr517).*((expr119 + expr516).*(expr116 + expr517)).^expr129.*expr556.*expr94;
GC(2, 19) = expr557;

%%   First derivative w/r to a(2) of constraint #20
expr558 = -2.*expr109.*((expr119 + expr516).*(expr116 + expr517)).^expr125.*expr94 + expr103.*(expr116 + expr517).*((expr119 + expr516).*(expr116 + expr517)).^expr129.*expr556.*expr92.*expr94;
GC(2, 20) = expr558;

%%   First derivative w/r to a(2) of constraint #21
expr559 = 4.*wp.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr560 = 2.*expr109.*(expr521.*expr522).^expr125.*expr94 + expr103.*expr125.*expr522.*(expr521.*expr522).^expr129.*expr559.*expr94;
GC(2, 21) = expr560;

%%   First derivative w/r to a(2) of constraint #22
expr561 = -2.*expr109.*(expr521.*expr522).^expr125.*expr94 + expr103.*expr522.*(expr521.*expr522).^expr129.*expr559.*expr92.*expr94;
GC(2, 22) = expr561;

%%   First derivative w/r to a(2) of constraint #23
expr562 = 4.*ws.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr563 = 2.*expr109.*(expr526.*expr527).^expr125.*expr94 + expr103.*expr125.*expr527.*(expr526.*expr527).^expr129.*expr562.*expr94;
GC(2, 23) = expr563;

%%   First derivative w/r to a(2) of constraint #24
expr564 = expr389 + expr393 + expr395 + expr396 + expr397 + expr399 + expr110.*expr191.*expr192.*expr398.*expr94;
GC(2, 24) = expr564;

%%   First derivative w/r to b(1) of constraint #1
expr565 = -b(1)./(2.*a(1).*sqrt(a(1).^2 + b(1).^2));
GC(3, 1) = expr565;

%%   First derivative w/r to b(1) of constraint #2
expr566 = 0;
GC(3, 2) = expr566;

%%   First derivative w/r to b(1) of constraint #3
expr567 = -(wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr568 = 2.*expr103.*((expr119 + expr476).*(expr116 + expr477)).^expr125.*expr93 + expr103.*expr125.*(expr119 + expr476).*((expr119 + expr476).*(expr116 + expr477)).^expr129.*expr567.*expr94;
GC(3, 3) = expr568;

%%   First derivative w/r to b(1) of constraint #4
expr569 = -2.*expr103.*((expr119 + expr476).*(expr116 + expr477)).^expr125.*expr93 + expr103.*(expr119 + expr476).*((expr119 + expr476).*(expr116 + expr477)).^expr129.*expr567.*expr92.*expr94;
GC(3, 4) = expr569;

%%   First derivative w/r to b(1) of constraint #5
expr570 = (-4.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr571 = 2.*expr103.*((expr119 + expr481).*(expr116 + expr482)).^expr125.*expr93 + expr103.*expr125.*(expr119 + expr481).*((expr119 + expr481).*(expr116 + expr482)).^expr129.*expr570.*expr94;
GC(3, 5) = expr571;

%%   First derivative w/r to b(1) of constraint #6
expr572 = -2.*expr103.*((expr119 + expr481).*(expr116 + expr482)).^expr125.*expr93 + expr103.*(expr119 + expr481).*((expr119 + expr481).*(expr116 + expr482)).^expr129.*expr570.*expr92.*expr94;
GC(3, 6) = expr572;

%%   First derivative w/r to b(1) of constraint #7
expr573 = (-9.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr574 = 2.*expr103.*((expr119 + expr486).*(expr116 + expr487)).^expr125.*expr93 + expr103.*expr125.*(expr119 + expr486).*((expr119 + expr486).*(expr116 + expr487)).^expr129.*expr573.*expr94;
GC(3, 7) = expr574;

%%   First derivative w/r to b(1) of constraint #8
expr575 = -2.*expr103.*((expr119 + expr486).*(expr116 + expr487)).^expr125.*expr93 + expr103.*(expr119 + expr486).*((expr119 + expr486).*(expr116 + expr487)).^expr129.*expr573.*expr92.*expr94;
GC(3, 8) = expr575;

%%   First derivative w/r to b(1) of constraint #9
expr576 = (-16.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr577 = 2.*expr103.*((expr119 + expr491).*(expr116 + expr492)).^expr125.*expr93 + expr103.*expr125.*(expr119 + expr491).*((expr119 + expr491).*(expr116 + expr492)).^expr129.*expr576.*expr94;
GC(3, 9) = expr577;

%%   First derivative w/r to b(1) of constraint #10
expr578 = -2.*expr103.*((expr119 + expr491).*(expr116 + expr492)).^expr125.*expr93 + expr103.*(expr119 + expr491).*((expr119 + expr491).*(expr116 + expr492)).^expr129.*expr576.*expr92.*expr94;
GC(3, 10) = expr578;

%%   First derivative w/r to b(1) of constraint #11
expr579 = -(wp.^2.*b(1)) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr580 = 2.*expr103.*((expr119 + expr496).*(expr116 + expr497)).^expr125.*expr93 + expr103.*expr125.*(expr119 + expr496).*((expr119 + expr496).*(expr116 + expr497)).^expr129.*expr579.*expr94;
GC(3, 11) = expr580;

%%   First derivative w/r to b(1) of constraint #12
expr581 = -2.*expr103.*((expr119 + expr496).*(expr116 + expr497)).^expr125.*expr93 + expr103.*(expr119 + expr496).*((expr119 + expr496).*(expr116 + expr497)).^expr129.*expr579.*expr92.*expr94;
GC(3, 12) = expr581;

%%   First derivative w/r to b(1) of constraint #13
expr582 = (-36.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr583 = 2.*expr103.*((expr119 + expr501).*(expr116 + expr502)).^expr125.*expr93 + expr103.*expr125.*(expr119 + expr501).*((expr119 + expr501).*(expr116 + expr502)).^expr129.*expr582.*expr94;
GC(3, 13) = expr583;

%%   First derivative w/r to b(1) of constraint #14
expr584 = -2.*expr103.*((expr119 + expr501).*(expr116 + expr502)).^expr125.*expr93 + expr103.*(expr119 + expr501).*((expr119 + expr501).*(expr116 + expr502)).^expr129.*expr582.*expr92.*expr94;
GC(3, 14) = expr584;

%%   First derivative w/r to b(1) of constraint #15
expr585 = (-49.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr586 = 2.*expr103.*((expr119 + expr506).*(expr116 + expr507)).^expr125.*expr93 + expr103.*expr125.*(expr119 + expr506).*((expr119 + expr506).*(expr116 + expr507)).^expr129.*expr585.*expr94;
GC(3, 15) = expr586;

%%   First derivative w/r to b(1) of constraint #16
expr587 = -2.*expr103.*((expr119 + expr506).*(expr116 + expr507)).^expr125.*expr93 + expr103.*(expr119 + expr506).*((expr119 + expr506).*(expr116 + expr507)).^expr129.*expr585.*expr92.*expr94;
GC(3, 16) = expr587;

%%   First derivative w/r to b(1) of constraint #17
expr588 = (-64.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr589 = 2.*expr103.*((expr119 + expr511).*(expr116 + expr512)).^expr125.*expr93 + expr103.*expr125.*(expr119 + expr511).*((expr119 + expr511).*(expr116 + expr512)).^expr129.*expr588.*expr94;
GC(3, 17) = expr589;

%%   First derivative w/r to b(1) of constraint #18
expr590 = -2.*expr103.*((expr119 + expr511).*(expr116 + expr512)).^expr125.*expr93 + expr103.*(expr119 + expr511).*((expr119 + expr511).*(expr116 + expr512)).^expr129.*expr588.*expr92.*expr94;
GC(3, 18) = expr590;

%%   First derivative w/r to b(1) of constraint #19
expr591 = (-81.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr592 = 2.*expr103.*((expr119 + expr516).*(expr116 + expr517)).^expr125.*expr93 + expr103.*expr125.*(expr119 + expr516).*((expr119 + expr516).*(expr116 + expr517)).^expr129.*expr591.*expr94;
GC(3, 19) = expr592;

%%   First derivative w/r to b(1) of constraint #20
expr593 = -2.*expr103.*((expr119 + expr516).*(expr116 + expr517)).^expr125.*expr93 + expr103.*(expr119 + expr516).*((expr119 + expr516).*(expr116 + expr517)).^expr129.*expr591.*expr92.*expr94;
GC(3, 20) = expr593;

%%   First derivative w/r to b(1) of constraint #21
expr594 = -4.*wp.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr595 = 2.*expr103.*(expr521.*expr522).^expr125.*expr93 + expr103.*expr125.*expr521.*(expr521.*expr522).^expr129.*expr594.*expr94;
GC(3, 21) = expr595;

%%   First derivative w/r to b(1) of constraint #22
expr596 = -2.*expr103.*(expr521.*expr522).^expr125.*expr93 + expr103.*expr521.*(expr521.*expr522).^expr129.*expr594.*expr92.*expr94;
GC(3, 22) = expr596;

%%   First derivative w/r to b(1) of constraint #23
expr597 = -4.*ws.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr598 = 2.*expr103.*(expr526.*expr527).^expr125.*expr93 + expr103.*expr125.*expr526.*(expr526.*expr527).^expr129.*expr597.*expr94;
GC(3, 23) = expr598;

%%   First derivative w/r to b(1) of constraint #24
expr599 = expr316 + expr320 + expr323 + expr324 + expr325 + expr326 + expr327 + expr101.*expr103.*expr194.*expr195.*(expr328 + expr329);
GC(3, 24) = expr599;

%%   First derivative w/r to b(2) of constraint #1
expr600 = 0;
GC(4, 1) = expr600;

%%   First derivative w/r to b(2) of constraint #2
expr601 = -b(2)./(2.*a(2).*sqrt(a(2).^2 + b(2).^2));
GC(4, 2) = expr601;

%%   First derivative w/r to b(2) of constraint #3
expr602 = -(wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr603 = 2.*expr102.*((expr119 + expr476).*(expr116 + expr477)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr477).*((expr119 + expr476).*(expr116 + expr477)).^expr129.*expr602.*expr94;
GC(4, 3) = expr603;

%%   First derivative w/r to b(2) of constraint #4
expr604 = -2.*expr102.*((expr119 + expr476).*(expr116 + expr477)).^expr125.*expr94 + expr103.*(expr116 + expr477).*((expr119 + expr476).*(expr116 + expr477)).^expr129.*expr602.*expr92.*expr94;
GC(4, 4) = expr604;

%%   First derivative w/r to b(2) of constraint #5
expr605 = (-4.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr606 = 2.*expr102.*((expr119 + expr481).*(expr116 + expr482)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr482).*((expr119 + expr481).*(expr116 + expr482)).^expr129.*expr605.*expr94;
GC(4, 5) = expr606;

%%   First derivative w/r to b(2) of constraint #6
expr607 = -2.*expr102.*((expr119 + expr481).*(expr116 + expr482)).^expr125.*expr94 + expr103.*(expr116 + expr482).*((expr119 + expr481).*(expr116 + expr482)).^expr129.*expr605.*expr92.*expr94;
GC(4, 6) = expr607;

%%   First derivative w/r to b(2) of constraint #7
expr608 = (-9.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr609 = 2.*expr102.*((expr119 + expr486).*(expr116 + expr487)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr487).*((expr119 + expr486).*(expr116 + expr487)).^expr129.*expr608.*expr94;
GC(4, 7) = expr609;

%%   First derivative w/r to b(2) of constraint #8
expr610 = -2.*expr102.*((expr119 + expr486).*(expr116 + expr487)).^expr125.*expr94 + expr103.*(expr116 + expr487).*((expr119 + expr486).*(expr116 + expr487)).^expr129.*expr608.*expr92.*expr94;
GC(4, 8) = expr610;

%%   First derivative w/r to b(2) of constraint #9
expr611 = (-16.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr612 = 2.*expr102.*((expr119 + expr491).*(expr116 + expr492)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr492).*((expr119 + expr491).*(expr116 + expr492)).^expr129.*expr611.*expr94;
GC(4, 9) = expr612;

%%   First derivative w/r to b(2) of constraint #10
expr613 = -2.*expr102.*((expr119 + expr491).*(expr116 + expr492)).^expr125.*expr94 + expr103.*(expr116 + expr492).*((expr119 + expr491).*(expr116 + expr492)).^expr129.*expr611.*expr92.*expr94;
GC(4, 10) = expr613;

%%   First derivative w/r to b(2) of constraint #11
expr614 = -(wp.^2.*b(2)) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr615 = 2.*expr102.*((expr119 + expr496).*(expr116 + expr497)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr497).*((expr119 + expr496).*(expr116 + expr497)).^expr129.*expr614.*expr94;
GC(4, 11) = expr615;

%%   First derivative w/r to b(2) of constraint #12
expr616 = -2.*expr102.*((expr119 + expr496).*(expr116 + expr497)).^expr125.*expr94 + expr103.*(expr116 + expr497).*((expr119 + expr496).*(expr116 + expr497)).^expr129.*expr614.*expr92.*expr94;
GC(4, 12) = expr616;

%%   First derivative w/r to b(2) of constraint #13
expr617 = (-36.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr618 = 2.*expr102.*((expr119 + expr501).*(expr116 + expr502)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr502).*((expr119 + expr501).*(expr116 + expr502)).^expr129.*expr617.*expr94;
GC(4, 13) = expr618;

%%   First derivative w/r to b(2) of constraint #14
expr619 = -2.*expr102.*((expr119 + expr501).*(expr116 + expr502)).^expr125.*expr94 + expr103.*(expr116 + expr502).*((expr119 + expr501).*(expr116 + expr502)).^expr129.*expr617.*expr92.*expr94;
GC(4, 14) = expr619;

%%   First derivative w/r to b(2) of constraint #15
expr620 = (-49.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr621 = 2.*expr102.*((expr119 + expr506).*(expr116 + expr507)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr507).*((expr119 + expr506).*(expr116 + expr507)).^expr129.*expr620.*expr94;
GC(4, 15) = expr621;

%%   First derivative w/r to b(2) of constraint #16
expr622 = -2.*expr102.*((expr119 + expr506).*(expr116 + expr507)).^expr125.*expr94 + expr103.*(expr116 + expr507).*((expr119 + expr506).*(expr116 + expr507)).^expr129.*expr620.*expr92.*expr94;
GC(4, 16) = expr622;

%%   First derivative w/r to b(2) of constraint #17
expr623 = (-64.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr624 = 2.*expr102.*((expr119 + expr511).*(expr116 + expr512)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr512).*((expr119 + expr511).*(expr116 + expr512)).^expr129.*expr623.*expr94;
GC(4, 17) = expr624;

%%   First derivative w/r to b(2) of constraint #18
expr625 = -2.*expr102.*((expr119 + expr511).*(expr116 + expr512)).^expr125.*expr94 + expr103.*(expr116 + expr512).*((expr119 + expr511).*(expr116 + expr512)).^expr129.*expr623.*expr92.*expr94;
GC(4, 18) = expr625;

%%   First derivative w/r to b(2) of constraint #19
expr626 = (-81.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr627 = 2.*expr102.*((expr119 + expr516).*(expr116 + expr517)).^expr125.*expr94 + expr103.*expr125.*(expr116 + expr517).*((expr119 + expr516).*(expr116 + expr517)).^expr129.*expr626.*expr94;
GC(4, 19) = expr627;

%%   First derivative w/r to b(2) of constraint #20
expr628 = -2.*expr102.*((expr119 + expr516).*(expr116 + expr517)).^expr125.*expr94 + expr103.*(expr116 + expr517).*((expr119 + expr516).*(expr116 + expr517)).^expr129.*expr626.*expr92.*expr94;
GC(4, 20) = expr628;

%%   First derivative w/r to b(2) of constraint #21
expr629 = -4.*wp.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr630 = 2.*expr102.*(expr521.*expr522).^expr125.*expr94 + expr103.*expr125.*expr522.*(expr521.*expr522).^expr129.*expr629.*expr94;
GC(4, 21) = expr630;

%%   First derivative w/r to b(2) of constraint #22
expr631 = -2.*expr102.*(expr521.*expr522).^expr125.*expr94 + expr103.*expr522.*(expr521.*expr522).^expr129.*expr629.*expr92.*expr94;
GC(4, 22) = expr631;

%%   First derivative w/r to b(2) of constraint #23
expr632 = -4.*ws.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr633 = 2.*expr102.*(expr526.*expr527).^expr125.*expr94 + expr103.*expr125.*expr527.*(expr526.*expr527).^expr129.*expr632.*expr94;
GC(4, 23) = expr633;

%%   First derivative w/r to b(2) of constraint #24
GC(4, 24) = expr472;

end
