function [gf,GC]=costder2(x)
% COSTDER2 computes the gradient of the cost function
%	for an analog filter having 2 complex pole pairs.
%
%	Code Generated by Mathematica packages written by Brian L. Evans
%	Copyright 1993 by the Regents of the University of California

%% Extract real and imaginary components of the filters's poles a +/- j b

%% Extract real and imaginary components of the filters's zeros c +/- j d
a = x(1:2);
b = x(3:4);
c = x(5:5);
d = x(6:6);

%% Global parameters
global dp ds maxO wmax Wmp Wms Wmt WO wp Wph WQ ws tpeak1;

%% Approximate tpeak by a differentiable function and assign it to tpa
expr133 = 1./2;
expr134 = b(1);
expr135 = a(1).^2 + b(1).^2;
expr136 = angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2)));
expr137 = angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2)));
expr138 = -angle(1 + (i.*(b(1) - d(1)))./(a(1) - c(1)));
expr139 = -angle(1 + (i.*(b(1) + d(1)))./(a(1) - c(1)));
expr140 = a(1);
expr141 = a(1).^2;
expr142 = b(1).^2;
expr143 = b(1).^(-1);
expr144 = b(2);
expr145 = a(2).^2 + b(2).^2;
expr146 = angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2)));
expr147 = angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2)));
expr148 = -angle(1 + (i.*(b(2) - d(1)))./(a(2) - c(1)));
expr149 = -angle(1 + (i.*(b(2) + d(1)))./(a(2) - c(1)));
expr150 = a(2);
expr151 = a(2).^2;
expr152 = b(2).^2;
expr153 = b(2).^(-1);
expr154 = sin(expr136 + expr137 + expr138 + expr139);
expr155 = (expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)).^(-1);
expr156 = (expr141 + expr142 - (expr135.*expr140.*sin(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139))).^(-1);
expr157 = sin(expr146 + expr147 + expr148 + expr149);
expr158 = (expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)).^(-1);
expr159 = (expr151 + expr152 - (expr145.*expr150.*sin(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149))).^(-1);
expr160 = expr133.*(-(expr143.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i))) - expr153.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i)));
tpa = expr160;

%% Correction to approximation of tpeak is tpc
tpc = tpeak1./tpa;


%% Derivative for a(1)
w5 = [0:wp./100:wp];
expr161 = wp.^(-1);
expr162 = -1./2;
expr163 = 4.*w5.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr164 = (a(2).^2 + b(2).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(2).^2 - b(2).^2));
expr165 = (a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2));
expr166 = -3./2;
expr167 = (c(1).^2 + d(1).^2).^(-1);
expr168 = sqrt((c(1).^2 + d(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(c(1).^2 - d(1).^2)));
expr169 = -1 + expr135.*expr145.*(expr164.*expr165).^expr162.*expr167.*expr168;
expr170 = 2.*expr140.*expr145.*(expr164.*expr165).^expr162.*expr167.*expr168 + expr135.*expr145.*expr162.*expr163.*expr164.*(expr164.*expr165).^expr166.*expr167.*expr168;
expr171 = 2.*expr161.*expr169.*expr170.*Wmp;
integrate5 = trapz(w5, expr171);
w6 = [wp:(-wp + ws)./100:ws];
expr172 = (-wp + ws).^(-1);
expr173 = 4.*w6.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr174 = (a(2).^2 + b(2).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(2).^2 - b(2).^2));
expr175 = (a(1).^2 + b(1).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(1).^2 - b(1).^2));
expr176 = sqrt((c(1).^2 + d(1).^2).^2 + w6.^2.*(w6.^2 + 2.*(c(1).^2 - d(1).^2)));
expr177 = -(w6./(wp - ws));
expr178 = ws./(wp - ws);
expr179 = 2.*expr140.*expr145.*expr167.*(expr174.*expr175).^expr162.*expr176 + expr135.*expr145.*expr162.*expr167.*expr173.*expr174.*(expr174.*expr175).^expr166.*expr176;
expr180 = expr135.*expr145.*expr167.*(expr174.*expr175).^expr162.*expr176 + expr177 + expr178;
expr181 = 2.*expr172.*expr179.*expr180.*Wmt;
integrate6 = trapz(w6, expr181);
w7 = [ws:(99.*ws)./100:100.*ws];
expr182 = -1./99;
expr183 = ws.^(-1);
expr184 = (a(1).^2 + b(1).^2).^2;
expr185 = 4.*w7.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr186 = ((a(1).^2 + b(1).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr187 = (a(2).^2 + b(2).^2).^2;
expr188 = ((a(2).^2 + b(2).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr189 = (c(1).^2 + d(1).^2).^(-2);
expr190 = (c(1).^2 + d(1).^2).^2 + w7.^2.*(w7.^2 + 2.*(c(1).^2 - d(1).^2));
expr191 = 4./99;
expr192 = ((a(1).^2 + b(1).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr193 = expr182.*expr183.*expr184.*expr185.*expr186.*expr187.*expr188.*expr189.*expr190.*Wms + expr135.*expr140.*expr183.*expr187.*expr188.*expr189.*expr190.*expr191.*expr192.*Wms;
integrate7 = trapz(w7, expr193);
w8 = [0:wmax./100:wmax];
expr194 = wmax.^(-1);
expr195 = -((w8 - b(1))./(a(1).^2.*(1 + (w8 - b(1)).^2./a(1).^2)));
expr196 = -((w8 + b(1))./(a(1).^2.*(1 + (w8 + b(1)).^2./a(1).^2)));
expr197 = wmax.^(-3);
expr198 = -2.*wmax;
expr199 = 2.*a(1).*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1)));
expr200 = (2.*(wmax - b(1)).^2.*b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2));
expr201 = (-2.*b(1).*(wmax + b(1)).^2)./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2));
expr202 = -wmax.^2 - a(1).^2 + b(1).^2;
expr203 = -((wmax - b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2)));
expr204 = -((wmax + b(1))./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2)));
expr205 = -(b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr206 = b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr207 = angle(1 + (i.*(w8 - b(1)))./a(1));
expr208 = angle(1 + (i.*(w8 + b(1)))./a(1));
expr209 = angle(1 + (i.*(w8 - b(2)))./a(2));
expr210 = angle(1 + (i.*(w8 + b(2)))./a(2));
expr211 = -angle(1 + (i.*(w8 - d(1)))./c(1));
expr212 = -angle(1 + (i.*(w8 + d(1)))./c(1));
expr213 = -2.*wmax.*a(1);
expr214 = angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1));
expr215 = -(a(1).*b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr216 = a(1).*b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr217 = -2.*wmax.*a(2);
expr218 = angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2));
expr219 = -wmax.^2 - a(2).^2 + b(2).^2;
expr220 = -(a(2).*b(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr221 = a(2).*b(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr222 = 2.*wmax.*c(1);
expr223 = angle(1 + (i.*(wmax - d(1)))./c(1)) + angle(1 + (i.*(wmax + d(1)))./c(1));
expr224 = -wmax.^2 - c(1).^2 + d(1).^2;
expr225 = c(1).*d(1).*log(1 + (wmax - d(1)).^2./c(1).^2);
expr226 = -(c(1).*d(1).*log(1 + (wmax + d(1)).^2./c(1).^2));
expr227 = expr195 + expr196 + expr166.*expr197.*(expr198 + expr199 + expr200 + expr201 - expr202.*(expr203 + expr204) + expr205 + expr206).*w8;
expr228 = -3.*expr197.*(expr133.*(expr213 - expr202.*expr214 + expr215 + expr216) + expr133.*(expr217 - expr218.*expr219 + expr220 + expr221) + expr133.*(expr222 + expr223.*expr224 + expr225 + expr226)).*w8;
expr229 = 2.*expr194.*expr227.*(expr207 + expr208 + expr209 + expr210 + expr211 + expr212 + expr228).*Wph;
integrate8 = trapz(w8, expr229);
expr230 = 1./4;
expr231 = sqrt((sqrt(a(1).^2 + b(1).^2).*sqrt(a(2).^2 + b(2).^2))./(a(1).*a(2))).^(-1);
expr232 = sqrt(a(2).^2 + b(2).^2)./(a(2).*sqrt(a(1).^2 + b(1).^2));
expr233 = -((sqrt(a(1).^2 + b(1).^2).*sqrt(a(2).^2 + b(2).^2))./(a(1).^2.*a(2)));
expr234 = ((a(1) - a(2)).^2 + (b(1) - b(2)).^2).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr235 = ((a(1) - c(1)).^2 + (b(1) - d(1)).^2).*((a(1) - c(1)).^2 + (b(1) + d(1)).^2);
expr236 = ((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr237 = ((a(2) - c(1)).^2 + (b(2) - d(1)).^2).*((a(2) - c(1)).^2 + (b(2) + d(1)).^2);
expr238 = 2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) - b(2)).^2);
expr239 = 2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr240 = 2.*(a(1) - c(1)).*((a(1) - c(1)).^2 + (b(1) - d(1)).^2);
expr241 = 2.*(a(1) - c(1)).*((a(1) - c(1)).^2 + (b(1) + d(1)).^2);
expr242 = (a(1) - a(2)).^(-2);
expr243 = (1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2).^(-1);
expr244 = b(1) - b(2);
expr245 = -((b(1) + b(2))./((a(1) - a(2)).^2.*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2)));
expr246 = (a(1) - c(1)).^(-2);
expr247 = (1 + (b(1) - d(1)).^2./(a(1) - c(1)).^2).^(-1);
expr248 = b(1) - d(1);
expr249 = (b(1) + d(1))./((a(1) - c(1)).^2.*(1 + (b(1) + d(1)).^2./(a(1) - c(1)).^2));
expr250 = 2.*a(1);
expr251 = (-a(1) + a(2)).^(-2);
expr252 = -b(1) + b(2);
expr253 = (1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2).^(-1);
expr254 = (b(1) + b(2))./((-a(1) + a(2)).^2.*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr255 = -2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2);
expr256 = -2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr257 = expr230.*expr231.*(expr232 + expr233).*WQ;
expr258 = expr234.^expr162;
expr259 = expr235.^expr133;
expr260 = expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139);
expr261 = expr140 - (expr135.*sin(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139));
expr262 = expr236.^expr162;
expr263 = expr237.^expr133;
expr264 = expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149);
expr265 = expr150 - (expr145.*sin(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149));
expr266 = expr234.^expr166;
expr267 = expr238 + expr239;
expr268 = expr235.^expr162;
expr269 = expr240 + expr241;
expr270 = expr140.*(-(expr242.*expr243.*expr244) + expr245 + expr246.*expr247.*expr248 + expr249).*cos(expr136 + expr137 + expr138 + expr139);
expr271 = -(expr134.*(-(expr242.*expr243.*expr244) + expr245 + expr246.*expr247.*expr248 + expr249).*sin(expr136 + expr137 + expr138 + expr139));
expr272 = sin(expr136 + expr137 + expr138 + expr139).^2;
expr273 = (expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)).^(-2);
expr274 = (expr141 + expr142 - (expr135.*expr140.*sin(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139))).^(-2);
expr275 = -(expr242.*expr243.*expr244) + expr245 + expr246.*expr247.*expr248 + expr249;
expr276 = cos(expr136 + expr137 + expr138 + expr139);
expr277 = -((expr135.*sin(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)));
expr278 = (-2.*expr141.*sin(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139));
expr279 = sin(expr146 + expr147 + expr148 + expr149).^2;
expr280 = (expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)).^(-2);
expr281 = (expr151 + expr152 - (expr145.*expr150.*sin(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149))).^(-2);
expr282 = expr251.*expr252.*expr253 + expr254;
expr283 = cos(expr146 + expr147 + expr148 + expr149);
expr284 = expr150.*(expr251.*expr252.*expr253 + expr254).*cos(expr146 + expr147 + expr148 + expr149) - expr144.*(expr251.*expr252.*expr253 + expr254).*sin(expr146 + expr147 + expr148 + expr149);
expr285 = -((expr145.*expr150.*(expr251.*expr252.*expr253 + expr254).*cos(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)));
expr286 = (-2.*expr140.*sin(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139));
expr287 = expr236.^expr166;
expr288 = expr255 + expr256;
expr289 = -((expr145.*(expr251.*expr252.*expr253 + expr254).*cos(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)));
expr290 = exp(expr133.*expr140.*tpc.*(-(expr143.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i))) - expr153.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i))));
expr291 = cos(expr133.*expr134.*tpc.*(-(expr143.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i))) - expr153.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i))));
expr292 = -(expr143.*expr261.*sin(expr133.*expr134.*tpc.*(-(expr143.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i))) - expr153.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i)))));
expr293 = exp(expr133.*expr150.*tpc.*(-(expr143.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i))) - expr153.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i))));
expr294 = cos(expr133.*expr144.*tpc.*(-(expr143.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i))) - expr153.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i))));
expr295 = -(expr153.*expr265.*sin(expr133.*expr144.*tpc.*(-(expr143.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i))) - expr153.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i)))));
expr296 = expr154 + expr270 + expr271;
expr297 = (1 + expr142.*expr184.*expr272.*expr273.*expr274).^(-1);
expr298 = 2.*expr134.*expr140.*expr154.*expr155.*expr156;
expr299 = -(expr134.*expr135.*expr154.*expr156.*(expr154 + expr270 + expr271).*expr273);
expr300 = expr134.*expr135.*expr155.*expr156.*expr275.*expr276;
expr301 = -(expr134.*expr135.*expr154.*expr155.*expr274.*(expr250 + expr135.*expr140.*expr154.*(expr154 + expr270 + expr271).*expr273 - expr135.*expr140.*expr155.*expr275.*expr276 + expr277 + expr278));
expr302 = (1 + expr152.*expr187.*expr279.*expr280.*expr281).^(-1);
expr303 = expr144.*expr145.*expr158.*expr159.*expr282.*expr283 - expr144.*expr145.*expr157.*expr159.*expr280.*expr284 - expr144.*expr145.*expr157.*expr158.*expr281.*(expr145.*expr150.*expr157.*expr280.*expr284 + expr285);
expr304 = expr133.*tpc.*(-(expr143.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i))) - expr153.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i)));
expr305 = 1 + expr135.*expr154.*(expr154 + expr270 + expr271).*expr273 - expr135.*expr155.*expr275.*expr276 + expr286;
expr306 = sin(expr133.*expr134.*tpc.*(-(expr143.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i))) - expr153.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i))));
expr307 = expr145.*expr157.*expr280.*expr284 + expr289;
expr308 = sin(expr133.*expr144.*tpc.*(-(expr143.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i))) - expr153.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i))));
expr309 = -1 + expr143.*expr145.*expr167.*expr258.*expr259.*expr260.*(1 - expr290.*(expr291 + expr292)) + expr135.*expr153.*expr167.*expr262.*expr263.*expr264.*(1 - expr293.*(expr294 + expr295));
expr310 = expr143.*expr145.*expr162.*expr167.*expr259.*expr260.*expr266.*expr267.*(1 - expr290.*(expr291 + expr292));
expr311 = expr133.*expr143.*expr145.*expr167.*expr258.*expr260.*expr268.*expr269.*(1 - expr290.*(expr291 + expr292));
expr312 = 2.*expr140.*expr153.*expr167.*expr262.*expr263.*expr264.*(1 - expr293.*(expr294 + expr295));
expr313 = expr135.*expr153.*expr167.*expr262.*expr263.*expr284.*(1 - expr293.*(expr294 + expr295));
expr314 = expr135.*expr153.*expr162.*expr167.*expr263.*expr264.*expr287.*expr288.*(1 - expr293.*(expr294 + expr295));
expr315 = expr143.*expr145.*expr167.*expr258.*expr259.*(1 - expr290.*(expr291 + expr292)).*expr296;
expr316 = -(expr290.*(expr291 + expr292).*(expr304 + expr133.*expr140.*(expr143.*expr297.*(expr298 + expr299 + expr300 + expr301) + expr153.*expr302.*expr303).*tpc));
expr317 = -(expr143.*expr305.*expr306);
expr318 = expr162.*expr261.*expr291.*(expr143.*expr297.*(expr298 + expr299 + expr300 + expr301) + expr153.*expr302.*expr303).*tpc;
expr319 = expr134.*expr162.*(expr143.*expr297.*(expr298 + expr299 + expr300 + expr301) + expr153.*expr302.*expr303).*expr306.*tpc;
expr320 = expr150.*expr162.*expr293.*(expr294 + expr295).*(expr143.*expr297.*(expr298 + expr299 + expr300 + expr301) + expr153.*expr302.*expr303).*tpc;
expr321 = -(expr153.*expr307.*expr308);
expr322 = expr162.*expr265.*expr294.*(expr143.*expr297.*(expr298 + expr299 + expr300 + expr301) + expr153.*expr302.*expr303).*tpc;
expr323 = expr144.*expr162.*(expr143.*expr297.*(expr298 + expr299 + expr300 + expr301) + expr153.*expr302.*expr303).*expr308.*tpc;
expr324 = expr310 + expr311 + expr312 + expr313 + expr314 + expr315 + expr143.*expr145.*expr167.*expr258.*expr259.*expr260.*(expr316 - expr290.*(expr317 + expr318 + expr319)) + expr135.*expr153.*expr167.*expr262.*expr263.*expr264.*(expr320 - expr293.*(expr321 + expr322 + expr323));
expr325 = expr257 + integrate5 + integrate6 + integrate7 + integrate8 + 200.*expr309.*expr324.*WO;
gf(1) = expr325;

%% Derivative for b(1)
w9 = [0:wp./100:wp];
expr326 = -4.*w9.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr327 = (a(2).^2 + b(2).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(2).^2 - b(2).^2));
expr328 = (a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2));
expr329 = sqrt((c(1).^2 + d(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(c(1).^2 - d(1).^2)));
expr330 = -1 + expr135.*expr145.*expr167.*(expr327.*expr328).^expr162.*expr329;
expr331 = 2.*expr134.*expr145.*expr167.*(expr327.*expr328).^expr162.*expr329 + expr135.*expr145.*expr162.*expr167.*expr326.*expr327.*(expr327.*expr328).^expr166.*expr329;
expr332 = 2.*expr161.*expr330.*expr331.*Wmp;
integrate9 = trapz(w9, expr332);
w10 = [wp:(-wp + ws)./100:ws];
expr333 = -4.*w10.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr334 = (a(2).^2 + b(2).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(2).^2 - b(2).^2));
expr335 = (a(1).^2 + b(1).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(1).^2 - b(1).^2));
expr336 = sqrt((c(1).^2 + d(1).^2).^2 + w10.^2.*(w10.^2 + 2.*(c(1).^2 - d(1).^2)));
expr337 = -(w10./(wp - ws));
expr338 = 2.*expr134.*expr145.*expr167.*(expr334.*expr335).^expr162.*expr336 + expr135.*expr145.*expr162.*expr167.*expr333.*expr334.*(expr334.*expr335).^expr166.*expr336;
expr339 = expr178 + expr135.*expr145.*expr167.*(expr334.*expr335).^expr162.*expr336 + expr337;
expr340 = 2.*expr172.*expr338.*expr339.*Wmt;
integrate10 = trapz(w10, expr340);
w11 = [ws:(99.*ws)./100:100.*ws];
expr341 = -4.*w11.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr342 = ((a(1).^2 + b(1).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr343 = ((a(2).^2 + b(2).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr344 = (c(1).^2 + d(1).^2).^2 + w11.^2.*(w11.^2 + 2.*(c(1).^2 - d(1).^2));
expr345 = ((a(1).^2 + b(1).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr346 = expr182.*expr183.*expr184.*expr187.*expr189.*expr341.*expr342.*expr343.*expr344.*Wms + expr134.*expr135.*expr183.*expr187.*expr189.*expr191.*expr343.*expr344.*expr345.*Wms;
integrate11 = trapz(w11, expr346);
w12 = [0:wmax./100:wmax];
expr347 = -(1./(a(1).*(1 + (w12 - b(1)).^2./a(1).^2)));
expr348 = 1./(a(1).*(1 + (w12 + b(1)).^2./a(1).^2));
expr349 = -2.*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1))).*b(1);
expr350 = (2.*(wmax - b(1)).*b(1))./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2));
expr351 = (2.*b(1).*(wmax + b(1)))./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr352 = -(1./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2)));
expr353 = 1./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr354 = -(a(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr355 = a(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr356 = angle(1 + (i.*(w12 - b(1)))./a(1));
expr357 = angle(1 + (i.*(w12 + b(1)))./a(1));
expr358 = angle(1 + (i.*(w12 - b(2)))./a(2));
expr359 = angle(1 + (i.*(w12 + b(2)))./a(2));
expr360 = -angle(1 + (i.*(w12 - d(1)))./c(1));
expr361 = -angle(1 + (i.*(w12 + d(1)))./c(1));
expr362 = -3.*expr197.*(expr133.*(expr213 - expr202.*expr214 + expr215 + expr216) + expr133.*(expr217 - expr218.*expr219 + expr220 + expr221) + expr133.*(expr222 + expr223.*expr224 + expr225 + expr226)).*w12;
expr363 = expr347 + expr348 + expr166.*expr197.*(expr349 + expr350 + expr351 - expr202.*(expr352 + expr353) + expr354 + expr355).*w12;
expr364 = 2.*expr194.*(expr356 + expr357 + expr358 + expr359 + expr360 + expr361 + expr362).*expr363.*Wph;
integrate12 = trapz(w12, expr364);
expr365 = a(1).^(-1);
expr366 = a(2).^(-1);
expr367 = sqrt(a(1).^2 + b(1).^2).^(-1);
expr368 = sqrt(a(2).^2 + b(2).^2);
expr369 = b(1).^(-2);
expr370 = 2.*((a(1) - a(2)).^2 + (b(1) - b(2)).^2).*(b(1) + b(2));
expr371 = 2.*(b(1) - b(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr372 = 2.*((a(1) - c(1)).^2 + (b(1) - d(1)).^2).*(b(1) + d(1));
expr373 = 2.*(b(1) - d(1)).*((a(1) - c(1)).^2 + (b(1) + d(1)).^2);
expr374 = 1./((a(1) - a(2)).*(1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2));
expr375 = 1./((a(1) - a(2)).*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2));
expr376 = -(1./((a(1) - c(1)).*(1 + (b(1) - d(1)).^2./(a(1) - c(1)).^2)));
expr377 = -(1./((a(1) - c(1)).*(1 + (b(1) + d(1)).^2./(a(1) - c(1)).^2)));
expr378 = 2.*b(1);
expr379 = -(1./((-a(1) + a(2)).*(1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr380 = 1./((-a(1) + a(2)).*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr381 = 2.*(b(1) + b(2)).*((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2);
expr382 = -2.*(-b(1) + b(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr383 = expr134.*expr230.*expr231.*expr365.*expr366.*expr367.*expr368.*WQ;
expr384 = expr370 + expr371;
expr385 = expr372 + expr373;
expr386 = cos(expr136 + expr137 + expr138 + expr139) + expr140.*(expr374 + expr375 + expr376 + expr377).*cos(expr136 + expr137 + expr138 + expr139) - expr134.*(expr374 + expr375 + expr376 + expr377).*sin(expr136 + expr137 + expr138 + expr139);
expr387 = expr374 + expr375 + expr376 + expr377;
expr388 = -((expr135.*expr140.*(expr374 + expr375 + expr376 + expr377).*cos(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)));
expr389 = (-2.*expr134.*expr140.*sin(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139));
expr390 = expr379 + expr380;
expr391 = expr150.*(expr379 + expr380).*cos(expr146 + expr147 + expr148 + expr149) - expr144.*(expr379 + expr380).*sin(expr146 + expr147 + expr148 + expr149);
expr392 = -((expr145.*expr150.*(expr379 + expr380).*cos(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)));
expr393 = -((expr135.*(expr374 + expr375 + expr376 + expr377).*cos(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)));
expr394 = (-2.*expr134.*sin(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139));
expr395 = expr381 + expr382;
expr396 = -((expr145.*(expr379 + expr380).*cos(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)));
expr397 = expr135.*expr154.*expr155.*expr156;
expr398 = 2.*expr142.*expr154.*expr155.*expr156;
expr399 = -(expr134.*expr135.*expr154.*expr156.*expr273.*expr386);
expr400 = expr134.*expr135.*expr155.*expr156.*expr276.*expr387;
expr401 = -(expr134.*expr135.*expr154.*expr155.*expr274.*(expr378 + expr135.*expr140.*expr154.*expr273.*expr386 + expr388 + expr389));
expr402 = expr144.*expr145.*expr158.*expr159.*expr283.*expr390 - expr144.*expr145.*expr157.*expr159.*expr280.*expr391 - expr144.*expr145.*expr157.*expr158.*expr281.*(expr145.*expr150.*expr157.*expr280.*expr391 + expr392);
expr403 = expr369.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i));
expr404 = expr261.*expr369.*sin(expr133.*expr134.*tpc.*(-(expr143.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i))) - expr153.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i))));
expr405 = expr135.*expr154.*expr273.*expr386 + expr393 + expr394;
expr406 = expr145.*expr157.*expr280.*expr391 + expr396;
expr407 = 2.*expr134.*expr153.*expr167.*expr262.*expr263.*expr264.*(1 - expr293.*(expr294 + expr295));
expr408 = -(expr145.*expr167.*expr258.*expr259.*expr260.*(1 - expr290.*(expr291 + expr292)).*expr369);
expr409 = expr143.*expr145.*expr162.*expr167.*expr259.*expr260.*expr266.*(1 - expr290.*(expr291 + expr292)).*expr384;
expr410 = expr133.*expr143.*expr145.*expr167.*expr258.*expr260.*expr268.*(1 - expr290.*(expr291 + expr292)).*expr385;
expr411 = expr143.*expr145.*expr167.*expr258.*expr259.*(1 - expr290.*(expr291 + expr292)).*expr386;
expr412 = expr135.*expr153.*expr167.*expr262.*expr263.*(1 - expr293.*(expr294 + expr295)).*expr391;
expr413 = expr135.*expr153.*expr162.*expr167.*expr263.*expr264.*expr287.*(1 - expr293.*(expr294 + expr295)).*expr395;
expr414 = expr150.*expr162.*expr293.*(expr294 + expr295).*(expr143.*expr297.*(expr397 + expr398 + expr399 + expr400 + expr401) + expr153.*expr302.*expr402 + expr403).*tpc;
expr415 = -(expr153.*expr308.*expr406);
expr416 = expr162.*expr265.*expr294.*(expr143.*expr297.*(expr397 + expr398 + expr399 + expr400 + expr401) + expr153.*expr302.*expr402 + expr403).*tpc;
expr417 = expr144.*expr162.*expr308.*(expr143.*expr297.*(expr397 + expr398 + expr399 + expr400 + expr401) + expr153.*expr302.*expr402 + expr403).*tpc;
expr418 = expr140.*expr162.*expr290.*(expr291 + expr292).*(expr143.*expr297.*(expr397 + expr398 + expr399 + expr400 + expr401) + expr153.*expr302.*expr402 + expr403).*tpc;
expr419 = -(expr143.*expr306.*expr405);
expr420 = -(expr143.*expr261.*expr291.*(expr304 + expr133.*expr134.*(expr143.*expr297.*(expr397 + expr398 + expr399 + expr400 + expr401) + expr153.*expr302.*expr402 + expr403).*tpc));
expr421 = -(expr306.*(expr304 + expr133.*expr134.*(expr143.*expr297.*(expr397 + expr398 + expr399 + expr400 + expr401) + expr153.*expr302.*expr402 + expr403).*tpc));
expr422 = expr135.*expr153.*expr167.*expr262.*expr263.*expr264.*(expr414 - expr293.*(expr415 + expr416 + expr417));
expr423 = expr143.*expr145.*expr167.*expr258.*expr259.*expr260.*(expr418 - expr290.*(expr404 + expr419 + expr420 + expr421));
expr424 = expr383 + integrate10 + integrate11 + integrate12 + integrate9 + 200.*expr309.*(expr407 + expr408 + expr409 + expr410 + expr411 + expr412 + expr413 + expr422 + expr423).*WO;
gf(3) = expr424;

%% Derivative for a(2)
w13 = [0:wp./100:wp];
expr425 = (a(1).^2 + b(1).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(1).^2 - b(1).^2));
expr426 = 4.*w13.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr427 = (a(2).^2 + b(2).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(2).^2 - b(2).^2));
expr428 = sqrt((c(1).^2 + d(1).^2).^2 + w13.^2.*(w13.^2 + 2.*(c(1).^2 - d(1).^2)));
expr429 = -1 + expr135.*expr145.*expr167.*(expr425.*expr427).^expr162.*expr428;
expr430 = 2.*expr135.*expr150.*expr167.*(expr425.*expr427).^expr162.*expr428 + expr135.*expr145.*expr162.*expr167.*expr425.*expr426.*(expr425.*expr427).^expr166.*expr428;
expr431 = 2.*expr161.*expr429.*expr430.*Wmp;
integrate13 = trapz(w13, expr431);
w14 = [wp:(-wp + ws)./100:ws];
expr432 = (a(1).^2 + b(1).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(1).^2 - b(1).^2));
expr433 = 4.*w14.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr434 = (a(2).^2 + b(2).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(2).^2 - b(2).^2));
expr435 = sqrt((c(1).^2 + d(1).^2).^2 + w14.^2.*(w14.^2 + 2.*(c(1).^2 - d(1).^2)));
expr436 = -(w14./(wp - ws));
expr437 = 2.*expr135.*expr150.*expr167.*(expr432.*expr434).^expr162.*expr435 + expr135.*expr145.*expr162.*expr167.*expr432.*expr433.*(expr432.*expr434).^expr166.*expr435;
expr438 = expr178 + expr135.*expr145.*expr167.*(expr432.*expr434).^expr162.*expr435 + expr436;
expr439 = 2.*expr172.*expr437.*expr438.*Wmt;
integrate14 = trapz(w14, expr439);
w15 = [ws:(99.*ws)./100:100.*ws];
expr440 = ((a(1).^2 + b(1).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr441 = 4.*w15.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr442 = ((a(2).^2 + b(2).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(2).^2 - b(2).^2))).^(-2);
expr443 = (c(1).^2 + d(1).^2).^2 + w15.^2.*(w15.^2 + 2.*(c(1).^2 - d(1).^2));
expr444 = ((a(2).^2 + b(2).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr445 = expr182.*expr183.*expr184.*expr187.*expr189.*expr440.*expr441.*expr442.*expr443.*Wms + expr145.*expr150.*expr183.*expr184.*expr189.*expr191.*expr440.*expr443.*expr444.*Wms;
integrate15 = trapz(w15, expr445);
w16 = [0:wmax./100:wmax];
expr446 = -((w16 - b(2))./(a(2).^2.*(1 + (w16 - b(2)).^2./a(2).^2)));
expr447 = -((w16 + b(2))./(a(2).^2.*(1 + (w16 + b(2)).^2./a(2).^2)));
expr448 = 2.*a(2).*(angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2)));
expr449 = (2.*(wmax - b(2)).^2.*b(2))./(a(2).^2.*(1 + (wmax - b(2)).^2./a(2).^2));
expr450 = (-2.*b(2).*(wmax + b(2)).^2)./(a(2).^2.*(1 + (wmax + b(2)).^2./a(2).^2));
expr451 = -((wmax - b(2))./(a(2).^2.*(1 + (wmax - b(2)).^2./a(2).^2)));
expr452 = -((wmax + b(2))./(a(2).^2.*(1 + (wmax + b(2)).^2./a(2).^2)));
expr453 = -(b(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr454 = b(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr455 = angle(1 + (i.*(w16 - b(1)))./a(1));
expr456 = angle(1 + (i.*(w16 + b(1)))./a(1));
expr457 = angle(1 + (i.*(w16 - b(2)))./a(2));
expr458 = angle(1 + (i.*(w16 + b(2)))./a(2));
expr459 = -angle(1 + (i.*(w16 - d(1)))./c(1));
expr460 = -angle(1 + (i.*(w16 + d(1)))./c(1));
expr461 = -3.*expr197.*(expr133.*(expr213 - expr202.*expr214 + expr215 + expr216) + expr133.*(expr217 - expr218.*expr219 + expr220 + expr221) + expr133.*(expr222 + expr223.*expr224 + expr225 + expr226)).*w16;
expr462 = expr446 + expr447 + expr166.*expr197.*(expr198 + expr448 + expr449 + expr450 - expr219.*(expr451 + expr452) + expr453 + expr454).*w16;
expr463 = 2.*expr194.*(expr455 + expr456 + expr457 + expr458 + expr459 + expr460 + expr461).*expr462.*Wph;
integrate16 = trapz(w16, expr463);
expr464 = sqrt(a(1).^2 + b(1).^2)./(a(1).*sqrt(a(2).^2 + b(2).^2));
expr465 = -((sqrt(a(1).^2 + b(1).^2).*sqrt(a(2).^2 + b(2).^2))./(a(1).*a(2).^2));
expr466 = -2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) - b(2)).^2);
expr467 = -2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr468 = (b(1) + b(2))./((a(1) - a(2)).^2.*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2));
expr469 = -((b(1) + b(2))./((-a(1) + a(2)).^2.*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr470 = (a(2) - c(1)).^(-2);
expr471 = (1 + (b(2) - d(1)).^2./(a(2) - c(1)).^2).^(-1);
expr472 = b(2) - d(1);
expr473 = (b(2) + d(1))./((a(2) - c(1)).^2.*(1 + (b(2) + d(1)).^2./(a(2) - c(1)).^2));
expr474 = 2.*a(2);
expr475 = 2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2);
expr476 = 2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr477 = 2.*(a(2) - c(1)).*((a(2) - c(1)).^2 + (b(2) - d(1)).^2);
expr478 = 2.*(a(2) - c(1)).*((a(2) - c(1)).^2 + (b(2) + d(1)).^2);
expr479 = expr230.*expr231.*(expr464 + expr465).*WQ;
expr480 = expr466 + expr467;
expr481 = expr140.*(expr242.*expr243.*expr244 + expr468).*cos(expr136 + expr137 + expr138 + expr139) - expr134.*(expr242.*expr243.*expr244 + expr468).*sin(expr136 + expr137 + expr138 + expr139);
expr482 = expr242.*expr243.*expr244 + expr468;
expr483 = -((expr135.*expr140.*(expr242.*expr243.*expr244 + expr468).*cos(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)));
expr484 = -(expr251.*expr252.*expr253) + expr469 + expr470.*expr471.*expr472 + expr473;
expr485 = expr150.*(-(expr251.*expr252.*expr253) + expr469 + expr470.*expr471.*expr472 + expr473).*cos(expr146 + expr147 + expr148 + expr149);
expr486 = -(expr144.*(-(expr251.*expr252.*expr253) + expr469 + expr470.*expr471.*expr472 + expr473).*sin(expr146 + expr147 + expr148 + expr149));
expr487 = -((expr145.*sin(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)));
expr488 = (-2.*expr151.*sin(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149));
expr489 = -((expr135.*(expr242.*expr243.*expr244 + expr468).*cos(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)));
expr490 = expr475 + expr476;
expr491 = expr237.^expr162;
expr492 = expr477 + expr478;
expr493 = (-2.*expr150.*sin(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149));
expr494 = -(expr134.*expr135.*expr154.*expr156.*expr273.*expr481) + expr134.*expr135.*expr155.*expr156.*expr276.*expr482 - expr134.*expr135.*expr154.*expr155.*expr274.*(expr135.*expr140.*expr154.*expr273.*expr481 + expr483);
expr495 = 2.*expr144.*expr150.*expr157.*expr158.*expr159;
expr496 = expr144.*expr145.*expr158.*expr159.*expr283.*expr484;
expr497 = -(expr144.*expr145.*expr157.*expr159.*expr280.*(expr157 + expr485 + expr486));
expr498 = -(expr144.*expr145.*expr157.*expr158.*expr281.*(expr474 - expr145.*expr150.*expr158.*expr283.*expr484 + expr145.*expr150.*expr157.*expr280.*(expr157 + expr485 + expr486) + expr487 + expr488));
expr499 = expr135.*expr154.*expr273.*expr481 + expr489;
expr500 = expr157 + expr485 + expr486;
expr501 = 1 - expr145.*expr158.*expr283.*expr484 + expr145.*expr157.*expr280.*(expr157 + expr485 + expr486) + expr493;
expr502 = 2.*expr143.*expr150.*expr167.*expr258.*expr259.*expr260.*(1 - expr290.*(expr291 + expr292));
expr503 = expr143.*expr145.*expr162.*expr167.*expr259.*expr260.*expr266.*(1 - expr290.*(expr291 + expr292)).*expr480;
expr504 = expr143.*expr145.*expr167.*expr258.*expr259.*(1 - expr290.*(expr291 + expr292)).*expr481;
expr505 = expr135.*expr153.*expr162.*expr167.*expr263.*expr264.*expr287.*(1 - expr293.*(expr294 + expr295)).*expr490;
expr506 = expr133.*expr135.*expr153.*expr167.*expr262.*expr264.*(1 - expr293.*(expr294 + expr295)).*expr491.*expr492;
expr507 = expr135.*expr153.*expr167.*expr262.*expr263.*(1 - expr293.*(expr294 + expr295)).*expr500;
expr508 = expr140.*expr162.*expr290.*(expr291 + expr292).*(expr143.*expr297.*expr494 + expr153.*expr302.*(expr495 + expr496 + expr497 + expr498)).*tpc;
expr509 = -(expr143.*expr306.*expr499);
expr510 = expr162.*expr261.*expr291.*(expr143.*expr297.*expr494 + expr153.*expr302.*(expr495 + expr496 + expr497 + expr498)).*tpc;
expr511 = expr134.*expr162.*expr306.*(expr143.*expr297.*expr494 + expr153.*expr302.*(expr495 + expr496 + expr497 + expr498)).*tpc;
expr512 = -(expr293.*(expr294 + expr295).*(expr304 + expr133.*expr150.*(expr143.*expr297.*expr494 + expr153.*expr302.*(expr495 + expr496 + expr497 + expr498)).*tpc));
expr513 = -(expr153.*expr308.*expr501);
expr514 = expr162.*expr265.*expr294.*(expr143.*expr297.*expr494 + expr153.*expr302.*(expr495 + expr496 + expr497 + expr498)).*tpc;
expr515 = expr144.*expr162.*expr308.*(expr143.*expr297.*expr494 + expr153.*expr302.*(expr495 + expr496 + expr497 + expr498)).*tpc;
expr516 = expr502 + expr503 + expr504 + expr505 + expr506 + expr507 + expr143.*expr145.*expr167.*expr258.*expr259.*expr260.*(expr508 - expr290.*(expr509 + expr510 + expr511)) + expr135.*expr153.*expr167.*expr262.*expr263.*expr264.*(expr512 - expr293.*(expr513 + expr514 + expr515));
expr517 = expr479 + integrate13 + integrate14 + integrate15 + integrate16 + 200.*expr309.*expr516.*WO;
gf(2) = expr517;

%% Derivative for b(2)
w17 = [0:wp./100:wp];
expr518 = (a(1).^2 + b(1).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(1).^2 - b(1).^2));
expr519 = -4.*w17.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr520 = (a(2).^2 + b(2).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(2).^2 - b(2).^2));
expr521 = sqrt((c(1).^2 + d(1).^2).^2 + w17.^2.*(w17.^2 + 2.*(c(1).^2 - d(1).^2)));
expr522 = -1 + expr135.*expr145.*expr167.*(expr518.*expr520).^expr162.*expr521;
expr523 = 2.*expr135.*expr144.*expr167.*(expr518.*expr520).^expr162.*expr521 + expr135.*expr145.*expr162.*expr167.*expr518.*expr519.*(expr518.*expr520).^expr166.*expr521;
expr524 = 2.*expr161.*expr522.*expr523.*Wmp;
integrate17 = trapz(w17, expr524);
w18 = [wp:(-wp + ws)./100:ws];
expr525 = (a(1).^2 + b(1).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(1).^2 - b(1).^2));
expr526 = -4.*w18.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr527 = (a(2).^2 + b(2).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(2).^2 - b(2).^2));
expr528 = sqrt((c(1).^2 + d(1).^2).^2 + w18.^2.*(w18.^2 + 2.*(c(1).^2 - d(1).^2)));
expr529 = -(w18./(wp - ws));
expr530 = 2.*expr135.*expr144.*expr167.*(expr525.*expr527).^expr162.*expr528 + expr135.*expr145.*expr162.*expr167.*expr525.*expr526.*(expr525.*expr527).^expr166.*expr528;
expr531 = expr178 + expr135.*expr145.*expr167.*(expr525.*expr527).^expr162.*expr528 + expr529;
expr532 = 2.*expr172.*expr530.*expr531.*Wmt;
integrate18 = trapz(w18, expr532);
w19 = [ws:(99.*ws)./100:100.*ws];
expr533 = ((a(1).^2 + b(1).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr534 = -4.*w19.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr535 = ((a(2).^2 + b(2).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(2).^2 - b(2).^2))).^(-2);
expr536 = (c(1).^2 + d(1).^2).^2 + w19.^2.*(w19.^2 + 2.*(c(1).^2 - d(1).^2));
expr537 = ((a(2).^2 + b(2).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr538 = expr182.*expr183.*expr184.*expr187.*expr189.*expr533.*expr534.*expr535.*expr536.*Wms + expr144.*expr145.*expr183.*expr184.*expr189.*expr191.*expr533.*expr536.*expr537.*Wms;
integrate19 = trapz(w19, expr538);
w20 = [0:wmax./100:wmax];
expr539 = -(1./(a(2).*(1 + (w20 - b(2)).^2./a(2).^2)));
expr540 = 1./(a(2).*(1 + (w20 + b(2)).^2./a(2).^2));
expr541 = -2.*(angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2))).*b(2);
expr542 = (2.*(wmax - b(2)).*b(2))./(a(2).*(1 + (wmax - b(2)).^2./a(2).^2));
expr543 = (2.*b(2).*(wmax + b(2)))./(a(2).*(1 + (wmax + b(2)).^2./a(2).^2));
expr544 = -(1./(a(2).*(1 + (wmax - b(2)).^2./a(2).^2)));
expr545 = 1./(a(2).*(1 + (wmax + b(2)).^2./a(2).^2));
expr546 = -(a(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr547 = a(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr548 = angle(1 + (i.*(w20 - b(1)))./a(1));
expr549 = angle(1 + (i.*(w20 + b(1)))./a(1));
expr550 = angle(1 + (i.*(w20 - b(2)))./a(2));
expr551 = angle(1 + (i.*(w20 + b(2)))./a(2));
expr552 = -angle(1 + (i.*(w20 - d(1)))./c(1));
expr553 = -angle(1 + (i.*(w20 + d(1)))./c(1));
expr554 = -3.*expr197.*(expr133.*(expr213 - expr202.*expr214 + expr215 + expr216) + expr133.*(expr217 - expr218.*expr219 + expr220 + expr221) + expr133.*(expr222 + expr223.*expr224 + expr225 + expr226)).*w20;
expr555 = expr539 + expr540 + expr166.*expr197.*(expr541 + expr542 + expr543 - expr219.*(expr544 + expr545) + expr546 + expr547).*w20;
expr556 = 2.*expr194.*(expr548 + expr549 + expr550 + expr551 + expr552 + expr553 + expr554).*expr555.*Wph;
integrate20 = trapz(w20, expr556);
expr557 = sqrt(a(1).^2 + b(1).^2);
expr558 = sqrt(a(2).^2 + b(2).^2).^(-1);
expr559 = -2.*(b(1) - b(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr560 = -(1./((a(1) - a(2)).*(1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2)));
expr561 = b(2).^(-2);
expr562 = 1./((-a(1) + a(2)).*(1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr563 = -(1./((a(2) - c(1)).*(1 + (b(2) - d(1)).^2./(a(2) - c(1)).^2)));
expr564 = -(1./((a(2) - c(1)).*(1 + (b(2) + d(1)).^2./(a(2) - c(1)).^2)));
expr565 = 2.*b(2);
expr566 = 2.*(-b(1) + b(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr567 = 2.*((a(2) - c(1)).^2 + (b(2) - d(1)).^2).*(b(2) + d(1));
expr568 = 2.*(b(2) - d(1)).*((a(2) - c(1)).^2 + (b(2) + d(1)).^2);
expr569 = expr144.*expr230.*expr231.*expr365.*expr366.*expr557.*expr558.*WQ;
expr570 = expr370 + expr559;
expr571 = expr140.*(expr375 + expr560).*cos(expr136 + expr137 + expr138 + expr139) - expr134.*(expr375 + expr560).*sin(expr136 + expr137 + expr138 + expr139);
expr572 = expr375 + expr560;
expr573 = -((expr135.*expr140.*(expr375 + expr560).*cos(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)));
expr574 = expr380 + expr562 + expr563 + expr564;
expr575 = cos(expr146 + expr147 + expr148 + expr149) + expr150.*(expr380 + expr562 + expr563 + expr564).*cos(expr146 + expr147 + expr148 + expr149) - expr144.*(expr380 + expr562 + expr563 + expr564).*sin(expr146 + expr147 + expr148 + expr149);
expr576 = -((expr145.*expr150.*(expr380 + expr562 + expr563 + expr564).*cos(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)));
expr577 = (-2.*expr144.*expr150.*sin(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149));
expr578 = -((expr135.*(expr375 + expr560).*cos(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)));
expr579 = expr381 + expr566;
expr580 = expr567 + expr568;
expr581 = -((expr145.*(expr380 + expr562 + expr563 + expr564).*cos(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)));
expr582 = (-2.*expr144.*sin(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149));
expr583 = -(expr134.*expr135.*expr154.*expr156.*expr273.*expr571) + expr134.*expr135.*expr155.*expr156.*expr276.*expr572 - expr134.*expr135.*expr154.*expr155.*expr274.*(expr135.*expr140.*expr154.*expr273.*expr571 + expr573);
expr584 = expr145.*expr157.*expr158.*expr159;
expr585 = 2.*expr152.*expr157.*expr158.*expr159;
expr586 = expr144.*expr145.*expr158.*expr159.*expr283.*expr574;
expr587 = -(expr144.*expr145.*expr157.*expr159.*expr280.*expr575);
expr588 = -(expr144.*expr145.*expr157.*expr158.*expr281.*(expr565 + expr145.*expr150.*expr157.*expr280.*expr575 + expr576 + expr577));
expr589 = expr561.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i));
expr590 = expr135.*expr154.*expr273.*expr571 + expr578;
expr591 = expr265.*expr561.*sin(expr133.*expr144.*tpc.*(-(expr143.*(pi - angle(1 + expr134.*expr135.*expr154.*expr155.*expr156.*i))) - expr153.*(pi - angle(1 + expr144.*expr145.*expr157.*expr158.*expr159.*i))));
expr592 = expr145.*expr157.*expr280.*expr575 + expr581 + expr582;
expr593 = 2.*expr143.*expr144.*expr167.*expr258.*expr259.*expr260.*(1 - expr290.*(expr291 + expr292));
expr594 = -(expr135.*expr167.*expr262.*expr263.*expr264.*(1 - expr293.*(expr294 + expr295)).*expr561);
expr595 = expr143.*expr145.*expr162.*expr167.*expr259.*expr260.*expr266.*(1 - expr290.*(expr291 + expr292)).*expr570;
expr596 = expr143.*expr145.*expr167.*expr258.*expr259.*(1 - expr290.*(expr291 + expr292)).*expr571;
expr597 = expr135.*expr153.*expr167.*expr262.*expr263.*(1 - expr293.*(expr294 + expr295)).*expr575;
expr598 = expr135.*expr153.*expr162.*expr167.*expr263.*expr264.*expr287.*(1 - expr293.*(expr294 + expr295)).*expr579;
expr599 = expr133.*expr135.*expr153.*expr167.*expr262.*expr264.*(1 - expr293.*(expr294 + expr295)).*expr491.*expr580;
expr600 = expr140.*expr162.*expr290.*(expr291 + expr292).*(expr143.*expr297.*expr583 + expr153.*expr302.*(expr584 + expr585 + expr586 + expr587 + expr588) + expr589).*tpc;
expr601 = -(expr143.*expr306.*expr590);
expr602 = expr162.*expr261.*expr291.*(expr143.*expr297.*expr583 + expr153.*expr302.*(expr584 + expr585 + expr586 + expr587 + expr588) + expr589).*tpc;
expr603 = expr134.*expr162.*expr306.*(expr143.*expr297.*expr583 + expr153.*expr302.*(expr584 + expr585 + expr586 + expr587 + expr588) + expr589).*tpc;
expr604 = expr150.*expr162.*expr293.*(expr294 + expr295).*(expr143.*expr297.*expr583 + expr153.*expr302.*(expr584 + expr585 + expr586 + expr587 + expr588) + expr589).*tpc;
expr605 = -(expr153.*expr308.*expr592);
expr606 = -(expr153.*expr265.*expr294.*(expr304 + expr133.*expr144.*(expr143.*expr297.*expr583 + expr153.*expr302.*(expr584 + expr585 + expr586 + expr587 + expr588) + expr589).*tpc));
expr607 = -(expr308.*(expr304 + expr133.*expr144.*(expr143.*expr297.*expr583 + expr153.*expr302.*(expr584 + expr585 + expr586 + expr587 + expr588) + expr589).*tpc));
expr608 = expr143.*expr145.*expr167.*expr258.*expr259.*expr260.*(expr600 - expr290.*(expr601 + expr602 + expr603));
expr609 = expr135.*expr153.*expr167.*expr262.*expr263.*expr264.*(expr604 - expr293.*(expr591 + expr605 + expr606 + expr607));
expr610 = expr569 + integrate17 + integrate18 + integrate19 + integrate20 + 200.*expr309.*(expr593 + expr594 + expr595 + expr596 + expr597 + expr598 + expr599 + expr608 + expr609).*WO;
gf(4) = expr610;

%% Derivative for c(1)
w21 = [0:wp./100:wp];
expr611 = (a(1).^2 + b(1).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(1).^2 - b(1).^2));
expr612 = (a(2).^2 + b(2).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(2).^2 - b(2).^2));
expr613 = 4.*w21.^2.*c(1) + 4.*c(1).*(c(1).^2 + d(1).^2);
expr614 = sqrt((c(1).^2 + d(1).^2).^2 + w21.^2.*(w21.^2 + 2.*(c(1).^2 - d(1).^2))).^(-1);
expr615 = c(1);
expr616 = sqrt((c(1).^2 + d(1).^2).^2 + w21.^2.*(w21.^2 + 2.*(c(1).^2 - d(1).^2)));
expr617 = -1 + expr135.*expr145.*expr167.*(expr611.*expr612).^expr162.*expr616;
expr618 = expr133.*expr135.*expr145.*expr167.*(expr611.*expr612).^expr162.*expr613.*expr614 - 2.*expr135.*expr145.*expr189.*(expr611.*expr612).^expr162.*expr615.*expr616;
expr619 = 2.*expr161.*expr617.*expr618.*Wmp;
integrate21 = trapz(w21, expr619);
w22 = [wp:(-wp + ws)./100:ws];
expr620 = (a(1).^2 + b(1).^2).^2 + w22.^2.*(w22.^2 + 2.*(a(1).^2 - b(1).^2));
expr621 = (a(2).^2 + b(2).^2).^2 + w22.^2.*(w22.^2 + 2.*(a(2).^2 - b(2).^2));
expr622 = 4.*w22.^2.*c(1) + 4.*c(1).*(c(1).^2 + d(1).^2);
expr623 = sqrt((c(1).^2 + d(1).^2).^2 + w22.^2.*(w22.^2 + 2.*(c(1).^2 - d(1).^2))).^(-1);
expr624 = sqrt((c(1).^2 + d(1).^2).^2 + w22.^2.*(w22.^2 + 2.*(c(1).^2 - d(1).^2)));
expr625 = -(w22./(wp - ws));
expr626 = expr133.*expr135.*expr145.*expr167.*(expr620.*expr621).^expr162.*expr622.*expr623 - 2.*expr135.*expr145.*expr189.*expr615.*(expr620.*expr621).^expr162.*expr624;
expr627 = expr178 + expr135.*expr145.*expr167.*(expr620.*expr621).^expr162.*expr624 + expr625;
expr628 = 2.*expr172.*expr626.*expr627.*Wmt;
integrate22 = trapz(w22, expr628);
w23 = [ws:(99.*ws)./100:100.*ws];
expr629 = 1./99;
expr630 = ((a(1).^2 + b(1).^2).^2 + w23.^2.*(w23.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr631 = ((a(2).^2 + b(2).^2).^2 + w23.^2.*(w23.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr632 = 4.*w23.^2.*c(1) + 4.*c(1).*(c(1).^2 + d(1).^2);
expr633 = -4./99;
expr634 = (c(1).^2 + d(1).^2).^(-3);
expr635 = (c(1).^2 + d(1).^2).^2 + w23.^2.*(w23.^2 + 2.*(c(1).^2 - d(1).^2));
expr636 = expr183.*expr184.*expr187.*expr189.*expr629.*expr630.*expr631.*expr632.*Wms + expr183.*expr184.*expr187.*expr615.*expr630.*expr631.*expr633.*expr634.*expr635.*Wms;
integrate23 = trapz(w23, expr636);
w24 = [0:wmax./100:wmax];
expr637 = (w24 - d(1))./(c(1).^2.*(1 + (w24 - d(1)).^2./c(1).^2));
expr638 = (w24 + d(1))./(c(1).^2.*(1 + (w24 + d(1)).^2./c(1).^2));
expr639 = 2.*wmax;
expr640 = -2.*(angle(1 + (i.*(wmax - d(1)))./c(1)) + angle(1 + (i.*(wmax + d(1)))./c(1))).*c(1);
expr641 = (-2.*(wmax - d(1)).^2.*d(1))./(c(1).^2.*(1 + (wmax - d(1)).^2./c(1).^2));
expr642 = (2.*d(1).*(wmax + d(1)).^2)./(c(1).^2.*(1 + (wmax + d(1)).^2./c(1).^2));
expr643 = -((wmax - d(1))./(c(1).^2.*(1 + (wmax - d(1)).^2./c(1).^2)));
expr644 = -((wmax + d(1))./(c(1).^2.*(1 + (wmax + d(1)).^2./c(1).^2)));
expr645 = d(1).*log(1 + (wmax - d(1)).^2./c(1).^2);
expr646 = -(d(1).*log(1 + (wmax + d(1)).^2./c(1).^2));
expr647 = angle(1 + (i.*(w24 - b(1)))./a(1));
expr648 = angle(1 + (i.*(w24 + b(1)))./a(1));
expr649 = angle(1 + (i.*(w24 - b(2)))./a(2));
expr650 = angle(1 + (i.*(w24 + b(2)))./a(2));
expr651 = -angle(1 + (i.*(w24 - d(1)))./c(1));
expr652 = -angle(1 + (i.*(w24 + d(1)))./c(1));
expr653 = -3.*expr197.*(expr133.*(expr213 - expr202.*expr214 + expr215 + expr216) + expr133.*(expr217 - expr218.*expr219 + expr220 + expr221) + expr133.*(expr222 + expr223.*expr224 + expr225 + expr226)).*w24;
expr654 = expr637 + expr638 + expr166.*expr197.*(expr639 + expr640 + expr641 + expr642 + expr224.*(expr643 + expr644) + expr645 + expr646).*w24;
expr655 = 2.*expr194.*(expr647 + expr648 + expr649 + expr650 + expr651 + expr652 + expr653).*expr654.*Wph;
integrate24 = trapz(w24, expr655);
expr656 = -2.*(a(1) - c(1)).*((a(1) - c(1)).^2 + (b(1) - d(1)).^2);
expr657 = -2.*(a(1) - c(1)).*((a(1) - c(1)).^2 + (b(1) + d(1)).^2);
expr658 = -((b(1) + d(1))./((a(1) - c(1)).^2.*(1 + (b(1) + d(1)).^2./(a(1) - c(1)).^2)));
expr659 = -((b(2) + d(1))./((a(2) - c(1)).^2.*(1 + (b(2) + d(1)).^2./(a(2) - c(1)).^2)));
expr660 = -2.*(a(2) - c(1)).*((a(2) - c(1)).^2 + (b(2) - d(1)).^2);
expr661 = -2.*(a(2) - c(1)).*((a(2) - c(1)).^2 + (b(2) + d(1)).^2);
expr662 = expr656 + expr657;
expr663 = expr140.*(-(expr246.*expr247.*expr248) + expr658).*cos(expr136 + expr137 + expr138 + expr139) - expr134.*(-(expr246.*expr247.*expr248) + expr658).*sin(expr136 + expr137 + expr138 + expr139);
expr664 = -(expr246.*expr247.*expr248) + expr658;
expr665 = -((expr135.*expr140.*(-(expr246.*expr247.*expr248) + expr658).*cos(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)));
expr666 = -(expr470.*expr471.*expr472) + expr659;
expr667 = expr150.*(-(expr470.*expr471.*expr472) + expr659).*cos(expr146 + expr147 + expr148 + expr149) - expr144.*(-(expr470.*expr471.*expr472) + expr659).*sin(expr146 + expr147 + expr148 + expr149);
expr668 = -((expr145.*expr150.*(-(expr470.*expr471.*expr472) + expr659).*cos(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)));
expr669 = -((expr135.*(-(expr246.*expr247.*expr248) + expr658).*cos(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)));
expr670 = expr660 + expr661;
expr671 = -((expr145.*(-(expr470.*expr471.*expr472) + expr659).*cos(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)));
expr672 = -(expr134.*expr135.*expr154.*expr156.*expr273.*expr663) + expr134.*expr135.*expr155.*expr156.*expr276.*expr664 - expr134.*expr135.*expr154.*expr155.*expr274.*(expr135.*expr140.*expr154.*expr273.*expr663 + expr665);
expr673 = expr144.*expr145.*expr158.*expr159.*expr283.*expr666 - expr144.*expr145.*expr157.*expr159.*expr280.*expr667 - expr144.*expr145.*expr157.*expr158.*expr281.*(expr145.*expr150.*expr157.*expr280.*expr667 + expr668);
expr674 = expr135.*expr154.*expr273.*expr663 + expr669;
expr675 = expr145.*expr157.*expr280.*expr667 + expr671;
expr676 = -2.*expr143.*expr145.*expr189.*expr258.*expr259.*expr260.*(1 - expr290.*(expr291 + expr292)).*expr615;
expr677 = -2.*expr135.*expr153.*expr189.*expr262.*expr263.*expr264.*(1 - expr293.*(expr294 + expr295)).*expr615;
expr678 = expr133.*expr143.*expr145.*expr167.*expr258.*expr260.*expr268.*(1 - expr290.*(expr291 + expr292)).*expr662;
expr679 = expr143.*expr145.*expr167.*expr258.*expr259.*(1 - expr290.*(expr291 + expr292)).*expr663;
expr680 = expr135.*expr153.*expr167.*expr262.*expr263.*(1 - expr293.*(expr294 + expr295)).*expr667;
expr681 = expr133.*expr135.*expr153.*expr167.*expr262.*expr264.*(1 - expr293.*(expr294 + expr295)).*expr491.*expr670;
expr682 = expr140.*expr162.*expr290.*(expr291 + expr292).*(expr143.*expr297.*expr672 + expr153.*expr302.*expr673).*tpc;
expr683 = -(expr290.*(-(expr143.*expr306.*expr674) + expr162.*expr261.*expr291.*(expr143.*expr297.*expr672 + expr153.*expr302.*expr673).*tpc + expr134.*expr162.*expr306.*(expr143.*expr297.*expr672 + expr153.*expr302.*expr673).*tpc));
expr684 = expr150.*expr162.*expr293.*(expr294 + expr295).*(expr143.*expr297.*expr672 + expr153.*expr302.*expr673).*tpc;
expr685 = -(expr293.*(-(expr153.*expr308.*expr675) + expr162.*expr265.*expr294.*(expr143.*expr297.*expr672 + expr153.*expr302.*expr673).*tpc + expr144.*expr162.*expr308.*(expr143.*expr297.*expr672 + expr153.*expr302.*expr673).*tpc));
expr686 = integrate21 + integrate22 + integrate23 + integrate24 + 200.*expr309.*(expr676 + expr677 + expr678 + expr679 + expr680 + expr681 + expr143.*expr145.*expr167.*expr258.*expr259.*expr260.*(expr682 + expr683) + expr135.*expr153.*expr167.*expr262.*expr263.*expr264.*(expr684 + expr685)).*WO;
gf(5) = expr686;

%% Derivative for d(1)
w25 = [0:wp./100:wp];
expr687 = (a(1).^2 + b(1).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(1).^2 - b(1).^2));
expr688 = (a(2).^2 + b(2).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(2).^2 - b(2).^2));
expr689 = -4.*w25.^2.*d(1) + 4.*d(1).*(c(1).^2 + d(1).^2);
expr690 = sqrt((c(1).^2 + d(1).^2).^2 + w25.^2.*(w25.^2 + 2.*(c(1).^2 - d(1).^2))).^(-1);
expr691 = d(1);
expr692 = sqrt((c(1).^2 + d(1).^2).^2 + w25.^2.*(w25.^2 + 2.*(c(1).^2 - d(1).^2)));
expr693 = -1 + expr135.*expr145.*expr167.*(expr687.*expr688).^expr162.*expr692;
expr694 = expr133.*expr135.*expr145.*expr167.*(expr687.*expr688).^expr162.*expr689.*expr690 - 2.*expr135.*expr145.*expr189.*(expr687.*expr688).^expr162.*expr691.*expr692;
expr695 = 2.*expr161.*expr693.*expr694.*Wmp;
integrate25 = trapz(w25, expr695);
w26 = [wp:(-wp + ws)./100:ws];
expr696 = (a(1).^2 + b(1).^2).^2 + w26.^2.*(w26.^2 + 2.*(a(1).^2 - b(1).^2));
expr697 = (a(2).^2 + b(2).^2).^2 + w26.^2.*(w26.^2 + 2.*(a(2).^2 - b(2).^2));
expr698 = -4.*w26.^2.*d(1) + 4.*d(1).*(c(1).^2 + d(1).^2);
expr699 = sqrt((c(1).^2 + d(1).^2).^2 + w26.^2.*(w26.^2 + 2.*(c(1).^2 - d(1).^2))).^(-1);
expr700 = sqrt((c(1).^2 + d(1).^2).^2 + w26.^2.*(w26.^2 + 2.*(c(1).^2 - d(1).^2)));
expr701 = -(w26./(wp - ws));
expr702 = expr133.*expr135.*expr145.*expr167.*(expr696.*expr697).^expr162.*expr698.*expr699 - 2.*expr135.*expr145.*expr189.*expr691.*(expr696.*expr697).^expr162.*expr700;
expr703 = expr178 + expr135.*expr145.*expr167.*(expr696.*expr697).^expr162.*expr700 + expr701;
expr704 = 2.*expr172.*expr702.*expr703.*Wmt;
integrate26 = trapz(w26, expr704);
w27 = [ws:(99.*ws)./100:100.*ws];
expr705 = ((a(1).^2 + b(1).^2).^2 + w27.^2.*(w27.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr706 = ((a(2).^2 + b(2).^2).^2 + w27.^2.*(w27.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr707 = -4.*w27.^2.*d(1) + 4.*d(1).*(c(1).^2 + d(1).^2);
expr708 = (c(1).^2 + d(1).^2).^2 + w27.^2.*(w27.^2 + 2.*(c(1).^2 - d(1).^2));
expr709 = expr183.*expr184.*expr187.*expr189.*expr629.*expr705.*expr706.*expr707.*Wms + expr183.*expr184.*expr187.*expr633.*expr634.*expr691.*expr705.*expr706.*expr708.*Wms;
integrate27 = trapz(w27, expr709);
w28 = [0:wmax./100:wmax];
expr710 = 1./(c(1).*(1 + (w28 - d(1)).^2./c(1).^2));
expr711 = -(1./(c(1).*(1 + (w28 + d(1)).^2./c(1).^2)));
expr712 = 2.*(angle(1 + (i.*(wmax - d(1)))./c(1)) + angle(1 + (i.*(wmax + d(1)))./c(1))).*d(1);
expr713 = (-2.*(wmax - d(1)).*d(1))./(c(1).*(1 + (wmax - d(1)).^2./c(1).^2));
expr714 = (-2.*d(1).*(wmax + d(1)))./(c(1).*(1 + (wmax + d(1)).^2./c(1).^2));
expr715 = -(1./(c(1).*(1 + (wmax - d(1)).^2./c(1).^2)));
expr716 = 1./(c(1).*(1 + (wmax + d(1)).^2./c(1).^2));
expr717 = c(1).*log(1 + (wmax - d(1)).^2./c(1).^2);
expr718 = -(c(1).*log(1 + (wmax + d(1)).^2./c(1).^2));
expr719 = angle(1 + (i.*(w28 - b(1)))./a(1));
expr720 = angle(1 + (i.*(w28 + b(1)))./a(1));
expr721 = angle(1 + (i.*(w28 - b(2)))./a(2));
expr722 = angle(1 + (i.*(w28 + b(2)))./a(2));
expr723 = -angle(1 + (i.*(w28 - d(1)))./c(1));
expr724 = -angle(1 + (i.*(w28 + d(1)))./c(1));
expr725 = -3.*expr197.*(expr133.*(expr213 - expr202.*expr214 + expr215 + expr216) + expr133.*(expr217 - expr218.*expr219 + expr220 + expr221) + expr133.*(expr222 + expr223.*expr224 + expr225 + expr226)).*w28;
expr726 = expr710 + expr711 + expr166.*expr197.*(expr712 + expr713 + expr714 + expr224.*(expr715 + expr716) + expr717 + expr718).*w28;
expr727 = 2.*expr194.*(expr719 + expr720 + expr721 + expr722 + expr723 + expr724 + expr725).*expr726.*Wph;
integrate28 = trapz(w28, expr727);
expr728 = -2.*(b(1) - d(1)).*((a(1) - c(1)).^2 + (b(1) + d(1)).^2);
expr729 = 1./((a(1) - c(1)).*(1 + (b(1) - d(1)).^2./(a(1) - c(1)).^2));
expr730 = 1./((a(2) - c(1)).*(1 + (b(2) - d(1)).^2./(a(2) - c(1)).^2));
expr731 = -2.*(b(2) - d(1)).*((a(2) - c(1)).^2 + (b(2) + d(1)).^2);
expr732 = expr372 + expr728;
expr733 = expr140.*(expr377 + expr729).*cos(expr136 + expr137 + expr138 + expr139) - expr134.*(expr377 + expr729).*sin(expr136 + expr137 + expr138 + expr139);
expr734 = expr377 + expr729;
expr735 = -((expr135.*expr140.*(expr377 + expr729).*cos(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)));
expr736 = expr564 + expr730;
expr737 = expr150.*(expr564 + expr730).*cos(expr146 + expr147 + expr148 + expr149) - expr144.*(expr564 + expr730).*sin(expr146 + expr147 + expr148 + expr149);
expr738 = -((expr145.*expr150.*(expr564 + expr730).*cos(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)));
expr739 = -((expr135.*(expr377 + expr729).*cos(expr136 + expr137 + expr138 + expr139))./(expr134.*cos(expr136 + expr137 + expr138 + expr139) + expr140.*sin(expr136 + expr137 + expr138 + expr139)));
expr740 = expr567 + expr731;
expr741 = -((expr145.*(expr564 + expr730).*cos(expr146 + expr147 + expr148 + expr149))./(expr144.*cos(expr146 + expr147 + expr148 + expr149) + expr150.*sin(expr146 + expr147 + expr148 + expr149)));
expr742 = -(expr134.*expr135.*expr154.*expr156.*expr273.*expr733) + expr134.*expr135.*expr155.*expr156.*expr276.*expr734 - expr134.*expr135.*expr154.*expr155.*expr274.*(expr135.*expr140.*expr154.*expr273.*expr733 + expr735);
expr743 = expr144.*expr145.*expr158.*expr159.*expr283.*expr736 - expr144.*expr145.*expr157.*expr159.*expr280.*expr737 - expr144.*expr145.*expr157.*expr158.*expr281.*(expr145.*expr150.*expr157.*expr280.*expr737 + expr738);
expr744 = expr135.*expr154.*expr273.*expr733 + expr739;
expr745 = expr145.*expr157.*expr280.*expr737 + expr741;
expr746 = -2.*expr143.*expr145.*expr189.*expr258.*expr259.*expr260.*(1 - expr290.*(expr291 + expr292)).*expr691;
expr747 = -2.*expr135.*expr153.*expr189.*expr262.*expr263.*expr264.*(1 - expr293.*(expr294 + expr295)).*expr691;
expr748 = expr133.*expr143.*expr145.*expr167.*expr258.*expr260.*expr268.*(1 - expr290.*(expr291 + expr292)).*expr732;
expr749 = expr143.*expr145.*expr167.*expr258.*expr259.*(1 - expr290.*(expr291 + expr292)).*expr733;
expr750 = expr135.*expr153.*expr167.*expr262.*expr263.*(1 - expr293.*(expr294 + expr295)).*expr737;
expr751 = expr133.*expr135.*expr153.*expr167.*expr262.*expr264.*(1 - expr293.*(expr294 + expr295)).*expr491.*expr740;
expr752 = expr140.*expr162.*expr290.*(expr291 + expr292).*(expr143.*expr297.*expr742 + expr153.*expr302.*expr743).*tpc;
expr753 = -(expr290.*(-(expr143.*expr306.*expr744) + expr162.*expr261.*expr291.*(expr143.*expr297.*expr742 + expr153.*expr302.*expr743).*tpc + expr134.*expr162.*expr306.*(expr143.*expr297.*expr742 + expr153.*expr302.*expr743).*tpc));
expr754 = expr150.*expr162.*expr293.*(expr294 + expr295).*(expr143.*expr297.*expr742 + expr153.*expr302.*expr743).*tpc;
expr755 = -(expr293.*(-(expr153.*expr308.*expr745) + expr162.*expr265.*expr294.*(expr143.*expr297.*expr742 + expr153.*expr302.*expr743).*tpc + expr144.*expr162.*expr308.*(expr143.*expr297.*expr742 + expr153.*expr302.*expr743).*tpc));
expr756 = integrate25 + integrate26 + integrate27 + integrate28 + 200.*expr309.*(expr746 + expr747 + expr748 + expr749 + expr750 + expr751 + expr143.*expr145.*expr167.*expr258.*expr259.*expr260.*(expr752 + expr753) + expr135.*expr153.*expr167.*expr262.*expr263.*expr264.*(expr754 + expr755)).*WO;
gf(6) = expr756;

%% Derivative of constraints on the cost function

%%   First derivative w/r to a(1) of constraint #1
expr757 = -1./(2.*sqrt(a(1).^2 + b(1).^2)) + sqrt(a(1).^2 + b(1).^2)./(2.*a(1).^2);
GC(1, 1) = expr757;

%%   First derivative w/r to a(1) of constraint #2
expr758 = 0;
GC(1, 2) = expr758;

%%   First derivative w/r to a(1) of constraint #3
expr759 = (wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr760 = (wp.^2.*(wp.^2./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr761 = (wp.^2.*(wp.^2./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr762 = (c(1).^2 + d(1).^2).^2;
expr763 = (wp.^2.*(wp.^2./100 + 2.*(c(1).^2 - d(1).^2)))./100;
expr764 = 2.*expr140.*expr145.*expr167.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr133;
expr765 = expr135.*expr145.*expr162.*expr167.*expr759.*(expr187 + expr760).*((expr187 + expr760).*(expr184 + expr761)).^expr166.*(expr762 + expr763).^expr133;
expr766 = expr764 + expr765;
GC(1, 3) = expr766;

%%   First derivative w/r to a(1) of constraint #4
expr767 = -2.*expr140.*expr145.*expr167.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr133;
expr768 = expr133.*expr135.*expr145.*expr167.*expr759.*(expr187 + expr760).*((expr187 + expr760).*(expr184 + expr761)).^expr166.*(expr762 + expr763).^expr133;
expr769 = expr767 + expr768;
GC(1, 4) = expr769;

%%   First derivative w/r to a(1) of constraint #5
expr770 = (4.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr771 = (wp.^2.*(wp.^2./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr772 = (wp.^2.*(wp.^2./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr773 = (wp.^2.*(wp.^2./25 + 2.*(c(1).^2 - d(1).^2)))./25;
expr774 = 2.*expr140.*expr145.*expr167.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr133;
expr775 = expr135.*expr145.*expr162.*expr167.*expr770.*(expr187 + expr771).*((expr187 + expr771).*(expr184 + expr772)).^expr166.*(expr762 + expr773).^expr133;
expr776 = expr774 + expr775;
GC(1, 5) = expr776;

%%   First derivative w/r to a(1) of constraint #6
expr777 = -2.*expr140.*expr145.*expr167.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr133;
expr778 = expr133.*expr135.*expr145.*expr167.*expr770.*(expr187 + expr771).*((expr187 + expr771).*(expr184 + expr772)).^expr166.*(expr762 + expr773).^expr133;
expr779 = expr777 + expr778;
GC(1, 6) = expr779;

%%   First derivative w/r to a(1) of constraint #7
expr780 = (9.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr781 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr782 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr783 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(c(1).^2 - d(1).^2)))./100;
expr784 = 2.*expr140.*expr145.*expr167.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr133;
expr785 = expr135.*expr145.*expr162.*expr167.*expr780.*(expr187 + expr781).*((expr187 + expr781).*(expr184 + expr782)).^expr166.*(expr762 + expr783).^expr133;
expr786 = expr784 + expr785;
GC(1, 7) = expr786;

%%   First derivative w/r to a(1) of constraint #8
expr787 = -2.*expr140.*expr145.*expr167.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr133;
expr788 = expr133.*expr135.*expr145.*expr167.*expr780.*(expr187 + expr781).*((expr187 + expr781).*(expr184 + expr782)).^expr166.*(expr762 + expr783).^expr133;
expr789 = expr787 + expr788;
GC(1, 8) = expr789;

%%   First derivative w/r to a(1) of constraint #9
expr790 = (16.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr791 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr792 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr793 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(c(1).^2 - d(1).^2)))./25;
expr794 = 2.*expr140.*expr145.*expr167.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr133;
expr795 = expr135.*expr145.*expr162.*expr167.*expr790.*(expr187 + expr791).*((expr187 + expr791).*(expr184 + expr792)).^expr166.*(expr762 + expr793).^expr133;
expr796 = expr794 + expr795;
GC(1, 9) = expr796;

%%   First derivative w/r to a(1) of constraint #10
expr797 = -2.*expr140.*expr145.*expr167.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr133;
expr798 = expr133.*expr135.*expr145.*expr167.*expr790.*(expr187 + expr791).*((expr187 + expr791).*(expr184 + expr792)).^expr166.*(expr762 + expr793).^expr133;
expr799 = expr797 + expr798;
GC(1, 10) = expr799;

%%   First derivative w/r to a(1) of constraint #11
expr800 = wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr801 = (wp.^2.*(wp.^2./4 + 2.*(a(2).^2 - b(2).^2)))./4;
expr802 = (wp.^2.*(wp.^2./4 + 2.*(a(1).^2 - b(1).^2)))./4;
expr803 = (wp.^2.*(wp.^2./4 + 2.*(c(1).^2 - d(1).^2)))./4;
expr804 = 2.*expr140.*expr145.*expr167.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr133;
expr805 = expr135.*expr145.*expr162.*expr167.*expr800.*(expr187 + expr801).*((expr187 + expr801).*(expr184 + expr802)).^expr166.*(expr762 + expr803).^expr133;
expr806 = expr804 + expr805;
GC(1, 11) = expr806;

%%   First derivative w/r to a(1) of constraint #12
expr807 = -2.*expr140.*expr145.*expr167.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr133;
expr808 = expr133.*expr135.*expr145.*expr167.*expr800.*(expr187 + expr801).*((expr187 + expr801).*(expr184 + expr802)).^expr166.*(expr762 + expr803).^expr133;
expr809 = expr807 + expr808;
GC(1, 12) = expr809;

%%   First derivative w/r to a(1) of constraint #13
expr810 = (36.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr811 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr812 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr813 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(c(1).^2 - d(1).^2)))./25;
expr814 = 2.*expr140.*expr145.*expr167.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr133;
expr815 = expr135.*expr145.*expr162.*expr167.*expr810.*(expr187 + expr811).*((expr187 + expr811).*(expr184 + expr812)).^expr166.*(expr762 + expr813).^expr133;
expr816 = expr814 + expr815;
GC(1, 13) = expr816;

%%   First derivative w/r to a(1) of constraint #14
expr817 = -2.*expr140.*expr145.*expr167.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr133;
expr818 = expr133.*expr135.*expr145.*expr167.*expr810.*(expr187 + expr811).*((expr187 + expr811).*(expr184 + expr812)).^expr166.*(expr762 + expr813).^expr133;
expr819 = expr817 + expr818;
GC(1, 14) = expr819;

%%   First derivative w/r to a(1) of constraint #15
expr820 = (49.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr821 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr822 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr823 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(c(1).^2 - d(1).^2)))./100;
expr824 = 2.*expr140.*expr145.*expr167.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr133;
expr825 = expr135.*expr145.*expr162.*expr167.*expr820.*(expr187 + expr821).*((expr187 + expr821).*(expr184 + expr822)).^expr166.*(expr762 + expr823).^expr133;
expr826 = expr824 + expr825;
GC(1, 15) = expr826;

%%   First derivative w/r to a(1) of constraint #16
expr827 = -2.*expr140.*expr145.*expr167.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr133;
expr828 = expr133.*expr135.*expr145.*expr167.*expr820.*(expr187 + expr821).*((expr187 + expr821).*(expr184 + expr822)).^expr166.*(expr762 + expr823).^expr133;
expr829 = expr827 + expr828;
GC(1, 16) = expr829;

%%   First derivative w/r to a(1) of constraint #17
expr830 = (64.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr831 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr832 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr833 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(c(1).^2 - d(1).^2)))./25;
expr834 = 2.*expr140.*expr145.*expr167.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr133;
expr835 = expr135.*expr145.*expr162.*expr167.*expr830.*(expr187 + expr831).*((expr187 + expr831).*(expr184 + expr832)).^expr166.*(expr762 + expr833).^expr133;
expr836 = expr834 + expr835;
GC(1, 17) = expr836;

%%   First derivative w/r to a(1) of constraint #18
expr837 = -2.*expr140.*expr145.*expr167.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr133;
expr838 = expr133.*expr135.*expr145.*expr167.*expr830.*(expr187 + expr831).*((expr187 + expr831).*(expr184 + expr832)).^expr166.*(expr762 + expr833).^expr133;
expr839 = expr837 + expr838;
GC(1, 18) = expr839;

%%   First derivative w/r to a(1) of constraint #19
expr840 = (81.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr841 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr842 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr843 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(c(1).^2 - d(1).^2)))./100;
expr844 = 2.*expr140.*expr145.*expr167.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr133;
expr845 = expr135.*expr145.*expr162.*expr167.*expr840.*(expr187 + expr841).*((expr187 + expr841).*(expr184 + expr842)).^expr166.*(expr762 + expr843).^expr133;
expr846 = expr844 + expr845;
GC(1, 19) = expr846;

%%   First derivative w/r to a(1) of constraint #20
expr847 = -2.*expr140.*expr145.*expr167.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr133;
expr848 = expr133.*expr135.*expr145.*expr167.*expr840.*(expr187 + expr841).*((expr187 + expr841).*(expr184 + expr842)).^expr166.*(expr762 + expr843).^expr133;
expr849 = expr847 + expr848;
GC(1, 20) = expr849;

%%   First derivative w/r to a(1) of constraint #21
expr850 = 4.*wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr851 = (a(2).^2 + b(2).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(2).^2 - b(2).^2));
expr852 = (a(1).^2 + b(1).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(1).^2 - b(1).^2));
expr853 = sqrt((c(1).^2 + d(1).^2).^2 + wp.^2.*(wp.^2 + 2.*(c(1).^2 - d(1).^2)));
expr854 = 2.*expr140.*expr145.*expr167.*(expr851.*expr852).^expr162.*expr853 + expr135.*expr145.*expr162.*expr167.*expr850.*expr851.*(expr851.*expr852).^expr166.*expr853;
GC(1, 21) = expr854;

%%   First derivative w/r to a(1) of constraint #22
expr855 = -2.*expr140.*expr145.*expr167.*(expr851.*expr852).^expr162.*expr853 + expr133.*expr135.*expr145.*expr167.*expr850.*expr851.*(expr851.*expr852).^expr166.*expr853;
GC(1, 22) = expr855;

%%   First derivative w/r to a(1) of constraint #23
expr856 = 4.*ws.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr857 = (a(2).^2 + b(2).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(2).^2 - b(2).^2));
expr858 = (a(1).^2 + b(1).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(1).^2 - b(1).^2));
expr859 = sqrt((c(1).^2 + d(1).^2).^2 + ws.^2.*(ws.^2 + 2.*(c(1).^2 - d(1).^2)));
expr860 = 2.*expr140.*expr145.*expr167.*(expr857.*expr858).^expr162.*expr859 + expr135.*expr145.*expr162.*expr167.*expr856.*expr857.*(expr857.*expr858).^expr166.*expr859;
GC(1, 23) = expr860;

%%   First derivative w/r to a(1) of constraint #24
GC(1, 24) = expr324;

%%   First derivative w/r to a(2) of constraint #1
expr861 = 0;
GC(2, 1) = expr861;

%%   First derivative w/r to a(2) of constraint #2
expr862 = -1./(2.*sqrt(a(2).^2 + b(2).^2)) + sqrt(a(2).^2 + b(2).^2)./(2.*a(2).^2);
GC(2, 2) = expr862;

%%   First derivative w/r to a(2) of constraint #3
expr863 = (wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr864 = 2.*expr135.*expr150.*expr167.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr133;
expr865 = expr135.*expr145.*expr162.*expr167.*(expr184 + expr761).*((expr187 + expr760).*(expr184 + expr761)).^expr166.*(expr762 + expr763).^expr133.*expr863;
expr866 = expr864 + expr865;
GC(2, 3) = expr866;

%%   First derivative w/r to a(2) of constraint #4
expr867 = -2.*expr135.*expr150.*expr167.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr133;
expr868 = expr133.*expr135.*expr145.*expr167.*(expr184 + expr761).*((expr187 + expr760).*(expr184 + expr761)).^expr166.*(expr762 + expr763).^expr133.*expr863;
expr869 = expr867 + expr868;
GC(2, 4) = expr869;

%%   First derivative w/r to a(2) of constraint #5
expr870 = (4.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr871 = 2.*expr135.*expr150.*expr167.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr133;
expr872 = expr135.*expr145.*expr162.*expr167.*(expr184 + expr772).*((expr187 + expr771).*(expr184 + expr772)).^expr166.*(expr762 + expr773).^expr133.*expr870;
expr873 = expr871 + expr872;
GC(2, 5) = expr873;

%%   First derivative w/r to a(2) of constraint #6
expr874 = -2.*expr135.*expr150.*expr167.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr133;
expr875 = expr133.*expr135.*expr145.*expr167.*(expr184 + expr772).*((expr187 + expr771).*(expr184 + expr772)).^expr166.*(expr762 + expr773).^expr133.*expr870;
expr876 = expr874 + expr875;
GC(2, 6) = expr876;

%%   First derivative w/r to a(2) of constraint #7
expr877 = (9.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr878 = 2.*expr135.*expr150.*expr167.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr133;
expr879 = expr135.*expr145.*expr162.*expr167.*(expr184 + expr782).*((expr187 + expr781).*(expr184 + expr782)).^expr166.*(expr762 + expr783).^expr133.*expr877;
expr880 = expr878 + expr879;
GC(2, 7) = expr880;

%%   First derivative w/r to a(2) of constraint #8
expr881 = -2.*expr135.*expr150.*expr167.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr133;
expr882 = expr133.*expr135.*expr145.*expr167.*(expr184 + expr782).*((expr187 + expr781).*(expr184 + expr782)).^expr166.*(expr762 + expr783).^expr133.*expr877;
expr883 = expr881 + expr882;
GC(2, 8) = expr883;

%%   First derivative w/r to a(2) of constraint #9
expr884 = (16.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr885 = 2.*expr135.*expr150.*expr167.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr133;
expr886 = expr135.*expr145.*expr162.*expr167.*(expr184 + expr792).*((expr187 + expr791).*(expr184 + expr792)).^expr166.*(expr762 + expr793).^expr133.*expr884;
expr887 = expr885 + expr886;
GC(2, 9) = expr887;

%%   First derivative w/r to a(2) of constraint #10
expr888 = -2.*expr135.*expr150.*expr167.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr133;
expr889 = expr133.*expr135.*expr145.*expr167.*(expr184 + expr792).*((expr187 + expr791).*(expr184 + expr792)).^expr166.*(expr762 + expr793).^expr133.*expr884;
expr890 = expr888 + expr889;
GC(2, 10) = expr890;

%%   First derivative w/r to a(2) of constraint #11
expr891 = wp.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr892 = 2.*expr135.*expr150.*expr167.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr133;
expr893 = expr135.*expr145.*expr162.*expr167.*(expr184 + expr802).*((expr187 + expr801).*(expr184 + expr802)).^expr166.*(expr762 + expr803).^expr133.*expr891;
expr894 = expr892 + expr893;
GC(2, 11) = expr894;

%%   First derivative w/r to a(2) of constraint #12
expr895 = -2.*expr135.*expr150.*expr167.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr133;
expr896 = expr133.*expr135.*expr145.*expr167.*(expr184 + expr802).*((expr187 + expr801).*(expr184 + expr802)).^expr166.*(expr762 + expr803).^expr133.*expr891;
expr897 = expr895 + expr896;
GC(2, 12) = expr897;

%%   First derivative w/r to a(2) of constraint #13
expr898 = (36.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr899 = 2.*expr135.*expr150.*expr167.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr133;
expr900 = expr135.*expr145.*expr162.*expr167.*(expr184 + expr812).*((expr187 + expr811).*(expr184 + expr812)).^expr166.*(expr762 + expr813).^expr133.*expr898;
expr901 = expr899 + expr900;
GC(2, 13) = expr901;

%%   First derivative w/r to a(2) of constraint #14
expr902 = -2.*expr135.*expr150.*expr167.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr133;
expr903 = expr133.*expr135.*expr145.*expr167.*(expr184 + expr812).*((expr187 + expr811).*(expr184 + expr812)).^expr166.*(expr762 + expr813).^expr133.*expr898;
expr904 = expr902 + expr903;
GC(2, 14) = expr904;

%%   First derivative w/r to a(2) of constraint #15
expr905 = (49.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr906 = 2.*expr135.*expr150.*expr167.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr133;
expr907 = expr135.*expr145.*expr162.*expr167.*(expr184 + expr822).*((expr187 + expr821).*(expr184 + expr822)).^expr166.*(expr762 + expr823).^expr133.*expr905;
expr908 = expr906 + expr907;
GC(2, 15) = expr908;

%%   First derivative w/r to a(2) of constraint #16
expr909 = -2.*expr135.*expr150.*expr167.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr133;
expr910 = expr133.*expr135.*expr145.*expr167.*(expr184 + expr822).*((expr187 + expr821).*(expr184 + expr822)).^expr166.*(expr762 + expr823).^expr133.*expr905;
expr911 = expr909 + expr910;
GC(2, 16) = expr911;

%%   First derivative w/r to a(2) of constraint #17
expr912 = (64.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr913 = 2.*expr135.*expr150.*expr167.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr133;
expr914 = expr135.*expr145.*expr162.*expr167.*(expr184 + expr832).*((expr187 + expr831).*(expr184 + expr832)).^expr166.*(expr762 + expr833).^expr133.*expr912;
expr915 = expr913 + expr914;
GC(2, 17) = expr915;

%%   First derivative w/r to a(2) of constraint #18
expr916 = -2.*expr135.*expr150.*expr167.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr133;
expr917 = expr133.*expr135.*expr145.*expr167.*(expr184 + expr832).*((expr187 + expr831).*(expr184 + expr832)).^expr166.*(expr762 + expr833).^expr133.*expr912;
expr918 = expr916 + expr917;
GC(2, 18) = expr918;

%%   First derivative w/r to a(2) of constraint #19
expr919 = (81.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr920 = 2.*expr135.*expr150.*expr167.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr133;
expr921 = expr135.*expr145.*expr162.*expr167.*(expr184 + expr842).*((expr187 + expr841).*(expr184 + expr842)).^expr166.*(expr762 + expr843).^expr133.*expr919;
expr922 = expr920 + expr921;
GC(2, 19) = expr922;

%%   First derivative w/r to a(2) of constraint #20
expr923 = -2.*expr135.*expr150.*expr167.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr133;
expr924 = expr133.*expr135.*expr145.*expr167.*(expr184 + expr842).*((expr187 + expr841).*(expr184 + expr842)).^expr166.*(expr762 + expr843).^expr133.*expr919;
expr925 = expr923 + expr924;
GC(2, 20) = expr925;

%%   First derivative w/r to a(2) of constraint #21
expr926 = 4.*wp.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr927 = 2.*expr135.*expr150.*expr167.*(expr851.*expr852).^expr162.*expr853 + expr135.*expr145.*expr162.*expr167.*expr852.*(expr851.*expr852).^expr166.*expr853.*expr926;
GC(2, 21) = expr927;

%%   First derivative w/r to a(2) of constraint #22
expr928 = -2.*expr135.*expr150.*expr167.*(expr851.*expr852).^expr162.*expr853 + expr133.*expr135.*expr145.*expr167.*expr852.*(expr851.*expr852).^expr166.*expr853.*expr926;
GC(2, 22) = expr928;

%%   First derivative w/r to a(2) of constraint #23
expr929 = 4.*ws.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr930 = 2.*expr135.*expr150.*expr167.*(expr857.*expr858).^expr162.*expr859 + expr135.*expr145.*expr162.*expr167.*expr858.*(expr857.*expr858).^expr166.*expr859.*expr929;
GC(2, 23) = expr930;

%%   First derivative w/r to a(2) of constraint #24
GC(2, 24) = expr516;

%%   First derivative w/r to b(1) of constraint #1
expr931 = -b(1)./(2.*a(1).*sqrt(a(1).^2 + b(1).^2));
GC(3, 1) = expr931;

%%   First derivative w/r to b(1) of constraint #2
expr932 = 0;
GC(3, 2) = expr932;

%%   First derivative w/r to b(1) of constraint #3
expr933 = -(wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr934 = 2.*expr134.*expr145.*expr167.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr133;
expr935 = expr135.*expr145.*expr162.*expr167.*(expr187 + expr760).*((expr187 + expr760).*(expr184 + expr761)).^expr166.*(expr762 + expr763).^expr133.*expr933;
expr936 = expr934 + expr935;
GC(3, 3) = expr936;

%%   First derivative w/r to b(1) of constraint #4
expr937 = -2.*expr134.*expr145.*expr167.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr133;
expr938 = expr133.*expr135.*expr145.*expr167.*(expr187 + expr760).*((expr187 + expr760).*(expr184 + expr761)).^expr166.*(expr762 + expr763).^expr133.*expr933;
expr939 = expr937 + expr938;
GC(3, 4) = expr939;

%%   First derivative w/r to b(1) of constraint #5
expr940 = (-4.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr941 = 2.*expr134.*expr145.*expr167.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr133;
expr942 = expr135.*expr145.*expr162.*expr167.*(expr187 + expr771).*((expr187 + expr771).*(expr184 + expr772)).^expr166.*(expr762 + expr773).^expr133.*expr940;
expr943 = expr941 + expr942;
GC(3, 5) = expr943;

%%   First derivative w/r to b(1) of constraint #6
expr944 = -2.*expr134.*expr145.*expr167.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr133;
expr945 = expr133.*expr135.*expr145.*expr167.*(expr187 + expr771).*((expr187 + expr771).*(expr184 + expr772)).^expr166.*(expr762 + expr773).^expr133.*expr940;
expr946 = expr944 + expr945;
GC(3, 6) = expr946;

%%   First derivative w/r to b(1) of constraint #7
expr947 = (-9.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr948 = 2.*expr134.*expr145.*expr167.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr133;
expr949 = expr135.*expr145.*expr162.*expr167.*(expr187 + expr781).*((expr187 + expr781).*(expr184 + expr782)).^expr166.*(expr762 + expr783).^expr133.*expr947;
expr950 = expr948 + expr949;
GC(3, 7) = expr950;

%%   First derivative w/r to b(1) of constraint #8
expr951 = -2.*expr134.*expr145.*expr167.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr133;
expr952 = expr133.*expr135.*expr145.*expr167.*(expr187 + expr781).*((expr187 + expr781).*(expr184 + expr782)).^expr166.*(expr762 + expr783).^expr133.*expr947;
expr953 = expr951 + expr952;
GC(3, 8) = expr953;

%%   First derivative w/r to b(1) of constraint #9
expr954 = (-16.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr955 = 2.*expr134.*expr145.*expr167.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr133;
expr956 = expr135.*expr145.*expr162.*expr167.*(expr187 + expr791).*((expr187 + expr791).*(expr184 + expr792)).^expr166.*(expr762 + expr793).^expr133.*expr954;
expr957 = expr955 + expr956;
GC(3, 9) = expr957;

%%   First derivative w/r to b(1) of constraint #10
expr958 = -2.*expr134.*expr145.*expr167.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr133;
expr959 = expr133.*expr135.*expr145.*expr167.*(expr187 + expr791).*((expr187 + expr791).*(expr184 + expr792)).^expr166.*(expr762 + expr793).^expr133.*expr954;
expr960 = expr958 + expr959;
GC(3, 10) = expr960;

%%   First derivative w/r to b(1) of constraint #11
expr961 = -(wp.^2.*b(1)) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr962 = 2.*expr134.*expr145.*expr167.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr133;
expr963 = expr135.*expr145.*expr162.*expr167.*(expr187 + expr801).*((expr187 + expr801).*(expr184 + expr802)).^expr166.*(expr762 + expr803).^expr133.*expr961;
expr964 = expr962 + expr963;
GC(3, 11) = expr964;

%%   First derivative w/r to b(1) of constraint #12
expr965 = -2.*expr134.*expr145.*expr167.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr133;
expr966 = expr133.*expr135.*expr145.*expr167.*(expr187 + expr801).*((expr187 + expr801).*(expr184 + expr802)).^expr166.*(expr762 + expr803).^expr133.*expr961;
expr967 = expr965 + expr966;
GC(3, 12) = expr967;

%%   First derivative w/r to b(1) of constraint #13
expr968 = (-36.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr969 = 2.*expr134.*expr145.*expr167.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr133;
expr970 = expr135.*expr145.*expr162.*expr167.*(expr187 + expr811).*((expr187 + expr811).*(expr184 + expr812)).^expr166.*(expr762 + expr813).^expr133.*expr968;
expr971 = expr969 + expr970;
GC(3, 13) = expr971;

%%   First derivative w/r to b(1) of constraint #14
expr972 = -2.*expr134.*expr145.*expr167.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr133;
expr973 = expr133.*expr135.*expr145.*expr167.*(expr187 + expr811).*((expr187 + expr811).*(expr184 + expr812)).^expr166.*(expr762 + expr813).^expr133.*expr968;
expr974 = expr972 + expr973;
GC(3, 14) = expr974;

%%   First derivative w/r to b(1) of constraint #15
expr975 = (-49.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr976 = 2.*expr134.*expr145.*expr167.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr133;
expr977 = expr135.*expr145.*expr162.*expr167.*(expr187 + expr821).*((expr187 + expr821).*(expr184 + expr822)).^expr166.*(expr762 + expr823).^expr133.*expr975;
expr978 = expr976 + expr977;
GC(3, 15) = expr978;

%%   First derivative w/r to b(1) of constraint #16
expr979 = -2.*expr134.*expr145.*expr167.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr133;
expr980 = expr133.*expr135.*expr145.*expr167.*(expr187 + expr821).*((expr187 + expr821).*(expr184 + expr822)).^expr166.*(expr762 + expr823).^expr133.*expr975;
expr981 = expr979 + expr980;
GC(3, 16) = expr981;

%%   First derivative w/r to b(1) of constraint #17
expr982 = (-64.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr983 = 2.*expr134.*expr145.*expr167.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr133;
expr984 = expr135.*expr145.*expr162.*expr167.*(expr187 + expr831).*((expr187 + expr831).*(expr184 + expr832)).^expr166.*(expr762 + expr833).^expr133.*expr982;
expr985 = expr983 + expr984;
GC(3, 17) = expr985;

%%   First derivative w/r to b(1) of constraint #18
expr986 = -2.*expr134.*expr145.*expr167.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr133;
expr987 = expr133.*expr135.*expr145.*expr167.*(expr187 + expr831).*((expr187 + expr831).*(expr184 + expr832)).^expr166.*(expr762 + expr833).^expr133.*expr982;
expr988 = expr986 + expr987;
GC(3, 18) = expr988;

%%   First derivative w/r to b(1) of constraint #19
expr989 = (-81.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr990 = 2.*expr134.*expr145.*expr167.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr133;
expr991 = expr135.*expr145.*expr162.*expr167.*(expr187 + expr841).*((expr187 + expr841).*(expr184 + expr842)).^expr166.*(expr762 + expr843).^expr133.*expr989;
expr992 = expr990 + expr991;
GC(3, 19) = expr992;

%%   First derivative w/r to b(1) of constraint #20
expr993 = -2.*expr134.*expr145.*expr167.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr133;
expr994 = expr133.*expr135.*expr145.*expr167.*(expr187 + expr841).*((expr187 + expr841).*(expr184 + expr842)).^expr166.*(expr762 + expr843).^expr133.*expr989;
expr995 = expr993 + expr994;
GC(3, 20) = expr995;

%%   First derivative w/r to b(1) of constraint #21
expr996 = -4.*wp.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr997 = 2.*expr134.*expr145.*expr167.*(expr851.*expr852).^expr162.*expr853 + expr135.*expr145.*expr162.*expr167.*expr851.*(expr851.*expr852).^expr166.*expr853.*expr996;
GC(3, 21) = expr997;

%%   First derivative w/r to b(1) of constraint #22
expr998 = -2.*expr134.*expr145.*expr167.*(expr851.*expr852).^expr162.*expr853 + expr133.*expr135.*expr145.*expr167.*expr851.*(expr851.*expr852).^expr166.*expr853.*expr996;
GC(3, 22) = expr998;

%%   First derivative w/r to b(1) of constraint #23
expr999 = -4.*ws.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1000 = 2.*expr134.*expr145.*expr167.*(expr857.*expr858).^expr162.*expr859 + expr135.*expr145.*expr162.*expr167.*expr857.*(expr857.*expr858).^expr166.*expr859.*expr999;
GC(3, 23) = expr1000;

%%   First derivative w/r to b(1) of constraint #24
expr1001 = expr407 + expr408 + expr409 + expr410 + expr411 + expr412 + expr413 + expr422 + expr423;
GC(3, 24) = expr1001;

%%   First derivative w/r to b(2) of constraint #1
expr1002 = 0;
GC(4, 1) = expr1002;

%%   First derivative w/r to b(2) of constraint #2
expr1003 = -b(2)./(2.*a(2).*sqrt(a(2).^2 + b(2).^2));
GC(4, 2) = expr1003;

%%   First derivative w/r to b(2) of constraint #3
expr1004 = -(wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1005 = 2.*expr135.*expr144.*expr167.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr133;
expr1006 = expr1004.*expr135.*expr145.*expr162.*expr167.*(expr184 + expr761).*((expr187 + expr760).*(expr184 + expr761)).^expr166.*(expr762 + expr763).^expr133;
expr1007 = expr1005 + expr1006;
GC(4, 3) = expr1007;

%%   First derivative w/r to b(2) of constraint #4
expr1008 = -2.*expr135.*expr144.*expr167.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr133;
expr1009 = expr1004.*expr133.*expr135.*expr145.*expr167.*(expr184 + expr761).*((expr187 + expr760).*(expr184 + expr761)).^expr166.*(expr762 + expr763).^expr133;
expr1010 = expr1008 + expr1009;
GC(4, 4) = expr1010;

%%   First derivative w/r to b(2) of constraint #5
expr1011 = (-4.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1012 = 2.*expr135.*expr144.*expr167.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr133;
expr1013 = expr1011.*expr135.*expr145.*expr162.*expr167.*(expr184 + expr772).*((expr187 + expr771).*(expr184 + expr772)).^expr166.*(expr762 + expr773).^expr133;
expr1014 = expr1012 + expr1013;
GC(4, 5) = expr1014;

%%   First derivative w/r to b(2) of constraint #6
expr1015 = -2.*expr135.*expr144.*expr167.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr133;
expr1016 = expr1011.*expr133.*expr135.*expr145.*expr167.*(expr184 + expr772).*((expr187 + expr771).*(expr184 + expr772)).^expr166.*(expr762 + expr773).^expr133;
expr1017 = expr1015 + expr1016;
GC(4, 6) = expr1017;

%%   First derivative w/r to b(2) of constraint #7
expr1018 = (-9.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1019 = 2.*expr135.*expr144.*expr167.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr133;
expr1020 = expr1018.*expr135.*expr145.*expr162.*expr167.*(expr184 + expr782).*((expr187 + expr781).*(expr184 + expr782)).^expr166.*(expr762 + expr783).^expr133;
expr1021 = expr1019 + expr1020;
GC(4, 7) = expr1021;

%%   First derivative w/r to b(2) of constraint #8
expr1022 = -2.*expr135.*expr144.*expr167.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr133;
expr1023 = expr1018.*expr133.*expr135.*expr145.*expr167.*(expr184 + expr782).*((expr187 + expr781).*(expr184 + expr782)).^expr166.*(expr762 + expr783).^expr133;
expr1024 = expr1022 + expr1023;
GC(4, 8) = expr1024;

%%   First derivative w/r to b(2) of constraint #9
expr1025 = (-16.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1026 = 2.*expr135.*expr144.*expr167.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr133;
expr1027 = expr1025.*expr135.*expr145.*expr162.*expr167.*(expr184 + expr792).*((expr187 + expr791).*(expr184 + expr792)).^expr166.*(expr762 + expr793).^expr133;
expr1028 = expr1026 + expr1027;
GC(4, 9) = expr1028;

%%   First derivative w/r to b(2) of constraint #10
expr1029 = -2.*expr135.*expr144.*expr167.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr133;
expr1030 = expr1025.*expr133.*expr135.*expr145.*expr167.*(expr184 + expr792).*((expr187 + expr791).*(expr184 + expr792)).^expr166.*(expr762 + expr793).^expr133;
expr1031 = expr1029 + expr1030;
GC(4, 10) = expr1031;

%%   First derivative w/r to b(2) of constraint #11
expr1032 = -(wp.^2.*b(2)) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1033 = 2.*expr135.*expr144.*expr167.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr133;
expr1034 = expr1032.*expr135.*expr145.*expr162.*expr167.*(expr184 + expr802).*((expr187 + expr801).*(expr184 + expr802)).^expr166.*(expr762 + expr803).^expr133;
expr1035 = expr1033 + expr1034;
GC(4, 11) = expr1035;

%%   First derivative w/r to b(2) of constraint #12
expr1036 = -2.*expr135.*expr144.*expr167.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr133;
expr1037 = expr1032.*expr133.*expr135.*expr145.*expr167.*(expr184 + expr802).*((expr187 + expr801).*(expr184 + expr802)).^expr166.*(expr762 + expr803).^expr133;
expr1038 = expr1036 + expr1037;
GC(4, 12) = expr1038;

%%   First derivative w/r to b(2) of constraint #13
expr1039 = (-36.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1040 = 2.*expr135.*expr144.*expr167.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr133;
expr1041 = expr1039.*expr135.*expr145.*expr162.*expr167.*(expr184 + expr812).*((expr187 + expr811).*(expr184 + expr812)).^expr166.*(expr762 + expr813).^expr133;
expr1042 = expr1040 + expr1041;
GC(4, 13) = expr1042;

%%   First derivative w/r to b(2) of constraint #14
expr1043 = -2.*expr135.*expr144.*expr167.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr133;
expr1044 = expr1039.*expr133.*expr135.*expr145.*expr167.*(expr184 + expr812).*((expr187 + expr811).*(expr184 + expr812)).^expr166.*(expr762 + expr813).^expr133;
expr1045 = expr1043 + expr1044;
GC(4, 14) = expr1045;

%%   First derivative w/r to b(2) of constraint #15
expr1046 = (-49.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1047 = 2.*expr135.*expr144.*expr167.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr133;
expr1048 = expr1046.*expr135.*expr145.*expr162.*expr167.*(expr184 + expr822).*((expr187 + expr821).*(expr184 + expr822)).^expr166.*(expr762 + expr823).^expr133;
expr1049 = expr1047 + expr1048;
GC(4, 15) = expr1049;

%%   First derivative w/r to b(2) of constraint #16
expr1050 = -2.*expr135.*expr144.*expr167.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr133;
expr1051 = expr1046.*expr133.*expr135.*expr145.*expr167.*(expr184 + expr822).*((expr187 + expr821).*(expr184 + expr822)).^expr166.*(expr762 + expr823).^expr133;
expr1052 = expr1050 + expr1051;
GC(4, 16) = expr1052;

%%   First derivative w/r to b(2) of constraint #17
expr1053 = (-64.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1054 = 2.*expr135.*expr144.*expr167.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr133;
expr1055 = expr1053.*expr135.*expr145.*expr162.*expr167.*(expr184 + expr832).*((expr187 + expr831).*(expr184 + expr832)).^expr166.*(expr762 + expr833).^expr133;
expr1056 = expr1054 + expr1055;
GC(4, 17) = expr1056;

%%   First derivative w/r to b(2) of constraint #18
expr1057 = -2.*expr135.*expr144.*expr167.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr133;
expr1058 = expr1053.*expr133.*expr135.*expr145.*expr167.*(expr184 + expr832).*((expr187 + expr831).*(expr184 + expr832)).^expr166.*(expr762 + expr833).^expr133;
expr1059 = expr1057 + expr1058;
GC(4, 18) = expr1059;

%%   First derivative w/r to b(2) of constraint #19
expr1060 = (-81.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1061 = 2.*expr135.*expr144.*expr167.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr133;
expr1062 = expr1060.*expr135.*expr145.*expr162.*expr167.*(expr184 + expr842).*((expr187 + expr841).*(expr184 + expr842)).^expr166.*(expr762 + expr843).^expr133;
expr1063 = expr1061 + expr1062;
GC(4, 19) = expr1063;

%%   First derivative w/r to b(2) of constraint #20
expr1064 = -2.*expr135.*expr144.*expr167.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr133;
expr1065 = expr1060.*expr133.*expr135.*expr145.*expr167.*(expr184 + expr842).*((expr187 + expr841).*(expr184 + expr842)).^expr166.*(expr762 + expr843).^expr133;
expr1066 = expr1064 + expr1065;
GC(4, 20) = expr1066;

%%   First derivative w/r to b(2) of constraint #21
expr1067 = -4.*wp.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1068 = 2.*expr135.*expr144.*expr167.*(expr851.*expr852).^expr162.*expr853 + expr1067.*expr135.*expr145.*expr162.*expr167.*expr852.*(expr851.*expr852).^expr166.*expr853;
GC(4, 21) = expr1068;

%%   First derivative w/r to b(2) of constraint #22
expr1069 = -2.*expr135.*expr144.*expr167.*(expr851.*expr852).^expr162.*expr853 + expr1067.*expr133.*expr135.*expr145.*expr167.*expr852.*(expr851.*expr852).^expr166.*expr853;
GC(4, 22) = expr1069;

%%   First derivative w/r to b(2) of constraint #23
expr1070 = -4.*ws.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1071 = 2.*expr135.*expr144.*expr167.*(expr857.*expr858).^expr162.*expr859 + expr1070.*expr135.*expr145.*expr162.*expr167.*expr858.*(expr857.*expr858).^expr166.*expr859;
GC(4, 23) = expr1071;

%%   First derivative w/r to b(2) of constraint #24
expr1072 = expr593 + expr594 + expr595 + expr596 + expr597 + expr598 + expr599 + expr608 + expr609;
GC(4, 24) = expr1072;

%%   First derivative w/r to c(1) of constraint #1
expr1073 = 0;
GC(5, 1) = expr1073;

%%   First derivative w/r to c(1) of constraint #2
expr1074 = 0;
GC(5, 2) = expr1074;

%%   First derivative w/r to c(1) of constraint #3
expr1075 = (wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1076 = -2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr133;
expr1077 = expr1075.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr162;
expr1078 = expr1076 + expr1077;
GC(5, 3) = expr1078;

%%   First derivative w/r to c(1) of constraint #4
expr1079 = 2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr133;
expr1080 = expr1075.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr162;
expr1081 = expr1079 + expr1080;
GC(5, 4) = expr1081;

%%   First derivative w/r to c(1) of constraint #5
expr1082 = (4.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1083 = -2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr133;
expr1084 = expr1082.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr162;
expr1085 = expr1083 + expr1084;
GC(5, 5) = expr1085;

%%   First derivative w/r to c(1) of constraint #6
expr1086 = 2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr133;
expr1087 = expr1082.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr162;
expr1088 = expr1086 + expr1087;
GC(5, 6) = expr1088;

%%   First derivative w/r to c(1) of constraint #7
expr1089 = (9.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1090 = -2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr133;
expr1091 = expr1089.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr162;
expr1092 = expr1090 + expr1091;
GC(5, 7) = expr1092;

%%   First derivative w/r to c(1) of constraint #8
expr1093 = 2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr133;
expr1094 = expr1089.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr162;
expr1095 = expr1093 + expr1094;
GC(5, 8) = expr1095;

%%   First derivative w/r to c(1) of constraint #9
expr1096 = (16.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1097 = -2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr133;
expr1098 = expr1096.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr162;
expr1099 = expr1097 + expr1098;
GC(5, 9) = expr1099;

%%   First derivative w/r to c(1) of constraint #10
expr1100 = 2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr133;
expr1101 = expr1096.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr162;
expr1102 = expr1100 + expr1101;
GC(5, 10) = expr1102;

%%   First derivative w/r to c(1) of constraint #11
expr1103 = wp.^2.*c(1) + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1104 = -2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr133;
expr1105 = expr1103.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr162;
expr1106 = expr1104 + expr1105;
GC(5, 11) = expr1106;

%%   First derivative w/r to c(1) of constraint #12
expr1107 = 2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr133;
expr1108 = expr1103.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr162;
expr1109 = expr1107 + expr1108;
GC(5, 12) = expr1109;

%%   First derivative w/r to c(1) of constraint #13
expr1110 = (36.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1111 = -2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr133;
expr1112 = expr1110.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr162;
expr1113 = expr1111 + expr1112;
GC(5, 13) = expr1113;

%%   First derivative w/r to c(1) of constraint #14
expr1114 = 2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr133;
expr1115 = expr1110.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr162;
expr1116 = expr1114 + expr1115;
GC(5, 14) = expr1116;

%%   First derivative w/r to c(1) of constraint #15
expr1117 = (49.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1118 = -2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr133;
expr1119 = expr1117.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr162;
expr1120 = expr1118 + expr1119;
GC(5, 15) = expr1120;

%%   First derivative w/r to c(1) of constraint #16
expr1121 = 2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr133;
expr1122 = expr1117.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr162;
expr1123 = expr1121 + expr1122;
GC(5, 16) = expr1123;

%%   First derivative w/r to c(1) of constraint #17
expr1124 = (64.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1125 = -2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr133;
expr1126 = expr1124.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr162;
expr1127 = expr1125 + expr1126;
GC(5, 17) = expr1127;

%%   First derivative w/r to c(1) of constraint #18
expr1128 = 2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr133;
expr1129 = expr1124.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr162;
expr1130 = expr1128 + expr1129;
GC(5, 18) = expr1130;

%%   First derivative w/r to c(1) of constraint #19
expr1131 = (81.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1132 = -2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr133;
expr1133 = expr1131.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr162;
expr1134 = expr1132 + expr1133;
GC(5, 19) = expr1134;

%%   First derivative w/r to c(1) of constraint #20
expr1135 = 2.*expr135.*expr145.*expr189.*expr615.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr133;
expr1136 = expr1131.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr162;
expr1137 = expr1135 + expr1136;
GC(5, 20) = expr1137;

%%   First derivative w/r to c(1) of constraint #21
expr1138 = 4.*wp.^2.*c(1) + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1139 = sqrt((c(1).^2 + d(1).^2).^2 + wp.^2.*(wp.^2 + 2.*(c(1).^2 - d(1).^2))).^(-1);
expr1140 = expr1138.*expr1139.*expr133.*expr135.*expr145.*expr167.*(expr851.*expr852).^expr162 - 2.*expr135.*expr145.*expr189.*expr615.*(expr851.*expr852).^expr162.*expr853;
GC(5, 21) = expr1140;

%%   First derivative w/r to c(1) of constraint #22
expr1141 = expr1138.*expr1139.*expr135.*expr145.*expr162.*expr167.*(expr851.*expr852).^expr162 + 2.*expr135.*expr145.*expr189.*expr615.*(expr851.*expr852).^expr162.*expr853;
GC(5, 22) = expr1141;

%%   First derivative w/r to c(1) of constraint #23
expr1142 = 4.*ws.^2.*c(1) + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1143 = sqrt((c(1).^2 + d(1).^2).^2 + ws.^2.*(ws.^2 + 2.*(c(1).^2 - d(1).^2))).^(-1);
expr1144 = expr1142.*expr1143.*expr133.*expr135.*expr145.*expr167.*(expr857.*expr858).^expr162 - 2.*expr135.*expr145.*expr189.*expr615.*(expr857.*expr858).^expr162.*expr859;
GC(5, 23) = expr1144;

%%   First derivative w/r to c(1) of constraint #24
expr1145 = expr676 + expr677 + expr678 + expr679 + expr680 + expr681 + expr143.*expr145.*expr167.*expr258.*expr259.*expr260.*(expr682 + expr683) + expr135.*expr153.*expr167.*expr262.*expr263.*expr264.*(expr684 + expr685);
GC(5, 24) = expr1145;

%%   First derivative w/r to d(1) of constraint #1
expr1146 = 0;
GC(6, 1) = expr1146;

%%   First derivative w/r to d(1) of constraint #2
expr1147 = 0;
GC(6, 2) = expr1147;

%%   First derivative w/r to d(1) of constraint #3
expr1148 = -(wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1149 = -2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr133;
expr1150 = expr1148.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr162;
expr1151 = expr1149 + expr1150;
GC(6, 3) = expr1151;

%%   First derivative w/r to d(1) of constraint #4
expr1152 = 2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr133;
expr1153 = expr1148.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr760).*(expr184 + expr761)).^expr162.*(expr762 + expr763).^expr162;
expr1154 = expr1152 + expr1153;
GC(6, 4) = expr1154;

%%   First derivative w/r to d(1) of constraint #5
expr1155 = (-4.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1156 = -2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr133;
expr1157 = expr1155.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr162;
expr1158 = expr1156 + expr1157;
GC(6, 5) = expr1158;

%%   First derivative w/r to d(1) of constraint #6
expr1159 = 2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr133;
expr1160 = expr1155.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr771).*(expr184 + expr772)).^expr162.*(expr762 + expr773).^expr162;
expr1161 = expr1159 + expr1160;
GC(6, 6) = expr1161;

%%   First derivative w/r to d(1) of constraint #7
expr1162 = (-9.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1163 = -2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr133;
expr1164 = expr1162.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr162;
expr1165 = expr1163 + expr1164;
GC(6, 7) = expr1165;

%%   First derivative w/r to d(1) of constraint #8
expr1166 = 2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr133;
expr1167 = expr1162.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr781).*(expr184 + expr782)).^expr162.*(expr762 + expr783).^expr162;
expr1168 = expr1166 + expr1167;
GC(6, 8) = expr1168;

%%   First derivative w/r to d(1) of constraint #9
expr1169 = (-16.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1170 = -2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr133;
expr1171 = expr1169.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr162;
expr1172 = expr1170 + expr1171;
GC(6, 9) = expr1172;

%%   First derivative w/r to d(1) of constraint #10
expr1173 = 2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr133;
expr1174 = expr1169.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr791).*(expr184 + expr792)).^expr162.*(expr762 + expr793).^expr162;
expr1175 = expr1173 + expr1174;
GC(6, 10) = expr1175;

%%   First derivative w/r to d(1) of constraint #11
expr1176 = -(wp.^2.*d(1)) + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1177 = -2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr133;
expr1178 = expr1176.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr162;
expr1179 = expr1177 + expr1178;
GC(6, 11) = expr1179;

%%   First derivative w/r to d(1) of constraint #12
expr1180 = 2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr133;
expr1181 = expr1176.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr801).*(expr184 + expr802)).^expr162.*(expr762 + expr803).^expr162;
expr1182 = expr1180 + expr1181;
GC(6, 12) = expr1182;

%%   First derivative w/r to d(1) of constraint #13
expr1183 = (-36.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1184 = -2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr133;
expr1185 = expr1183.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr162;
expr1186 = expr1184 + expr1185;
GC(6, 13) = expr1186;

%%   First derivative w/r to d(1) of constraint #14
expr1187 = 2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr133;
expr1188 = expr1183.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr811).*(expr184 + expr812)).^expr162.*(expr762 + expr813).^expr162;
expr1189 = expr1187 + expr1188;
GC(6, 14) = expr1189;

%%   First derivative w/r to d(1) of constraint #15
expr1190 = (-49.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1191 = -2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr133;
expr1192 = expr1190.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr162;
expr1193 = expr1191 + expr1192;
GC(6, 15) = expr1193;

%%   First derivative w/r to d(1) of constraint #16
expr1194 = 2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr133;
expr1195 = expr1190.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr821).*(expr184 + expr822)).^expr162.*(expr762 + expr823).^expr162;
expr1196 = expr1194 + expr1195;
GC(6, 16) = expr1196;

%%   First derivative w/r to d(1) of constraint #17
expr1197 = (-64.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1198 = -2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr133;
expr1199 = expr1197.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr162;
expr1200 = expr1198 + expr1199;
GC(6, 17) = expr1200;

%%   First derivative w/r to d(1) of constraint #18
expr1201 = 2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr133;
expr1202 = expr1197.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr831).*(expr184 + expr832)).^expr162.*(expr762 + expr833).^expr162;
expr1203 = expr1201 + expr1202;
GC(6, 18) = expr1203;

%%   First derivative w/r to d(1) of constraint #19
expr1204 = (-81.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1205 = -2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr133;
expr1206 = expr1204.*expr133.*expr135.*expr145.*expr167.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr162;
expr1207 = expr1205 + expr1206;
GC(6, 19) = expr1207;

%%   First derivative w/r to d(1) of constraint #20
expr1208 = 2.*expr135.*expr145.*expr189.*expr691.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr133;
expr1209 = expr1204.*expr135.*expr145.*expr162.*expr167.*((expr187 + expr841).*(expr184 + expr842)).^expr162.*(expr762 + expr843).^expr162;
expr1210 = expr1208 + expr1209;
GC(6, 20) = expr1210;

%%   First derivative w/r to d(1) of constraint #21
expr1211 = -4.*wp.^2.*d(1) + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1212 = expr1139.*expr1211.*expr133.*expr135.*expr145.*expr167.*(expr851.*expr852).^expr162 - 2.*expr135.*expr145.*expr189.*expr691.*(expr851.*expr852).^expr162.*expr853;
GC(6, 21) = expr1212;

%%   First derivative w/r to d(1) of constraint #22
expr1213 = expr1139.*expr1211.*expr135.*expr145.*expr162.*expr167.*(expr851.*expr852).^expr162 + 2.*expr135.*expr145.*expr189.*expr691.*(expr851.*expr852).^expr162.*expr853;
GC(6, 22) = expr1213;

%%   First derivative w/r to d(1) of constraint #23
expr1214 = -4.*ws.^2.*d(1) + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1215 = expr1143.*expr1214.*expr133.*expr135.*expr145.*expr167.*(expr857.*expr858).^expr162 - 2.*expr135.*expr145.*expr189.*expr691.*(expr857.*expr858).^expr162.*expr859;
GC(6, 23) = expr1215;

%%   First derivative w/r to d(1) of constraint #24
expr1216 = expr746 + expr747 + expr748 + expr749 + expr750 + expr751 + expr143.*expr145.*expr167.*expr258.*expr259.*expr260.*(expr752 + expr753) + expr135.*expr153.*expr167.*expr262.*expr263.*expr264.*(expr754 + expr755);
GC(6, 24) = expr1216;

end
