function f = stepresp(x, a, b, c,d,M1)
%STEPRESP computes the step response of an analog filter with any number of pole pairs.
%
%	This function takes four arguments:
%	  x is time
%	  a are the real values of the poles
%	  b are imaginary values of the poles
%	  c are the real values of the zeros
%	  c are imaginary values of the zeros
%	  M1 scales the step response
expr1 = b(1).^(-1);
expr2 = a(2).^2 + b(2).^2;
expr3 = ((a(1) - a(2)).^2 + (b(1) - b(2)).^2).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr4 = -1./2;
expr5 = (c(1).^2 + d(1).^2).^(-1);
expr6 = ((a(1) - c(1)).^2 + (b(1) - d(1)).^2).*((a(1) - c(1)).^2 + (b(1) + d(1)).^2);
expr7 = 1./2;
expr8 = b(1);
expr9 = angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2)));
expr10 = angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2)));
expr11 = -angle(1 + (i.*(b(1) - d(1)))./(a(1) - c(1)));
expr12 = -angle(1 + (i.*(b(1) + d(1)))./(a(1) - c(1)));
expr13 = a(1);
expr14 = exp(x.*a(1));
expr15 = cos(x.*b(1));
expr16 = a(1).^2 + b(1).^2;
expr17 = sin(x.*b(1));
expr18 = b(2).^(-1);
expr19 = ((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr20 = ((a(2) - c(1)).^2 + (b(2) - d(1)).^2).*((a(2) - c(1)).^2 + (b(2) + d(1)).^2);
expr21 = b(2);
expr22 = angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2)));
expr23 = angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2)));
expr24 = -angle(1 + (i.*(b(2) - d(1)))./(a(2) - c(1)));
expr25 = -angle(1 + (i.*(b(2) + d(1)))./(a(2) - c(1)));
expr26 = a(2);
expr27 = exp(x.*a(2));
expr28 = cos(x.*b(2));
expr29 = sin(x.*b(2));
expr30 = expr19.^expr4;
expr31 = expr20.^expr7;
expr32 = expr21.*cos(expr22 + expr23 + expr24 + expr25) + expr26.*sin(expr22 + expr23 + expr24 + expr25);
expr33 = -(expr27.*(expr28 - expr18.*expr29.*(expr26 - (expr2.*sin(expr22 + expr23 + expr24 + expr25))./(expr21.*cos(expr22 + expr23 + expr24 + expr25) + expr26.*sin(expr22 + expr23 + expr24 + expr25)))));
expr34 = expr3.^expr4;
expr35 = expr6.^expr7;
expr36 = expr8.*cos(expr10 + expr11 + expr12 + expr9) + expr13.*sin(expr10 + expr11 + expr12 + expr9);
expr37 = -(expr14.*(expr15 - expr1.*expr17.*(expr13 - (expr16.*sin(expr10 + expr11 + expr12 + expr9))./(expr8.*cos(expr10 + expr11 + expr12 + expr9) + expr13.*sin(expr10 + expr11 + expr12 + expr9)))));
expr38 = expr16.*expr18.*expr30.*expr31.*expr32.*(1 + expr33).*expr5 + expr1.*expr2.*expr34.*expr35.*expr36.*(1 + expr37).*expr5;
f = M1.*expr38;
end
