function f = stepresp(x, a, b, c,d,M1)
%STEPRESP computes the step response of an analog filter with any number of pole pairs.
%
%	This function takes four arguments:
%	  x is time
%	  a are the real values of the poles
%	  b are imaginary values of the poles
%	  c are the real values of the zeros
%	  c are imaginary values of the zeros
%	  M1 scales the step response
expr1 = b(1).^(-1);
expr2 = a(2).^2 + b(2).^2;
expr3 = a(3).^2 + b(3).^2;
expr4 = (a(1) - a(2)).^2 + (b(1) - b(2)).^2;
expr5 = (a(1) - a(2)).^2 + (b(1) + b(2)).^2;
expr6 = (a(1) - a(3)).^2 + (b(1) - b(3)).^2;
expr7 = (a(1) - a(3)).^2 + (b(1) + b(3)).^2;
expr8 = -1./2;
expr9 = (c(1).^2 + d(1).^2).^(-1);
expr10 = (c(2).^2 + d(2).^2).^(-1);
expr11 = (c(3).^2 + d(3).^2).^(-1);
expr12 = (a(1) - c(1)).^2 + (b(1) - d(1)).^2;
expr13 = (a(1) - c(1)).^2 + (b(1) + d(1)).^2;
expr14 = (a(1) - c(2)).^2 + (b(1) - d(2)).^2;
expr15 = (a(1) - c(2)).^2 + (b(1) + d(2)).^2;
expr16 = (a(1) - c(3)).^2 + (b(1) - d(3)).^2;
expr17 = (a(1) - c(3)).^2 + (b(1) + d(3)).^2;
expr18 = 1./2;
expr19 = b(1);
expr20 = angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2)));
expr21 = angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2)));
expr22 = angle(1 + (i.*(b(1) - b(3)))./(a(1) - a(3)));
expr23 = angle(1 + (i.*(b(1) + b(3)))./(a(1) - a(3)));
expr24 = -angle(1 + (i.*(b(1) - d(1)))./(a(1) - c(1)));
expr25 = -angle(1 + (i.*(b(1) + d(1)))./(a(1) - c(1)));
expr26 = -angle(1 + (i.*(b(1) - d(2)))./(a(1) - c(2)));
expr27 = -angle(1 + (i.*(b(1) + d(2)))./(a(1) - c(2)));
expr28 = -angle(1 + (i.*(b(1) - d(3)))./(a(1) - c(3)));
expr29 = -angle(1 + (i.*(b(1) + d(3)))./(a(1) - c(3)));
expr30 = a(1);
expr31 = exp(x.*a(1));
expr32 = cos(x.*b(1));
expr33 = a(1).^2 + b(1).^2;
expr34 = sin(x.*b(1));
expr35 = b(2).^(-1);
expr36 = (-a(1) + a(2)).^2 + (-b(1) + b(2)).^2;
expr37 = (-a(1) + a(2)).^2 + (b(1) + b(2)).^2;
expr38 = (a(2) - a(3)).^2 + (b(2) - b(3)).^2;
expr39 = (a(2) - a(3)).^2 + (b(2) + b(3)).^2;
expr40 = (a(2) - c(1)).^2 + (b(2) - d(1)).^2;
expr41 = (a(2) - c(1)).^2 + (b(2) + d(1)).^2;
expr42 = (a(2) - c(2)).^2 + (b(2) - d(2)).^2;
expr43 = (a(2) - c(2)).^2 + (b(2) + d(2)).^2;
expr44 = (a(2) - c(3)).^2 + (b(2) - d(3)).^2;
expr45 = (a(2) - c(3)).^2 + (b(2) + d(3)).^2;
expr46 = b(2);
expr47 = angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2)));
expr48 = angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2)));
expr49 = angle(1 + (i.*(b(2) - b(3)))./(a(2) - a(3)));
expr50 = angle(1 + (i.*(b(2) + b(3)))./(a(2) - a(3)));
expr51 = -angle(1 + (i.*(b(2) - d(1)))./(a(2) - c(1)));
expr52 = -angle(1 + (i.*(b(2) + d(1)))./(a(2) - c(1)));
expr53 = -angle(1 + (i.*(b(2) - d(2)))./(a(2) - c(2)));
expr54 = -angle(1 + (i.*(b(2) + d(2)))./(a(2) - c(2)));
expr55 = -angle(1 + (i.*(b(2) - d(3)))./(a(2) - c(3)));
expr56 = -angle(1 + (i.*(b(2) + d(3)))./(a(2) - c(3)));
expr57 = a(2);
expr58 = exp(x.*a(2));
expr59 = cos(x.*b(2));
expr60 = sin(x.*b(2));
expr61 = b(3).^(-1);
expr62 = (-a(1) + a(3)).^2 + (-b(1) + b(3)).^2;
expr63 = (-a(1) + a(3)).^2 + (b(1) + b(3)).^2;
expr64 = (-a(2) + a(3)).^2 + (-b(2) + b(3)).^2;
expr65 = (-a(2) + a(3)).^2 + (b(2) + b(3)).^2;
expr66 = (a(3) - c(1)).^2 + (b(3) - d(1)).^2;
expr67 = (a(3) - c(1)).^2 + (b(3) + d(1)).^2;
expr68 = (a(3) - c(2)).^2 + (b(3) - d(2)).^2;
expr69 = (a(3) - c(2)).^2 + (b(3) + d(2)).^2;
expr70 = (a(3) - c(3)).^2 + (b(3) - d(3)).^2;
expr71 = (a(3) - c(3)).^2 + (b(3) + d(3)).^2;
expr72 = b(3);
expr73 = angle(1 + (i.*(-b(1) + b(3)))./(-a(1) + a(3)));
expr74 = angle(1 + (i.*(b(1) + b(3)))./(-a(1) + a(3)));
expr75 = angle(1 + (i.*(-b(2) + b(3)))./(-a(2) + a(3)));
expr76 = angle(1 + (i.*(b(2) + b(3)))./(-a(2) + a(3)));
expr77 = -angle(1 + (i.*(b(3) - d(1)))./(a(3) - c(1)));
expr78 = -angle(1 + (i.*(b(3) + d(1)))./(a(3) - c(1)));
expr79 = -angle(1 + (i.*(b(3) - d(2)))./(a(3) - c(2)));
expr80 = -angle(1 + (i.*(b(3) + d(2)))./(a(3) - c(2)));
expr81 = -angle(1 + (i.*(b(3) - d(3)))./(a(3) - c(3)));
expr82 = -angle(1 + (i.*(b(3) + d(3)))./(a(3) - c(3)));
expr83 = a(3);
expr84 = exp(x.*a(3));
expr85 = cos(x.*b(3));
expr86 = sin(x.*b(3));
expr87 = (expr12.*expr13.*expr14.*expr15.*expr16.*expr17).^expr18;
expr88 = (expr4.*expr5.*expr6.*expr7).^expr8;
expr89 = expr19.*cos(expr20 + expr21 + expr22 + expr23 + expr24 + expr25 + expr26 + expr27 + expr28 + expr29) + expr30.*sin(expr20 + expr21 + expr22 + expr23 + expr24 + expr25 + expr26 + expr27 + expr28 + expr29);
expr90 = sin(expr20 + expr21 + expr22 + expr23 + expr24 + expr25 + expr26 + expr27 + expr28 + expr29);
expr91 = (expr19.*cos(expr20 + expr21 + expr22 + expr23 + expr24 + expr25 + expr26 + expr27 + expr28 + expr29) + expr30.*sin(expr20 + expr21 + expr22 + expr23 + expr24 + expr25 + expr26 + expr27 + expr28 + expr29)).^(-1);
expr92 = (expr36.*expr37.*expr38.*expr39).^expr8;
expr93 = (expr40.*expr41.*expr42.*expr43.*expr44.*expr45).^expr18;
expr94 = expr46.*cos(expr47 + expr48 + expr49 + expr50 + expr51 + expr52 + expr53 + expr54 + expr55 + expr56) + expr57.*sin(expr47 + expr48 + expr49 + expr50 + expr51 + expr52 + expr53 + expr54 + expr55 + expr56);
expr95 = sin(expr47 + expr48 + expr49 + expr50 + expr51 + expr52 + expr53 + expr54 + expr55 + expr56);
expr96 = (expr46.*cos(expr47 + expr48 + expr49 + expr50 + expr51 + expr52 + expr53 + expr54 + expr55 + expr56) + expr57.*sin(expr47 + expr48 + expr49 + expr50 + expr51 + expr52 + expr53 + expr54 + expr55 + expr56)).^(-1);
expr97 = (expr62.*expr63.*expr64.*expr65).^expr8;
expr98 = (expr66.*expr67.*expr68.*expr69.*expr70.*expr71).^expr18;
expr99 = expr72.*cos(expr73 + expr74 + expr75 + expr76 + expr77 + expr78 + expr79 + expr80 + expr81 + expr82) + expr83.*sin(expr73 + expr74 + expr75 + expr76 + expr77 + expr78 + expr79 + expr80 + expr81 + expr82);
expr100 = sin(expr73 + expr74 + expr75 + expr76 + expr77 + expr78 + expr79 + expr80 + expr81 + expr82);
expr101 = (expr72.*cos(expr73 + expr74 + expr75 + expr76 + expr77 + expr78 + expr79 + expr80 + expr81 + expr82) + expr83.*sin(expr73 + expr74 + expr75 + expr76 + expr77 + expr78 + expr79 + expr80 + expr81 + expr82)).^(-1);
expr102 = expr1.*expr10.*expr11.*expr2.*expr3.*expr87.*expr88.*expr89.*expr9.*(1 - expr31.*(expr32 - expr1.*expr34.*(expr30 - expr33.*expr90.*expr91)));
expr103 = expr10.*expr11.*expr3.*expr33.*expr35.*expr9.*expr92.*expr93.*expr94.*(1 - expr58.*(expr59 - expr35.*expr60.*(expr57 - expr2.*expr95.*expr96)));
expr104 = expr10.*expr11.*expr2.*expr33.*expr61.*(1 - expr84.*(expr85 - expr61.*(-(expr100.*expr101.*expr3) + expr83).*expr86)).*expr9.*expr97.*expr98.*expr99;
expr105 = expr102 + expr103 + expr104;
f = M1.*expr105;
end
