function [gf,GC]=costder2(x)
% COSTDER2 computes the gradient of the cost function
%	for an analog filter having 2 complex pole pairs.
%
%	Code Generated by Mathematica packages written by Brian L. Evans
%	Copyright 1993 by the Regents of the University of California

%% Extract real and imaginary components of the filters's poles a +/- j b

%% Extract real and imaginary components of the filters's zeros c +/- j d
a = x(1:2);
b = x(3:4);
c = x(5:6);
d = x(7:8);

%% Global parameters
global dp ds maxO wmax Wmp Wms Wmt WO wp Wph WQ ws tpeak1;

%% Approximate tpeak by a differentiable function and assign it to tpa
expr174 = 1./2;
expr175 = b(1);
expr176 = a(1).^2 + b(1).^2;
expr177 = angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2)));
expr178 = angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2)));
expr179 = -angle(1 + (i.*(b(1) - d(1)))./(a(1) - c(1)));
expr180 = -angle(1 + (i.*(b(1) + d(1)))./(a(1) - c(1)));
expr181 = -angle(1 + (i.*(b(1) - d(2)))./(a(1) - c(2)));
expr182 = -angle(1 + (i.*(b(1) + d(2)))./(a(1) - c(2)));
expr183 = a(1);
expr184 = a(1).^2;
expr185 = b(1).^2;
expr186 = b(1).^(-1);
expr187 = b(2);
expr188 = a(2).^2 + b(2).^2;
expr189 = angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2)));
expr190 = angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2)));
expr191 = -angle(1 + (i.*(b(2) - d(1)))./(a(2) - c(1)));
expr192 = -angle(1 + (i.*(b(2) + d(1)))./(a(2) - c(1)));
expr193 = -angle(1 + (i.*(b(2) - d(2)))./(a(2) - c(2)));
expr194 = -angle(1 + (i.*(b(2) + d(2)))./(a(2) - c(2)));
expr195 = a(2);
expr196 = a(2).^2;
expr197 = b(2).^2;
expr198 = b(2).^(-1);
expr199 = sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182);
expr200 = (expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182)).^(-1);
expr201 = expr184 + expr185 - (expr176.*expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182));
expr202 = sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194);
expr203 = (expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194)).^(-1);
expr204 = expr196 + expr197 - (expr188.*expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194));
expr205 = expr174.*(-(expr186.*(pi - angle(1 + (expr175.*expr176.*expr199.*expr200.*i)./expr201))) - expr198.*(pi - angle(1 + (expr187.*expr188.*expr202.*expr203.*i)./expr204)));
tpa = expr205;

%% Correction to approximation of tpeak is tpc
tpc = tpeak1./tpa;


%% Derivative for a(1)
w5 = [ws:(99.*ws)./100:100.*ws];
expr206 = -1./99;
expr207 = ws.^(-1);
expr208 = (a(1).^2 + b(1).^2).^2;
expr209 = 4.*w5.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr210 = ((a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr211 = (a(2).^2 + b(2).^2).^2;
expr212 = ((a(2).^2 + b(2).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr213 = (c(1).^2 + d(1).^2).^(-2);
expr214 = (c(1).^2 + d(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(c(1).^2 - d(1).^2));
expr215 = (c(2).^2 + d(2).^2).^(-2);
expr216 = (c(2).^2 + d(2).^2).^2 + w5.^2.*(w5.^2 + 2.*(c(2).^2 - d(2).^2));
expr217 = 4./99;
expr218 = ((a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr219 = expr206.*expr207.*expr208.*expr209.*expr210.*expr211.*expr212.*expr213.*expr214.*expr215.*expr216.*Wms + expr176.*expr183.*expr207.*expr211.*expr212.*expr213.*expr214.*expr215.*expr216.*expr217.*expr218.*Wms;
integrate5 = trapz(w5, expr219);
w6 = [0:wp./100:wp];
expr220 = wp.^(-1);
expr221 = -1./2;
expr222 = 4.*w6.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr223 = (a(2).^2 + b(2).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(2).^2 - b(2).^2));
expr224 = (a(1).^2 + b(1).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(1).^2 - b(1).^2));
expr225 = -3./2;
expr226 = (c(1).^2 + d(1).^2).^(-1);
expr227 = (c(2).^2 + d(2).^2).^(-1);
expr228 = (c(1).^2 + d(1).^2).^2 + w6.^2.*(w6.^2 + 2.*(c(1).^2 - d(1).^2));
expr229 = (c(2).^2 + d(2).^2).^2 + w6.^2.*(w6.^2 + 2.*(c(2).^2 - d(2).^2));
expr230 = -1 + expr176.*expr188.*(expr223.*expr224).^expr221.*expr226.*expr227.*(expr228.*expr229).^expr174;
expr231 = 2.*expr183.*expr188.*(expr223.*expr224).^expr221.*expr226.*expr227.*(expr228.*expr229).^expr174 + expr176.*expr188.*expr221.*expr222.*expr223.*(expr223.*expr224).^expr225.*expr226.*expr227.*(expr228.*expr229).^expr174;
expr232 = 2.*expr220.*expr230.*expr231.*Wmp;
integrate6 = trapz(w6, expr232);
w7 = [wp:(-wp + ws)./100:ws];
expr233 = (-wp + ws).^(-1);
expr234 = 4.*w7.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr235 = (a(2).^2 + b(2).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(2).^2 - b(2).^2));
expr236 = (a(1).^2 + b(1).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(1).^2 - b(1).^2));
expr237 = (c(1).^2 + d(1).^2).^2 + w7.^2.*(w7.^2 + 2.*(c(1).^2 - d(1).^2));
expr238 = (c(2).^2 + d(2).^2).^2 + w7.^2.*(w7.^2 + 2.*(c(2).^2 - d(2).^2));
expr239 = -(w7./(wp - ws));
expr240 = ws./(wp - ws);
expr241 = 2.*expr183.*expr188.*expr226.*expr227.*(expr235.*expr236).^expr221.*(expr237.*expr238).^expr174 + expr176.*expr188.*expr221.*expr226.*expr227.*expr234.*expr235.*(expr235.*expr236).^expr225.*(expr237.*expr238).^expr174;
expr242 = expr176.*expr188.*expr226.*expr227.*(expr235.*expr236).^expr221.*(expr237.*expr238).^expr174 + expr239 + expr240;
expr243 = 2.*expr233.*expr241.*expr242.*Wmt;
integrate7 = trapz(w7, expr243);
w8 = [0:wmax./100:wmax];
expr244 = wmax.^(-1);
expr245 = -((w8 - b(1))./(a(1).^2.*(1 + (w8 - b(1)).^2./a(1).^2)));
expr246 = -((w8 + b(1))./(a(1).^2.*(1 + (w8 + b(1)).^2./a(1).^2)));
expr247 = wmax.^(-3);
expr248 = -2.*wmax;
expr249 = 2.*a(1).*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1)));
expr250 = (2.*(wmax - b(1)).^2.*b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2));
expr251 = (-2.*b(1).*(wmax + b(1)).^2)./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2));
expr252 = -wmax.^2 - a(1).^2 + b(1).^2;
expr253 = -((wmax - b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2)));
expr254 = -((wmax + b(1))./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2)));
expr255 = -(b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr256 = b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr257 = angle(1 + (i.*(w8 - b(1)))./a(1));
expr258 = angle(1 + (i.*(w8 + b(1)))./a(1));
expr259 = angle(1 + (i.*(w8 - b(2)))./a(2));
expr260 = angle(1 + (i.*(w8 + b(2)))./a(2));
expr261 = -angle(1 + (i.*(w8 - d(1)))./c(1));
expr262 = -angle(1 + (i.*(w8 + d(1)))./c(1));
expr263 = -angle(1 + (i.*(w8 - d(2)))./c(2));
expr264 = -angle(1 + (i.*(w8 + d(2)))./c(2));
expr265 = -2.*wmax.*a(1);
expr266 = angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1));
expr267 = -(a(1).*b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr268 = a(1).*b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr269 = -2.*wmax.*a(2);
expr270 = angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2));
expr271 = -wmax.^2 - a(2).^2 + b(2).^2;
expr272 = -(a(2).*b(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr273 = a(2).*b(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr274 = 2.*wmax.*c(1);
expr275 = angle(1 + (i.*(wmax - d(1)))./c(1)) + angle(1 + (i.*(wmax + d(1)))./c(1));
expr276 = -wmax.^2 - c(1).^2 + d(1).^2;
expr277 = c(1).*d(1).*log(1 + (wmax - d(1)).^2./c(1).^2);
expr278 = -(c(1).*d(1).*log(1 + (wmax + d(1)).^2./c(1).^2));
expr279 = 2.*wmax.*c(2);
expr280 = angle(1 + (i.*(wmax - d(2)))./c(2)) + angle(1 + (i.*(wmax + d(2)))./c(2));
expr281 = -wmax.^2 - c(2).^2 + d(2).^2;
expr282 = c(2).*d(2).*log(1 + (wmax - d(2)).^2./c(2).^2);
expr283 = -(c(2).*d(2).*log(1 + (wmax + d(2)).^2./c(2).^2));
expr284 = expr245 + expr246 + expr225.*expr247.*(expr248 + expr249 + expr250 + expr251 - expr252.*(expr253 + expr254) + expr255 + expr256).*w8;
expr285 = expr174.*(expr265 - expr252.*expr266 + expr267 + expr268) + expr174.*(expr269 - expr270.*expr271 + expr272 + expr273) + expr174.*(expr274 + expr275.*expr276 + expr277 + expr278) + expr174.*(expr279 + expr280.*expr281 + expr282 + expr283);
expr286 = 2.*expr244.*expr284.*(expr257 + expr258 + expr259 + expr260 + expr261 + expr262 + expr263 + expr264 - 3.*expr247.*expr285.*w8).*Wph;
integrate8 = trapz(w8, expr286);
expr287 = 1./4;
expr288 = sqrt((sqrt(a(1).^2 + b(1).^2).*sqrt(a(2).^2 + b(2).^2))./(a(1).*a(2))).^(-1);
expr289 = sqrt(a(2).^2 + b(2).^2)./(a(2).*sqrt(a(1).^2 + b(1).^2));
expr290 = -((sqrt(a(1).^2 + b(1).^2).*sqrt(a(2).^2 + b(2).^2))./(a(1).^2.*a(2)));
expr291 = ((a(1) - a(2)).^2 + (b(1) - b(2)).^2).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr292 = (a(1) - c(1)).^2 + (b(1) - d(1)).^2;
expr293 = (a(1) - c(1)).^2 + (b(1) + d(1)).^2;
expr294 = (a(1) - c(2)).^2 + (b(1) - d(2)).^2;
expr295 = (a(1) - c(2)).^2 + (b(1) + d(2)).^2;
expr296 = ((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr297 = (a(2) - c(1)).^2 + (b(2) - d(1)).^2;
expr298 = (a(2) - c(1)).^2 + (b(2) + d(1)).^2;
expr299 = (a(2) - c(2)).^2 + (b(2) - d(2)).^2;
expr300 = (a(2) - c(2)).^2 + (b(2) + d(2)).^2;
expr301 = 2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) - b(2)).^2);
expr302 = 2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr303 = a(1) - c(2);
expr304 = a(1) - c(1);
expr305 = (a(1) - a(2)).^(-2);
expr306 = (1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2).^(-1);
expr307 = b(1) - b(2);
expr308 = -((b(1) + b(2))./((a(1) - a(2)).^2.*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2)));
expr309 = (a(1) - c(1)).^(-2);
expr310 = (1 + (b(1) - d(1)).^2./(a(1) - c(1)).^2).^(-1);
expr311 = b(1) - d(1);
expr312 = (b(1) + d(1))./((a(1) - c(1)).^2.*(1 + (b(1) + d(1)).^2./(a(1) - c(1)).^2));
expr313 = (a(1) - c(2)).^(-2);
expr314 = (1 + (b(1) - d(2)).^2./(a(1) - c(2)).^2).^(-1);
expr315 = b(1) - d(2);
expr316 = (b(1) + d(2))./((a(1) - c(2)).^2.*(1 + (b(1) + d(2)).^2./(a(1) - c(2)).^2));
expr317 = 2.*a(1);
expr318 = (-a(1) + a(2)).^(-2);
expr319 = -b(1) + b(2);
expr320 = (1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2).^(-1);
expr321 = (b(1) + b(2))./((-a(1) + a(2)).^2.*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr322 = -2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2);
expr323 = -2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr324 = expr287.*expr288.*(expr289 + expr290).*WQ;
expr325 = expr291.^expr221;
expr326 = (expr292.*expr293.*expr294.*expr295).^expr174;
expr327 = expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182);
expr328 = expr183 - (expr176.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182));
expr329 = expr296.^expr221;
expr330 = (expr297.*expr298.*expr299.*expr300).^expr174;
expr331 = expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194);
expr332 = expr195 - (expr188.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194));
expr333 = expr291.^expr225;
expr334 = expr301 + expr302;
expr335 = (expr292.*expr293.*expr294.*expr295).^expr221;
expr336 = 2.*expr292.*expr293.*expr294.*expr303 + 2.*expr292.*expr293.*expr295.*expr303 + 2.*expr292.*expr294.*expr295.*expr304 + 2.*expr293.*expr294.*expr295.*expr304;
expr337 = expr183.*(-(expr305.*expr306.*expr307) + expr308 + expr309.*expr310.*expr311 + expr312 + expr313.*expr314.*expr315 + expr316).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182);
expr338 = -(expr175.*(-(expr305.*expr306.*expr307) + expr308 + expr309.*expr310.*expr311 + expr312 + expr313.*expr314.*expr315 + expr316).*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182));
expr339 = sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182).^2;
expr340 = (expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182)).^(-2);
expr341 = -(expr305.*expr306.*expr307) + expr308 + expr309.*expr310.*expr311 + expr312 + expr313.*expr314.*expr315 + expr316;
expr342 = cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182);
expr343 = -((expr176.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182)));
expr344 = (-2.*expr184.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182));
expr345 = sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194).^2;
expr346 = (expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194)).^(-2);
expr347 = expr318.*expr319.*expr320 + expr321;
expr348 = cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194);
expr349 = expr195.*(expr318.*expr319.*expr320 + expr321).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) - expr187.*(expr318.*expr319.*expr320 + expr321).*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194);
expr350 = (-2.*expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182));
expr351 = expr296.^expr225;
expr352 = expr322 + expr323;
expr353 = exp(expr174.*expr183.*tpc.*(-(expr186.*(pi - angle(1 + (expr175.*expr176.*expr199.*expr200.*i)./expr201))) - expr198.*(pi - angle(1 + (expr187.*expr188.*expr202.*expr203.*i)./expr204))));
expr354 = cos(expr174.*expr175.*tpc.*(-(expr186.*(pi - angle(1 + (expr175.*expr176.*expr199.*expr200.*i)./expr201))) - expr198.*(pi - angle(1 + (expr187.*expr188.*expr202.*expr203.*i)./expr204))));
expr355 = sin(expr174.*expr175.*tpc.*(-(expr186.*(pi - angle(1 + (expr175.*expr176.*expr199.*expr200.*i)./expr201))) - expr198.*(pi - angle(1 + (expr187.*expr188.*expr202.*expr203.*i)./expr204))));
expr356 = exp(expr174.*expr195.*tpc.*(-(expr186.*(pi - angle(1 + (expr175.*expr176.*expr199.*expr200.*i)./expr201))) - expr198.*(pi - angle(1 + (expr187.*expr188.*expr202.*expr203.*i)./expr204))));
expr357 = cos(expr174.*expr187.*tpc.*(-(expr186.*(pi - angle(1 + (expr175.*expr176.*expr199.*expr200.*i)./expr201))) - expr198.*(pi - angle(1 + (expr187.*expr188.*expr202.*expr203.*i)./expr204))));
expr358 = sin(expr174.*expr187.*tpc.*(-(expr186.*(pi - angle(1 + (expr175.*expr176.*expr199.*expr200.*i)./expr201))) - expr198.*(pi - angle(1 + (expr187.*expr188.*expr202.*expr203.*i)./expr204))));
expr359 = expr199 + expr337 + expr338;
expr360 = (1 + (expr185.*expr208.*expr339.*expr340)./expr201.^2).^(-1);
expr361 = (2.*expr175.*expr183.*expr199.*expr200)./expr201;
expr362 = -((expr175.*expr176.*expr199.*(expr199 + expr337 + expr338).*expr340)./expr201);
expr363 = (expr175.*expr176.*expr200.*expr341.*expr342)./expr201;
expr364 = -((expr175.*expr176.*expr199.*expr200.*(expr317 + expr176.*expr183.*expr199.*(expr199 + expr337 + expr338).*expr340 - expr176.*expr183.*expr200.*expr341.*expr342 + expr343 + expr344))./expr201.^2);
expr365 = (1 + (expr197.*expr211.*expr345.*expr346)./expr204.^2).^(-1);
expr366 = (expr187.*expr188.*expr203.*expr347.*expr348)./expr204;
expr367 = -((expr187.*expr188.*expr202.*expr346.*expr349)./expr204);
expr368 = -((expr187.*expr188.*expr202.*expr203.*(-(expr188.*expr195.*expr203.*expr347.*expr348) + expr188.*expr195.*expr202.*expr346.*expr349))./expr204.^2);
expr369 = expr174.*tpc.*(-(expr186.*(pi - angle(1 + (expr175.*expr176.*expr199.*expr200.*i)./expr201))) - expr198.*(pi - angle(1 + (expr187.*expr188.*expr202.*expr203.*i)./expr204)));
expr370 = 1 + expr176.*expr199.*(expr199 + expr337 + expr338).*expr340 - expr176.*expr200.*expr341.*expr342 + expr350;
expr371 = -(expr188.*expr203.*expr347.*expr348) + expr188.*expr202.*expr346.*expr349;
expr372 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*expr327.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355));
expr373 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358));
expr374 = expr186.*expr188.*expr221.*expr226.*expr227.*expr326.*expr327.*expr333.*expr334.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355));
expr375 = expr174.*expr186.*expr188.*expr226.*expr227.*expr325.*expr327.*expr335.*expr336.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355));
expr376 = 2.*expr183.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358));
expr377 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*expr349.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358));
expr378 = expr176.*expr198.*expr221.*expr226.*expr227.*expr330.*expr331.*expr351.*expr352.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358));
expr379 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr359;
expr380 = -(expr353.*(expr354 - expr186.*expr328.*expr355).*(expr369 + expr174.*expr183.*(expr186.*expr360.*(expr361 + expr362 + expr363 + expr364) + expr198.*expr365.*(expr366 + expr367 + expr368)).*tpc));
expr381 = -(expr186.*expr355.*expr370);
expr382 = expr221.*expr328.*expr354.*(expr186.*expr360.*(expr361 + expr362 + expr363 + expr364) + expr198.*expr365.*(expr366 + expr367 + expr368)).*tpc;
expr383 = expr175.*expr221.*expr355.*(expr186.*expr360.*(expr361 + expr362 + expr363 + expr364) + expr198.*expr365.*(expr366 + expr367 + expr368)).*tpc;
expr384 = expr195.*expr221.*expr356.*(expr357 - expr198.*expr332.*expr358).*(expr186.*expr360.*(expr361 + expr362 + expr363 + expr364) + expr198.*expr365.*(expr366 + expr367 + expr368)).*tpc;
expr385 = -(expr198.*expr358.*expr371);
expr386 = expr221.*expr332.*expr357.*(expr186.*expr360.*(expr361 + expr362 + expr363 + expr364) + expr198.*expr365.*(expr366 + expr367 + expr368)).*tpc;
expr387 = expr187.*expr221.*expr358.*(expr186.*expr360.*(expr361 + expr362 + expr363 + expr364) + expr198.*expr365.*(expr366 + expr367 + expr368)).*tpc;
expr388 = -1 + expr372 + expr373;
expr389 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*expr327.*(expr380 - expr353.*(expr381 + expr382 + expr383));
expr390 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(expr384 - expr356.*(expr385 + expr386 + expr387));
expr391 = expr324 + integrate5 + integrate6 + integrate7 + integrate8 + 200.*expr388.*(expr374 + expr375 + expr376 + expr377 + expr378 + expr379 + expr389 + expr390).*WO;
gf(1) = expr391;

%% Derivative for b(1)
w9 = [ws:(99.*ws)./100:100.*ws];
expr392 = -4.*w9.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr393 = ((a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr394 = ((a(2).^2 + b(2).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr395 = (c(1).^2 + d(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(c(1).^2 - d(1).^2));
expr396 = (c(2).^2 + d(2).^2).^2 + w9.^2.*(w9.^2 + 2.*(c(2).^2 - d(2).^2));
expr397 = ((a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr398 = expr206.*expr207.*expr208.*expr211.*expr213.*expr215.*expr392.*expr393.*expr394.*expr395.*expr396.*Wms + expr175.*expr176.*expr207.*expr211.*expr213.*expr215.*expr217.*expr394.*expr395.*expr396.*expr397.*Wms;
integrate9 = trapz(w9, expr398);
w10 = [0:wp./100:wp];
expr399 = -4.*w10.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr400 = (a(2).^2 + b(2).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(2).^2 - b(2).^2));
expr401 = (a(1).^2 + b(1).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(1).^2 - b(1).^2));
expr402 = (c(1).^2 + d(1).^2).^2 + w10.^2.*(w10.^2 + 2.*(c(1).^2 - d(1).^2));
expr403 = (c(2).^2 + d(2).^2).^2 + w10.^2.*(w10.^2 + 2.*(c(2).^2 - d(2).^2));
expr404 = -1 + expr176.*expr188.*expr226.*expr227.*(expr400.*expr401).^expr221.*(expr402.*expr403).^expr174;
expr405 = 2.*expr175.*expr188.*expr226.*expr227.*(expr400.*expr401).^expr221.*(expr402.*expr403).^expr174 + expr176.*expr188.*expr221.*expr226.*expr227.*expr399.*expr400.*(expr400.*expr401).^expr225.*(expr402.*expr403).^expr174;
expr406 = 2.*expr220.*expr404.*expr405.*Wmp;
integrate10 = trapz(w10, expr406);
w11 = [wp:(-wp + ws)./100:ws];
expr407 = -4.*w11.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr408 = (a(2).^2 + b(2).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(2).^2 - b(2).^2));
expr409 = (a(1).^2 + b(1).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(1).^2 - b(1).^2));
expr410 = (c(1).^2 + d(1).^2).^2 + w11.^2.*(w11.^2 + 2.*(c(1).^2 - d(1).^2));
expr411 = (c(2).^2 + d(2).^2).^2 + w11.^2.*(w11.^2 + 2.*(c(2).^2 - d(2).^2));
expr412 = -(w11./(wp - ws));
expr413 = 2.*expr175.*expr188.*expr226.*expr227.*(expr408.*expr409).^expr221.*(expr410.*expr411).^expr174 + expr176.*expr188.*expr221.*expr226.*expr227.*expr407.*expr408.*(expr408.*expr409).^expr225.*(expr410.*expr411).^expr174;
expr414 = expr240 + expr176.*expr188.*expr226.*expr227.*(expr408.*expr409).^expr221.*(expr410.*expr411).^expr174 + expr412;
expr415 = 2.*expr233.*expr413.*expr414.*Wmt;
integrate11 = trapz(w11, expr415);
w12 = [0:wmax./100:wmax];
expr416 = -(1./(a(1).*(1 + (w12 - b(1)).^2./a(1).^2)));
expr417 = 1./(a(1).*(1 + (w12 + b(1)).^2./a(1).^2));
expr418 = -2.*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1))).*b(1);
expr419 = (2.*(wmax - b(1)).*b(1))./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2));
expr420 = (2.*b(1).*(wmax + b(1)))./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr421 = -(1./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2)));
expr422 = 1./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr423 = -(a(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr424 = a(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr425 = angle(1 + (i.*(w12 - b(1)))./a(1));
expr426 = angle(1 + (i.*(w12 + b(1)))./a(1));
expr427 = angle(1 + (i.*(w12 - b(2)))./a(2));
expr428 = angle(1 + (i.*(w12 + b(2)))./a(2));
expr429 = -angle(1 + (i.*(w12 - d(1)))./c(1));
expr430 = -angle(1 + (i.*(w12 + d(1)))./c(1));
expr431 = -angle(1 + (i.*(w12 - d(2)))./c(2));
expr432 = -angle(1 + (i.*(w12 + d(2)))./c(2));
expr433 = expr416 + expr417 + expr225.*expr247.*(expr418 + expr419 + expr420 - expr252.*(expr421 + expr422) + expr423 + expr424).*w12;
expr434 = 2.*expr244.*expr433.*(expr425 + expr426 + expr427 + expr428 + expr429 + expr430 + expr431 + expr432 - 3.*expr247.*expr285.*w12).*Wph;
integrate12 = trapz(w12, expr434);
expr435 = a(1).^(-1);
expr436 = a(2).^(-1);
expr437 = sqrt(a(1).^2 + b(1).^2).^(-1);
expr438 = sqrt(a(2).^2 + b(2).^2);
expr439 = b(1).^(-2);
expr440 = 2.*((a(1) - a(2)).^2 + (b(1) - b(2)).^2).*(b(1) + b(2));
expr441 = 2.*(b(1) - b(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr442 = b(1) + d(2);
expr443 = b(1) + d(1);
expr444 = 1./((a(1) - a(2)).*(1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2));
expr445 = 1./((a(1) - a(2)).*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2));
expr446 = -(1./((a(1) - c(1)).*(1 + (b(1) - d(1)).^2./(a(1) - c(1)).^2)));
expr447 = -(1./((a(1) - c(1)).*(1 + (b(1) + d(1)).^2./(a(1) - c(1)).^2)));
expr448 = -(1./((a(1) - c(2)).*(1 + (b(1) - d(2)).^2./(a(1) - c(2)).^2)));
expr449 = -(1./((a(1) - c(2)).*(1 + (b(1) + d(2)).^2./(a(1) - c(2)).^2)));
expr450 = 2.*b(1);
expr451 = -(1./((-a(1) + a(2)).*(1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr452 = 1./((-a(1) + a(2)).*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr453 = 2.*(b(1) + b(2)).*((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2);
expr454 = -2.*(-b(1) + b(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr455 = expr175.*expr287.*expr288.*expr435.*expr436.*expr437.*expr438.*WQ;
expr456 = expr440 + expr441;
expr457 = 2.*expr293.*expr294.*expr295.*expr311 + 2.*expr292.*expr293.*expr295.*expr315 + 2.*expr292.*expr293.*expr294.*expr442 + 2.*expr292.*expr294.*expr295.*expr443;
expr458 = expr183.*(expr444 + expr445 + expr446 + expr447 + expr448 + expr449).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182);
expr459 = -(expr175.*(expr444 + expr445 + expr446 + expr447 + expr448 + expr449).*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182));
expr460 = expr444 + expr445 + expr446 + expr447 + expr448 + expr449;
expr461 = (-2.*expr175.*expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182));
expr462 = expr451 + expr452;
expr463 = expr195.*(expr451 + expr452).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) - expr187.*(expr451 + expr452).*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194);
expr464 = -((expr188.*expr195.*(expr451 + expr452).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194)));
expr465 = (-2.*expr175.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182));
expr466 = expr453 + expr454;
expr467 = -((expr188.*(expr451 + expr452).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194)));
expr468 = expr342 + expr458 + expr459;
expr469 = (expr176.*expr199.*expr200)./expr201;
expr470 = (2.*expr185.*expr199.*expr200)./expr201;
expr471 = -((expr175.*expr176.*expr199.*expr340.*(expr342 + expr458 + expr459))./expr201);
expr472 = (expr175.*expr176.*expr200.*expr342.*expr460)./expr201;
expr473 = -((expr175.*expr176.*expr199.*expr200.*(expr450 + expr176.*expr183.*expr199.*expr340.*(expr342 + expr458 + expr459) - expr176.*expr183.*expr200.*expr342.*expr460 + expr461))./expr201.^2);
expr474 = (expr187.*expr188.*expr203.*expr348.*expr462)./expr204 - (expr187.*expr188.*expr202.*expr346.*expr463)./expr204 - (expr187.*expr188.*expr202.*expr203.*(expr188.*expr195.*expr202.*expr346.*expr463 + expr464))./expr204.^2;
expr475 = expr439.*(pi - angle(1 + (expr175.*expr176.*expr199.*expr200.*i)./expr201));
expr476 = expr176.*expr199.*expr340.*(expr342 + expr458 + expr459) - expr176.*expr200.*expr342.*expr460 + expr465;
expr477 = expr188.*expr202.*expr346.*expr463 + expr467;
expr478 = 2.*expr175.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358));
expr479 = -(expr188.*expr226.*expr227.*expr325.*expr326.*expr327.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr439);
expr480 = expr186.*expr188.*expr221.*expr226.*expr227.*expr326.*expr327.*expr333.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr456;
expr481 = expr174.*expr186.*expr188.*expr226.*expr227.*expr325.*expr327.*expr335.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr457;
expr482 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr463;
expr483 = expr176.*expr198.*expr221.*expr226.*expr227.*expr330.*expr331.*expr351.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr466;
expr484 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr468;
expr485 = expr195.*expr221.*expr356.*(expr357 - expr198.*expr332.*expr358).*(expr186.*expr360.*(expr469 + expr470 + expr471 + expr472 + expr473) + expr198.*expr365.*expr474 + expr475).*tpc;
expr486 = -(expr198.*expr358.*expr477);
expr487 = expr221.*expr332.*expr357.*(expr186.*expr360.*(expr469 + expr470 + expr471 + expr472 + expr473) + expr198.*expr365.*expr474 + expr475).*tpc;
expr488 = expr187.*expr221.*expr358.*(expr186.*expr360.*(expr469 + expr470 + expr471 + expr472 + expr473) + expr198.*expr365.*expr474 + expr475).*tpc;
expr489 = expr183.*expr221.*expr353.*(expr354 - expr186.*expr328.*expr355).*(expr186.*expr360.*(expr469 + expr470 + expr471 + expr472 + expr473) + expr198.*expr365.*expr474 + expr475).*tpc;
expr490 = expr328.*expr355.*expr439;
expr491 = -(expr186.*expr355.*expr476);
expr492 = -(expr186.*expr328.*expr354.*(expr369 + expr174.*expr175.*(expr186.*expr360.*(expr469 + expr470 + expr471 + expr472 + expr473) + expr198.*expr365.*expr474 + expr475).*tpc));
expr493 = -(expr355.*(expr369 + expr174.*expr175.*(expr186.*expr360.*(expr469 + expr470 + expr471 + expr472 + expr473) + expr198.*expr365.*expr474 + expr475).*tpc));
expr494 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(expr485 - expr356.*(expr486 + expr487 + expr488));
expr495 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*expr327.*(expr489 - expr353.*(expr490 + expr491 + expr492 + expr493));
expr496 = expr455 + integrate10 + integrate11 + integrate12 + integrate9 + 200.*expr388.*(expr478 + expr479 + expr480 + expr481 + expr482 + expr483 + expr484 + expr494 + expr495).*WO;
gf(3) = expr496;

%% Derivative for a(2)
w13 = [ws:(99.*ws)./100:100.*ws];
expr497 = ((a(1).^2 + b(1).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr498 = 4.*w13.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr499 = ((a(2).^2 + b(2).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(2).^2 - b(2).^2))).^(-2);
expr500 = (c(1).^2 + d(1).^2).^2 + w13.^2.*(w13.^2 + 2.*(c(1).^2 - d(1).^2));
expr501 = (c(2).^2 + d(2).^2).^2 + w13.^2.*(w13.^2 + 2.*(c(2).^2 - d(2).^2));
expr502 = ((a(2).^2 + b(2).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr503 = expr206.*expr207.*expr208.*expr211.*expr213.*expr215.*expr497.*expr498.*expr499.*expr500.*expr501.*Wms + expr188.*expr195.*expr207.*expr208.*expr213.*expr215.*expr217.*expr497.*expr500.*expr501.*expr502.*Wms;
integrate13 = trapz(w13, expr503);
w14 = [0:wp./100:wp];
expr504 = (a(1).^2 + b(1).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(1).^2 - b(1).^2));
expr505 = 4.*w14.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr506 = (a(2).^2 + b(2).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(2).^2 - b(2).^2));
expr507 = (c(1).^2 + d(1).^2).^2 + w14.^2.*(w14.^2 + 2.*(c(1).^2 - d(1).^2));
expr508 = (c(2).^2 + d(2).^2).^2 + w14.^2.*(w14.^2 + 2.*(c(2).^2 - d(2).^2));
expr509 = -1 + expr176.*expr188.*expr226.*expr227.*(expr504.*expr506).^expr221.*(expr507.*expr508).^expr174;
expr510 = 2.*expr176.*expr195.*expr226.*expr227.*(expr504.*expr506).^expr221.*(expr507.*expr508).^expr174 + expr176.*expr188.*expr221.*expr226.*expr227.*expr504.*expr505.*(expr504.*expr506).^expr225.*(expr507.*expr508).^expr174;
expr511 = 2.*expr220.*expr509.*expr510.*Wmp;
integrate14 = trapz(w14, expr511);
w15 = [wp:(-wp + ws)./100:ws];
expr512 = (a(1).^2 + b(1).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(1).^2 - b(1).^2));
expr513 = 4.*w15.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr514 = (a(2).^2 + b(2).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(2).^2 - b(2).^2));
expr515 = (c(1).^2 + d(1).^2).^2 + w15.^2.*(w15.^2 + 2.*(c(1).^2 - d(1).^2));
expr516 = (c(2).^2 + d(2).^2).^2 + w15.^2.*(w15.^2 + 2.*(c(2).^2 - d(2).^2));
expr517 = -(w15./(wp - ws));
expr518 = 2.*expr176.*expr195.*expr226.*expr227.*(expr512.*expr514).^expr221.*(expr515.*expr516).^expr174 + expr176.*expr188.*expr221.*expr226.*expr227.*expr512.*expr513.*(expr512.*expr514).^expr225.*(expr515.*expr516).^expr174;
expr519 = expr240 + expr176.*expr188.*expr226.*expr227.*(expr512.*expr514).^expr221.*(expr515.*expr516).^expr174 + expr517;
expr520 = 2.*expr233.*expr518.*expr519.*Wmt;
integrate15 = trapz(w15, expr520);
w16 = [0:wmax./100:wmax];
expr521 = -((w16 - b(2))./(a(2).^2.*(1 + (w16 - b(2)).^2./a(2).^2)));
expr522 = -((w16 + b(2))./(a(2).^2.*(1 + (w16 + b(2)).^2./a(2).^2)));
expr523 = 2.*a(2).*(angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2)));
expr524 = (2.*(wmax - b(2)).^2.*b(2))./(a(2).^2.*(1 + (wmax - b(2)).^2./a(2).^2));
expr525 = (-2.*b(2).*(wmax + b(2)).^2)./(a(2).^2.*(1 + (wmax + b(2)).^2./a(2).^2));
expr526 = -((wmax - b(2))./(a(2).^2.*(1 + (wmax - b(2)).^2./a(2).^2)));
expr527 = -((wmax + b(2))./(a(2).^2.*(1 + (wmax + b(2)).^2./a(2).^2)));
expr528 = -(b(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr529 = b(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr530 = angle(1 + (i.*(w16 - b(1)))./a(1));
expr531 = angle(1 + (i.*(w16 + b(1)))./a(1));
expr532 = angle(1 + (i.*(w16 - b(2)))./a(2));
expr533 = angle(1 + (i.*(w16 + b(2)))./a(2));
expr534 = -angle(1 + (i.*(w16 - d(1)))./c(1));
expr535 = -angle(1 + (i.*(w16 + d(1)))./c(1));
expr536 = -angle(1 + (i.*(w16 - d(2)))./c(2));
expr537 = -angle(1 + (i.*(w16 + d(2)))./c(2));
expr538 = expr521 + expr522 + expr225.*expr247.*(expr248 + expr523 + expr524 + expr525 - expr271.*(expr526 + expr527) + expr528 + expr529).*w16;
expr539 = 2.*expr244.*expr538.*(expr530 + expr531 + expr532 + expr533 + expr534 + expr535 + expr536 + expr537 - 3.*expr247.*expr285.*w16).*Wph;
integrate16 = trapz(w16, expr539);
expr540 = sqrt(a(1).^2 + b(1).^2)./(a(1).*sqrt(a(2).^2 + b(2).^2));
expr541 = -((sqrt(a(1).^2 + b(1).^2).*sqrt(a(2).^2 + b(2).^2))./(a(1).*a(2).^2));
expr542 = -2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) - b(2)).^2);
expr543 = -2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr544 = (b(1) + b(2))./((a(1) - a(2)).^2.*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2));
expr545 = -((b(1) + b(2))./((-a(1) + a(2)).^2.*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr546 = (a(2) - c(1)).^(-2);
expr547 = (1 + (b(2) - d(1)).^2./(a(2) - c(1)).^2).^(-1);
expr548 = b(2) - d(1);
expr549 = (b(2) + d(1))./((a(2) - c(1)).^2.*(1 + (b(2) + d(1)).^2./(a(2) - c(1)).^2));
expr550 = (a(2) - c(2)).^(-2);
expr551 = (1 + (b(2) - d(2)).^2./(a(2) - c(2)).^2).^(-1);
expr552 = b(2) - d(2);
expr553 = (b(2) + d(2))./((a(2) - c(2)).^2.*(1 + (b(2) + d(2)).^2./(a(2) - c(2)).^2));
expr554 = 2.*a(2);
expr555 = 2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2);
expr556 = 2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr557 = a(2) - c(2);
expr558 = a(2) - c(1);
expr559 = expr287.*expr288.*(expr540 + expr541).*WQ;
expr560 = expr542 + expr543;
expr561 = expr183.*(expr305.*expr306.*expr307 + expr544).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) - expr175.*(expr305.*expr306.*expr307 + expr544).*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182);
expr562 = expr305.*expr306.*expr307 + expr544;
expr563 = -(expr318.*expr319.*expr320) + expr545 + expr546.*expr547.*expr548 + expr549 + expr550.*expr551.*expr552 + expr553;
expr564 = expr195.*(-(expr318.*expr319.*expr320) + expr545 + expr546.*expr547.*expr548 + expr549 + expr550.*expr551.*expr552 + expr553).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194);
expr565 = -(expr187.*(-(expr318.*expr319.*expr320) + expr545 + expr546.*expr547.*expr548 + expr549 + expr550.*expr551.*expr552 + expr553).*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194));
expr566 = -((expr188.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194)));
expr567 = (-2.*expr196.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194));
expr568 = expr555 + expr556;
expr569 = (expr297.*expr298.*expr299.*expr300).^expr221;
expr570 = 2.*expr297.*expr298.*expr299.*expr557 + 2.*expr297.*expr298.*expr300.*expr557 + 2.*expr297.*expr299.*expr300.*expr558 + 2.*expr298.*expr299.*expr300.*expr558;
expr571 = (-2.*expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194));
expr572 = -((expr175.*expr176.*expr199.*expr340.*expr561)./expr201);
expr573 = (expr175.*expr176.*expr200.*expr342.*expr562)./expr201;
expr574 = -((expr175.*expr176.*expr199.*expr200.*(expr176.*expr183.*expr199.*expr340.*expr561 - expr176.*expr183.*expr200.*expr342.*expr562))./expr201.^2);
expr575 = (2.*expr187.*expr195.*expr202.*expr203)./expr204;
expr576 = (expr187.*expr188.*expr203.*expr348.*expr563)./expr204;
expr577 = -((expr187.*expr188.*expr202.*expr346.*(expr202 + expr564 + expr565))./expr204);
expr578 = -((expr187.*expr188.*expr202.*expr203.*(expr554 - expr188.*expr195.*expr203.*expr348.*expr563 + expr188.*expr195.*expr202.*expr346.*(expr202 + expr564 + expr565) + expr566 + expr567))./expr204.^2);
expr579 = expr176.*expr199.*expr340.*expr561 - expr176.*expr200.*expr342.*expr562;
expr580 = expr202 + expr564 + expr565;
expr581 = 1 - expr188.*expr203.*expr348.*expr563 + expr188.*expr202.*expr346.*(expr202 + expr564 + expr565) + expr571;
expr582 = 2.*expr186.*expr195.*expr226.*expr227.*expr325.*expr326.*expr327.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355));
expr583 = expr186.*expr188.*expr221.*expr226.*expr227.*expr326.*expr327.*expr333.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr560;
expr584 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr561;
expr585 = expr176.*expr198.*expr221.*expr226.*expr227.*expr330.*expr331.*expr351.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr568;
expr586 = expr174.*expr176.*expr198.*expr226.*expr227.*expr329.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr569.*expr570;
expr587 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr580;
expr588 = expr183.*expr221.*expr353.*(expr354 - expr186.*expr328.*expr355).*(expr186.*expr360.*(expr572 + expr573 + expr574) + expr198.*expr365.*(expr575 + expr576 + expr577 + expr578)).*tpc;
expr589 = -(expr186.*expr355.*expr579);
expr590 = expr221.*expr328.*expr354.*(expr186.*expr360.*(expr572 + expr573 + expr574) + expr198.*expr365.*(expr575 + expr576 + expr577 + expr578)).*tpc;
expr591 = expr175.*expr221.*expr355.*(expr186.*expr360.*(expr572 + expr573 + expr574) + expr198.*expr365.*(expr575 + expr576 + expr577 + expr578)).*tpc;
expr592 = -(expr356.*(expr357 - expr198.*expr332.*expr358).*(expr369 + expr174.*expr195.*(expr186.*expr360.*(expr572 + expr573 + expr574) + expr198.*expr365.*(expr575 + expr576 + expr577 + expr578)).*tpc));
expr593 = -(expr198.*expr358.*expr581);
expr594 = expr221.*expr332.*expr357.*(expr186.*expr360.*(expr572 + expr573 + expr574) + expr198.*expr365.*(expr575 + expr576 + expr577 + expr578)).*tpc;
expr595 = expr187.*expr221.*expr358.*(expr186.*expr360.*(expr572 + expr573 + expr574) + expr198.*expr365.*(expr575 + expr576 + expr577 + expr578)).*tpc;
expr596 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*expr327.*(expr588 - expr353.*(expr589 + expr590 + expr591));
expr597 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(expr592 - expr356.*(expr593 + expr594 + expr595));
expr598 = expr559 + integrate13 + integrate14 + integrate15 + integrate16 + 200.*expr388.*(expr582 + expr583 + expr584 + expr585 + expr586 + expr587 + expr596 + expr597).*WO;
gf(2) = expr598;

%% Derivative for b(2)
w17 = [ws:(99.*ws)./100:100.*ws];
expr599 = ((a(1).^2 + b(1).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr600 = -4.*w17.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr601 = ((a(2).^2 + b(2).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(2).^2 - b(2).^2))).^(-2);
expr602 = (c(1).^2 + d(1).^2).^2 + w17.^2.*(w17.^2 + 2.*(c(1).^2 - d(1).^2));
expr603 = (c(2).^2 + d(2).^2).^2 + w17.^2.*(w17.^2 + 2.*(c(2).^2 - d(2).^2));
expr604 = ((a(2).^2 + b(2).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr605 = expr206.*expr207.*expr208.*expr211.*expr213.*expr215.*expr599.*expr600.*expr601.*expr602.*expr603.*Wms + expr187.*expr188.*expr207.*expr208.*expr213.*expr215.*expr217.*expr599.*expr602.*expr603.*expr604.*Wms;
integrate17 = trapz(w17, expr605);
w18 = [0:wp./100:wp];
expr606 = (a(1).^2 + b(1).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(1).^2 - b(1).^2));
expr607 = -4.*w18.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr608 = (a(2).^2 + b(2).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(2).^2 - b(2).^2));
expr609 = (c(1).^2 + d(1).^2).^2 + w18.^2.*(w18.^2 + 2.*(c(1).^2 - d(1).^2));
expr610 = (c(2).^2 + d(2).^2).^2 + w18.^2.*(w18.^2 + 2.*(c(2).^2 - d(2).^2));
expr611 = -1 + expr176.*expr188.*expr226.*expr227.*(expr606.*expr608).^expr221.*(expr609.*expr610).^expr174;
expr612 = 2.*expr176.*expr187.*expr226.*expr227.*(expr606.*expr608).^expr221.*(expr609.*expr610).^expr174 + expr176.*expr188.*expr221.*expr226.*expr227.*expr606.*expr607.*(expr606.*expr608).^expr225.*(expr609.*expr610).^expr174;
expr613 = 2.*expr220.*expr611.*expr612.*Wmp;
integrate18 = trapz(w18, expr613);
w19 = [wp:(-wp + ws)./100:ws];
expr614 = (a(1).^2 + b(1).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(1).^2 - b(1).^2));
expr615 = -4.*w19.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr616 = (a(2).^2 + b(2).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(2).^2 - b(2).^2));
expr617 = (c(1).^2 + d(1).^2).^2 + w19.^2.*(w19.^2 + 2.*(c(1).^2 - d(1).^2));
expr618 = (c(2).^2 + d(2).^2).^2 + w19.^2.*(w19.^2 + 2.*(c(2).^2 - d(2).^2));
expr619 = -(w19./(wp - ws));
expr620 = 2.*expr176.*expr187.*expr226.*expr227.*(expr614.*expr616).^expr221.*(expr617.*expr618).^expr174 + expr176.*expr188.*expr221.*expr226.*expr227.*expr614.*expr615.*(expr614.*expr616).^expr225.*(expr617.*expr618).^expr174;
expr621 = expr240 + expr176.*expr188.*expr226.*expr227.*(expr614.*expr616).^expr221.*(expr617.*expr618).^expr174 + expr619;
expr622 = 2.*expr233.*expr620.*expr621.*Wmt;
integrate19 = trapz(w19, expr622);
w20 = [0:wmax./100:wmax];
expr623 = -(1./(a(2).*(1 + (w20 - b(2)).^2./a(2).^2)));
expr624 = 1./(a(2).*(1 + (w20 + b(2)).^2./a(2).^2));
expr625 = -2.*(angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2))).*b(2);
expr626 = (2.*(wmax - b(2)).*b(2))./(a(2).*(1 + (wmax - b(2)).^2./a(2).^2));
expr627 = (2.*b(2).*(wmax + b(2)))./(a(2).*(1 + (wmax + b(2)).^2./a(2).^2));
expr628 = -(1./(a(2).*(1 + (wmax - b(2)).^2./a(2).^2)));
expr629 = 1./(a(2).*(1 + (wmax + b(2)).^2./a(2).^2));
expr630 = -(a(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr631 = a(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr632 = angle(1 + (i.*(w20 - b(1)))./a(1));
expr633 = angle(1 + (i.*(w20 + b(1)))./a(1));
expr634 = angle(1 + (i.*(w20 - b(2)))./a(2));
expr635 = angle(1 + (i.*(w20 + b(2)))./a(2));
expr636 = -angle(1 + (i.*(w20 - d(1)))./c(1));
expr637 = -angle(1 + (i.*(w20 + d(1)))./c(1));
expr638 = -angle(1 + (i.*(w20 - d(2)))./c(2));
expr639 = -angle(1 + (i.*(w20 + d(2)))./c(2));
expr640 = expr623 + expr624 + expr225.*expr247.*(expr625 + expr626 + expr627 - expr271.*(expr628 + expr629) + expr630 + expr631).*w20;
expr641 = 2.*expr244.*expr640.*(expr632 + expr633 + expr634 + expr635 + expr636 + expr637 + expr638 + expr639 - 3.*expr247.*expr285.*w20).*Wph;
integrate20 = trapz(w20, expr641);
expr642 = sqrt(a(1).^2 + b(1).^2);
expr643 = sqrt(a(2).^2 + b(2).^2).^(-1);
expr644 = -2.*(b(1) - b(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr645 = -(1./((a(1) - a(2)).*(1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2)));
expr646 = b(2).^(-2);
expr647 = 1./((-a(1) + a(2)).*(1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr648 = -(1./((a(2) - c(1)).*(1 + (b(2) - d(1)).^2./(a(2) - c(1)).^2)));
expr649 = -(1./((a(2) - c(1)).*(1 + (b(2) + d(1)).^2./(a(2) - c(1)).^2)));
expr650 = -(1./((a(2) - c(2)).*(1 + (b(2) - d(2)).^2./(a(2) - c(2)).^2)));
expr651 = -(1./((a(2) - c(2)).*(1 + (b(2) + d(2)).^2./(a(2) - c(2)).^2)));
expr652 = 2.*b(2);
expr653 = 2.*(-b(1) + b(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr654 = b(2) + d(2);
expr655 = b(2) + d(1);
expr656 = expr187.*expr287.*expr288.*expr435.*expr436.*expr642.*expr643.*WQ;
expr657 = expr440 + expr644;
expr658 = expr183.*(expr445 + expr645).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) - expr175.*(expr445 + expr645).*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182);
expr659 = expr445 + expr645;
expr660 = -((expr176.*expr183.*(expr445 + expr645).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182)));
expr661 = expr452 + expr647 + expr648 + expr649 + expr650 + expr651;
expr662 = expr195.*(expr452 + expr647 + expr648 + expr649 + expr650 + expr651).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194);
expr663 = -(expr187.*(expr452 + expr647 + expr648 + expr649 + expr650 + expr651).*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194));
expr664 = (-2.*expr187.*expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194));
expr665 = -((expr176.*(expr445 + expr645).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182)));
expr666 = expr453 + expr653;
expr667 = 2.*expr298.*expr299.*expr300.*expr548 + 2.*expr297.*expr298.*expr300.*expr552 + 2.*expr297.*expr298.*expr299.*expr654 + 2.*expr297.*expr299.*expr300.*expr655;
expr668 = (-2.*expr187.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194));
expr669 = -((expr175.*expr176.*expr199.*expr340.*expr658)./expr201) + (expr175.*expr176.*expr200.*expr342.*expr659)./expr201 - (expr175.*expr176.*expr199.*expr200.*(expr176.*expr183.*expr199.*expr340.*expr658 + expr660))./expr201.^2;
expr670 = (expr188.*expr202.*expr203)./expr204;
expr671 = (2.*expr197.*expr202.*expr203)./expr204;
expr672 = (expr187.*expr188.*expr203.*expr348.*expr661)./expr204;
expr673 = -((expr187.*expr188.*expr202.*expr346.*(expr348 + expr662 + expr663))./expr204);
expr674 = -((expr187.*expr188.*expr202.*expr203.*(expr652 - expr188.*expr195.*expr203.*expr348.*expr661 + expr188.*expr195.*expr202.*expr346.*(expr348 + expr662 + expr663) + expr664))./expr204.^2);
expr675 = expr646.*(pi - angle(1 + (expr187.*expr188.*expr202.*expr203.*i)./expr204));
expr676 = expr176.*expr199.*expr340.*expr658 + expr665;
expr677 = expr348 + expr662 + expr663;
expr678 = -(expr188.*expr203.*expr348.*expr661) + expr188.*expr202.*expr346.*(expr348 + expr662 + expr663) + expr668;
expr679 = 2.*expr186.*expr187.*expr226.*expr227.*expr325.*expr326.*expr327.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355));
expr680 = -(expr176.*expr226.*expr227.*expr329.*expr330.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr646);
expr681 = expr186.*expr188.*expr221.*expr226.*expr227.*expr326.*expr327.*expr333.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr657;
expr682 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr658;
expr683 = expr176.*expr198.*expr221.*expr226.*expr227.*expr330.*expr331.*expr351.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr666;
expr684 = expr174.*expr176.*expr198.*expr226.*expr227.*expr329.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr569.*expr667;
expr685 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr677;
expr686 = expr183.*expr221.*expr353.*(expr354 - expr186.*expr328.*expr355).*(expr186.*expr360.*expr669 + expr198.*expr365.*(expr670 + expr671 + expr672 + expr673 + expr674) + expr675).*tpc;
expr687 = -(expr186.*expr355.*expr676);
expr688 = expr221.*expr328.*expr354.*(expr186.*expr360.*expr669 + expr198.*expr365.*(expr670 + expr671 + expr672 + expr673 + expr674) + expr675).*tpc;
expr689 = expr175.*expr221.*expr355.*(expr186.*expr360.*expr669 + expr198.*expr365.*(expr670 + expr671 + expr672 + expr673 + expr674) + expr675).*tpc;
expr690 = expr195.*expr221.*expr356.*(expr357 - expr198.*expr332.*expr358).*(expr186.*expr360.*expr669 + expr198.*expr365.*(expr670 + expr671 + expr672 + expr673 + expr674) + expr675).*tpc;
expr691 = expr332.*expr358.*expr646;
expr692 = -(expr198.*expr358.*expr678);
expr693 = -(expr198.*expr332.*expr357.*(expr369 + expr174.*expr187.*(expr186.*expr360.*expr669 + expr198.*expr365.*(expr670 + expr671 + expr672 + expr673 + expr674) + expr675).*tpc));
expr694 = -(expr358.*(expr369 + expr174.*expr187.*(expr186.*expr360.*expr669 + expr198.*expr365.*(expr670 + expr671 + expr672 + expr673 + expr674) + expr675).*tpc));
expr695 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*expr327.*(expr686 - expr353.*(expr687 + expr688 + expr689));
expr696 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(expr690 - expr356.*(expr691 + expr692 + expr693 + expr694));
expr697 = expr656 + integrate17 + integrate18 + integrate19 + integrate20 + 200.*expr388.*(expr679 + expr680 + expr681 + expr682 + expr683 + expr684 + expr685 + expr695 + expr696).*WO;
gf(4) = expr697;

%% Derivative for c(1)
w21 = [ws:(99.*ws)./100:100.*ws];
expr698 = 1./99;
expr699 = ((a(1).^2 + b(1).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr700 = ((a(2).^2 + b(2).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr701 = 4.*w21.^2.*c(1) + 4.*c(1).*(c(1).^2 + d(1).^2);
expr702 = (c(2).^2 + d(2).^2).^2 + w21.^2.*(w21.^2 + 2.*(c(2).^2 - d(2).^2));
expr703 = -4./99;
expr704 = c(1);
expr705 = (c(1).^2 + d(1).^2).^(-3);
expr706 = (c(1).^2 + d(1).^2).^2 + w21.^2.*(w21.^2 + 2.*(c(1).^2 - d(1).^2));
expr707 = expr207.*expr208.*expr211.*expr213.*expr215.*expr698.*expr699.*expr700.*expr701.*expr702.*Wms + expr207.*expr208.*expr211.*expr215.*expr699.*expr700.*expr702.*expr703.*expr704.*expr705.*expr706.*Wms;
integrate21 = trapz(w21, expr707);
w22 = [0:wp./100:wp];
expr708 = (a(1).^2 + b(1).^2).^2 + w22.^2.*(w22.^2 + 2.*(a(1).^2 - b(1).^2));
expr709 = (a(2).^2 + b(2).^2).^2 + w22.^2.*(w22.^2 + 2.*(a(2).^2 - b(2).^2));
expr710 = 4.*w22.^2.*c(1) + 4.*c(1).*(c(1).^2 + d(1).^2);
expr711 = (c(2).^2 + d(2).^2).^2 + w22.^2.*(w22.^2 + 2.*(c(2).^2 - d(2).^2));
expr712 = (c(1).^2 + d(1).^2).^2 + w22.^2.*(w22.^2 + 2.*(c(1).^2 - d(1).^2));
expr713 = -1 + expr176.*expr188.*expr226.*expr227.*(expr708.*expr709).^expr221.*(expr711.*expr712).^expr174;
expr714 = -2.*expr176.*expr188.*expr213.*expr227.*expr704.*(expr708.*expr709).^expr221.*(expr711.*expr712).^expr174 + expr174.*expr176.*expr188.*expr226.*expr227.*(expr708.*expr709).^expr221.*expr710.*expr711.*(expr711.*expr712).^expr221;
expr715 = 2.*expr220.*expr713.*expr714.*Wmp;
integrate22 = trapz(w22, expr715);
w23 = [wp:(-wp + ws)./100:ws];
expr716 = (a(1).^2 + b(1).^2).^2 + w23.^2.*(w23.^2 + 2.*(a(1).^2 - b(1).^2));
expr717 = (a(2).^2 + b(2).^2).^2 + w23.^2.*(w23.^2 + 2.*(a(2).^2 - b(2).^2));
expr718 = 4.*w23.^2.*c(1) + 4.*c(1).*(c(1).^2 + d(1).^2);
expr719 = (c(2).^2 + d(2).^2).^2 + w23.^2.*(w23.^2 + 2.*(c(2).^2 - d(2).^2));
expr720 = (c(1).^2 + d(1).^2).^2 + w23.^2.*(w23.^2 + 2.*(c(1).^2 - d(1).^2));
expr721 = -(w23./(wp - ws));
expr722 = -2.*expr176.*expr188.*expr213.*expr227.*expr704.*(expr716.*expr717).^expr221.*(expr719.*expr720).^expr174 + expr174.*expr176.*expr188.*expr226.*expr227.*(expr716.*expr717).^expr221.*expr718.*expr719.*(expr719.*expr720).^expr221;
expr723 = expr240 + expr176.*expr188.*expr226.*expr227.*(expr716.*expr717).^expr221.*(expr719.*expr720).^expr174 + expr721;
expr724 = 2.*expr233.*expr722.*expr723.*Wmt;
integrate23 = trapz(w23, expr724);
w24 = [0:wmax./100:wmax];
expr725 = (w24 - d(1))./(c(1).^2.*(1 + (w24 - d(1)).^2./c(1).^2));
expr726 = (w24 + d(1))./(c(1).^2.*(1 + (w24 + d(1)).^2./c(1).^2));
expr727 = 2.*wmax;
expr728 = -2.*(angle(1 + (i.*(wmax - d(1)))./c(1)) + angle(1 + (i.*(wmax + d(1)))./c(1))).*c(1);
expr729 = (-2.*(wmax - d(1)).^2.*d(1))./(c(1).^2.*(1 + (wmax - d(1)).^2./c(1).^2));
expr730 = (2.*d(1).*(wmax + d(1)).^2)./(c(1).^2.*(1 + (wmax + d(1)).^2./c(1).^2));
expr731 = -((wmax - d(1))./(c(1).^2.*(1 + (wmax - d(1)).^2./c(1).^2)));
expr732 = -((wmax + d(1))./(c(1).^2.*(1 + (wmax + d(1)).^2./c(1).^2)));
expr733 = d(1).*log(1 + (wmax - d(1)).^2./c(1).^2);
expr734 = -(d(1).*log(1 + (wmax + d(1)).^2./c(1).^2));
expr735 = angle(1 + (i.*(w24 - b(1)))./a(1));
expr736 = angle(1 + (i.*(w24 + b(1)))./a(1));
expr737 = angle(1 + (i.*(w24 - b(2)))./a(2));
expr738 = angle(1 + (i.*(w24 + b(2)))./a(2));
expr739 = -angle(1 + (i.*(w24 - d(1)))./c(1));
expr740 = -angle(1 + (i.*(w24 + d(1)))./c(1));
expr741 = -angle(1 + (i.*(w24 - d(2)))./c(2));
expr742 = -angle(1 + (i.*(w24 + d(2)))./c(2));
expr743 = expr725 + expr726 + expr225.*expr247.*(expr727 + expr728 + expr729 + expr730 + expr276.*(expr731 + expr732) + expr733 + expr734).*w24;
expr744 = 2.*expr244.*expr743.*(expr735 + expr736 + expr737 + expr738 + expr739 + expr740 + expr741 + expr742 - 3.*expr247.*expr285.*w24).*Wph;
integrate24 = trapz(w24, expr744);
expr745 = -((b(1) + d(1))./((a(1) - c(1)).^2.*(1 + (b(1) + d(1)).^2./(a(1) - c(1)).^2)));
expr746 = -((b(2) + d(1))./((a(2) - c(1)).^2.*(1 + (b(2) + d(1)).^2./(a(2) - c(1)).^2)));
expr747 = -2.*expr292.*expr294.*expr295.*expr304 - 2.*expr293.*expr294.*expr295.*expr304;
expr748 = expr183.*(-(expr309.*expr310.*expr311) + expr745).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) - expr175.*(-(expr309.*expr310.*expr311) + expr745).*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182);
expr749 = -(expr309.*expr310.*expr311) + expr745;
expr750 = -(expr546.*expr547.*expr548) + expr746;
expr751 = expr195.*(-(expr546.*expr547.*expr548) + expr746).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) - expr187.*(-(expr546.*expr547.*expr548) + expr746).*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194);
expr752 = -2.*expr297.*expr299.*expr300.*expr558 - 2.*expr298.*expr299.*expr300.*expr558;
expr753 = -((expr175.*expr176.*expr199.*expr340.*expr748)./expr201);
expr754 = (expr175.*expr176.*expr200.*expr342.*expr749)./expr201;
expr755 = -((expr175.*expr176.*expr199.*expr200.*(expr176.*expr183.*expr199.*expr340.*expr748 - expr176.*expr183.*expr200.*expr342.*expr749))./expr201.^2);
expr756 = (expr187.*expr188.*expr203.*expr348.*expr750)./expr204;
expr757 = -((expr187.*expr188.*expr202.*expr346.*expr751)./expr204);
expr758 = -((expr187.*expr188.*expr202.*expr203.*(-(expr188.*expr195.*expr203.*expr348.*expr750) + expr188.*expr195.*expr202.*expr346.*expr751))./expr204.^2);
expr759 = expr176.*expr199.*expr340.*expr748 - expr176.*expr200.*expr342.*expr749;
expr760 = -(expr188.*expr203.*expr348.*expr750) + expr188.*expr202.*expr346.*expr751;
expr761 = -2.*expr186.*expr188.*expr213.*expr227.*expr325.*expr326.*expr327.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr704;
expr762 = -2.*expr176.*expr198.*expr213.*expr227.*expr329.*expr330.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr704;
expr763 = expr174.*expr186.*expr188.*expr226.*expr227.*expr325.*expr327.*expr335.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr747;
expr764 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr748;
expr765 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr751;
expr766 = expr174.*expr176.*expr198.*expr226.*expr227.*expr329.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr569.*expr752;
expr767 = expr183.*expr221.*expr353.*(expr354 - expr186.*expr328.*expr355).*(expr186.*expr360.*(expr753 + expr754 + expr755) + expr198.*expr365.*(expr756 + expr757 + expr758)).*tpc;
expr768 = -(expr186.*expr355.*expr759);
expr769 = expr221.*expr328.*expr354.*(expr186.*expr360.*(expr753 + expr754 + expr755) + expr198.*expr365.*(expr756 + expr757 + expr758)).*tpc;
expr770 = expr175.*expr221.*expr355.*(expr186.*expr360.*(expr753 + expr754 + expr755) + expr198.*expr365.*(expr756 + expr757 + expr758)).*tpc;
expr771 = expr195.*expr221.*expr356.*(expr357 - expr198.*expr332.*expr358).*(expr186.*expr360.*(expr753 + expr754 + expr755) + expr198.*expr365.*(expr756 + expr757 + expr758)).*tpc;
expr772 = -(expr198.*expr358.*expr760);
expr773 = expr221.*expr332.*expr357.*(expr186.*expr360.*(expr753 + expr754 + expr755) + expr198.*expr365.*(expr756 + expr757 + expr758)).*tpc;
expr774 = expr187.*expr221.*expr358.*(expr186.*expr360.*(expr753 + expr754 + expr755) + expr198.*expr365.*(expr756 + expr757 + expr758)).*tpc;
expr775 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*expr327.*(expr767 - expr353.*(expr768 + expr769 + expr770));
expr776 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(expr771 - expr356.*(expr772 + expr773 + expr774));
expr777 = integrate21 + integrate22 + integrate23 + integrate24 + 200.*expr388.*(expr761 + expr762 + expr763 + expr764 + expr765 + expr766 + expr775 + expr776).*WO;
gf(5) = expr777;

%% Derivative for d(1)
w25 = [ws:(99.*ws)./100:100.*ws];
expr778 = ((a(1).^2 + b(1).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr779 = ((a(2).^2 + b(2).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr780 = -4.*w25.^2.*d(1) + 4.*d(1).*(c(1).^2 + d(1).^2);
expr781 = (c(2).^2 + d(2).^2).^2 + w25.^2.*(w25.^2 + 2.*(c(2).^2 - d(2).^2));
expr782 = d(1);
expr783 = (c(1).^2 + d(1).^2).^2 + w25.^2.*(w25.^2 + 2.*(c(1).^2 - d(1).^2));
expr784 = expr207.*expr208.*expr211.*expr213.*expr215.*expr698.*expr778.*expr779.*expr780.*expr781.*Wms + expr207.*expr208.*expr211.*expr215.*expr703.*expr705.*expr778.*expr779.*expr781.*expr782.*expr783.*Wms;
integrate25 = trapz(w25, expr784);
w26 = [0:wp./100:wp];
expr785 = (a(1).^2 + b(1).^2).^2 + w26.^2.*(w26.^2 + 2.*(a(1).^2 - b(1).^2));
expr786 = (a(2).^2 + b(2).^2).^2 + w26.^2.*(w26.^2 + 2.*(a(2).^2 - b(2).^2));
expr787 = -4.*w26.^2.*d(1) + 4.*d(1).*(c(1).^2 + d(1).^2);
expr788 = (c(2).^2 + d(2).^2).^2 + w26.^2.*(w26.^2 + 2.*(c(2).^2 - d(2).^2));
expr789 = (c(1).^2 + d(1).^2).^2 + w26.^2.*(w26.^2 + 2.*(c(1).^2 - d(1).^2));
expr790 = -1 + expr176.*expr188.*expr226.*expr227.*(expr785.*expr786).^expr221.*(expr788.*expr789).^expr174;
expr791 = -2.*expr176.*expr188.*expr213.*expr227.*expr782.*(expr785.*expr786).^expr221.*(expr788.*expr789).^expr174 + expr174.*expr176.*expr188.*expr226.*expr227.*(expr785.*expr786).^expr221.*expr787.*expr788.*(expr788.*expr789).^expr221;
expr792 = 2.*expr220.*expr790.*expr791.*Wmp;
integrate26 = trapz(w26, expr792);
w27 = [wp:(-wp + ws)./100:ws];
expr793 = (a(1).^2 + b(1).^2).^2 + w27.^2.*(w27.^2 + 2.*(a(1).^2 - b(1).^2));
expr794 = (a(2).^2 + b(2).^2).^2 + w27.^2.*(w27.^2 + 2.*(a(2).^2 - b(2).^2));
expr795 = -4.*w27.^2.*d(1) + 4.*d(1).*(c(1).^2 + d(1).^2);
expr796 = (c(2).^2 + d(2).^2).^2 + w27.^2.*(w27.^2 + 2.*(c(2).^2 - d(2).^2));
expr797 = (c(1).^2 + d(1).^2).^2 + w27.^2.*(w27.^2 + 2.*(c(1).^2 - d(1).^2));
expr798 = -(w27./(wp - ws));
expr799 = -2.*expr176.*expr188.*expr213.*expr227.*expr782.*(expr793.*expr794).^expr221.*(expr796.*expr797).^expr174 + expr174.*expr176.*expr188.*expr226.*expr227.*(expr793.*expr794).^expr221.*expr795.*expr796.*(expr796.*expr797).^expr221;
expr800 = expr240 + expr176.*expr188.*expr226.*expr227.*(expr793.*expr794).^expr221.*(expr796.*expr797).^expr174 + expr798;
expr801 = 2.*expr233.*expr799.*expr800.*Wmt;
integrate27 = trapz(w27, expr801);
w28 = [0:wmax./100:wmax];
expr802 = 1./(c(1).*(1 + (w28 - d(1)).^2./c(1).^2));
expr803 = -(1./(c(1).*(1 + (w28 + d(1)).^2./c(1).^2)));
expr804 = 2.*(angle(1 + (i.*(wmax - d(1)))./c(1)) + angle(1 + (i.*(wmax + d(1)))./c(1))).*d(1);
expr805 = (-2.*(wmax - d(1)).*d(1))./(c(1).*(1 + (wmax - d(1)).^2./c(1).^2));
expr806 = (-2.*d(1).*(wmax + d(1)))./(c(1).*(1 + (wmax + d(1)).^2./c(1).^2));
expr807 = -(1./(c(1).*(1 + (wmax - d(1)).^2./c(1).^2)));
expr808 = 1./(c(1).*(1 + (wmax + d(1)).^2./c(1).^2));
expr809 = c(1).*log(1 + (wmax - d(1)).^2./c(1).^2);
expr810 = -(c(1).*log(1 + (wmax + d(1)).^2./c(1).^2));
expr811 = angle(1 + (i.*(w28 - b(1)))./a(1));
expr812 = angle(1 + (i.*(w28 + b(1)))./a(1));
expr813 = angle(1 + (i.*(w28 - b(2)))./a(2));
expr814 = angle(1 + (i.*(w28 + b(2)))./a(2));
expr815 = -angle(1 + (i.*(w28 - d(1)))./c(1));
expr816 = -angle(1 + (i.*(w28 + d(1)))./c(1));
expr817 = -angle(1 + (i.*(w28 - d(2)))./c(2));
expr818 = -angle(1 + (i.*(w28 + d(2)))./c(2));
expr819 = expr802 + expr803 + expr225.*expr247.*(expr804 + expr805 + expr806 + expr276.*(expr807 + expr808) + expr809 + expr810).*w28;
expr820 = 2.*expr244.*expr819.*(expr811 + expr812 + expr813 + expr814 + expr815 + expr816 + expr817 + expr818 - 3.*expr247.*expr285.*w28).*Wph;
integrate28 = trapz(w28, expr820);
expr821 = 1./((a(1) - c(1)).*(1 + (b(1) - d(1)).^2./(a(1) - c(1)).^2));
expr822 = 1./((a(2) - c(1)).*(1 + (b(2) - d(1)).^2./(a(2) - c(1)).^2));
expr823 = -2.*expr293.*expr294.*expr295.*expr311 + 2.*expr292.*expr294.*expr295.*expr443;
expr824 = expr183.*(expr447 + expr821).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) - expr175.*(expr447 + expr821).*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182);
expr825 = expr447 + expr821;
expr826 = -((expr176.*expr183.*(expr447 + expr821).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182)));
expr827 = expr649 + expr822;
expr828 = expr195.*(expr649 + expr822).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) - expr187.*(expr649 + expr822).*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194);
expr829 = -((expr188.*expr195.*(expr649 + expr822).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194)));
expr830 = -((expr176.*(expr447 + expr821).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182)));
expr831 = -2.*expr298.*expr299.*expr300.*expr548 + 2.*expr297.*expr299.*expr300.*expr655;
expr832 = -((expr188.*(expr649 + expr822).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194)));
expr833 = -((expr175.*expr176.*expr199.*expr340.*expr824)./expr201) + (expr175.*expr176.*expr200.*expr342.*expr825)./expr201 - (expr175.*expr176.*expr199.*expr200.*(expr176.*expr183.*expr199.*expr340.*expr824 + expr826))./expr201.^2;
expr834 = (expr187.*expr188.*expr203.*expr348.*expr827)./expr204 - (expr187.*expr188.*expr202.*expr346.*expr828)./expr204 - (expr187.*expr188.*expr202.*expr203.*(expr188.*expr195.*expr202.*expr346.*expr828 + expr829))./expr204.^2;
expr835 = expr176.*expr199.*expr340.*expr824 + expr830;
expr836 = expr188.*expr202.*expr346.*expr828 + expr832;
expr837 = -2.*expr186.*expr188.*expr213.*expr227.*expr325.*expr326.*expr327.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr782;
expr838 = -2.*expr176.*expr198.*expr213.*expr227.*expr329.*expr330.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr782;
expr839 = expr174.*expr186.*expr188.*expr226.*expr227.*expr325.*expr327.*expr335.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr823;
expr840 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr824;
expr841 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr828;
expr842 = expr174.*expr176.*expr198.*expr226.*expr227.*expr329.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr569.*expr831;
expr843 = expr183.*expr221.*expr353.*(expr354 - expr186.*expr328.*expr355).*(expr186.*expr360.*expr833 + expr198.*expr365.*expr834).*tpc;
expr844 = -(expr353.*(-(expr186.*expr355.*expr835) + expr221.*expr328.*expr354.*(expr186.*expr360.*expr833 + expr198.*expr365.*expr834).*tpc + expr175.*expr221.*expr355.*(expr186.*expr360.*expr833 + expr198.*expr365.*expr834).*tpc));
expr845 = expr195.*expr221.*expr356.*(expr357 - expr198.*expr332.*expr358).*(expr186.*expr360.*expr833 + expr198.*expr365.*expr834).*tpc;
expr846 = -(expr356.*(-(expr198.*expr358.*expr836) + expr221.*expr332.*expr357.*(expr186.*expr360.*expr833 + expr198.*expr365.*expr834).*tpc + expr187.*expr221.*expr358.*(expr186.*expr360.*expr833 + expr198.*expr365.*expr834).*tpc));
expr847 = 200.*(-1 + expr372 + expr373).*(expr837 + expr838 + expr839 + expr840 + expr841 + expr842 + expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*expr327.*(expr843 + expr844) + expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(expr845 + expr846)).*WO;
expr848 = expr847 + integrate25 + integrate26 + integrate27 + integrate28;
gf(7) = expr848;

%% Derivative for c(2)
w29 = [ws:(99.*ws)./100:100.*ws];
expr849 = ((a(1).^2 + b(1).^2).^2 + w29.^2.*(w29.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr850 = ((a(2).^2 + b(2).^2).^2 + w29.^2.*(w29.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr851 = (c(1).^2 + d(1).^2).^2 + w29.^2.*(w29.^2 + 2.*(c(1).^2 - d(1).^2));
expr852 = 4.*w29.^2.*c(2) + 4.*c(2).*(c(2).^2 + d(2).^2);
expr853 = c(2);
expr854 = (c(2).^2 + d(2).^2).^(-3);
expr855 = (c(2).^2 + d(2).^2).^2 + w29.^2.*(w29.^2 + 2.*(c(2).^2 - d(2).^2));
expr856 = expr207.*expr208.*expr211.*expr213.*expr215.*expr698.*expr849.*expr850.*expr851.*expr852.*Wms + expr207.*expr208.*expr211.*expr213.*expr703.*expr849.*expr850.*expr851.*expr853.*expr854.*expr855.*Wms;
integrate29 = trapz(w29, expr856);
w30 = [0:wp./100:wp];
expr857 = (a(1).^2 + b(1).^2).^2 + w30.^2.*(w30.^2 + 2.*(a(1).^2 - b(1).^2));
expr858 = (a(2).^2 + b(2).^2).^2 + w30.^2.*(w30.^2 + 2.*(a(2).^2 - b(2).^2));
expr859 = (c(1).^2 + d(1).^2).^2 + w30.^2.*(w30.^2 + 2.*(c(1).^2 - d(1).^2));
expr860 = 4.*w30.^2.*c(2) + 4.*c(2).*(c(2).^2 + d(2).^2);
expr861 = (c(2).^2 + d(2).^2).^2 + w30.^2.*(w30.^2 + 2.*(c(2).^2 - d(2).^2));
expr862 = -1 + expr176.*expr188.*expr226.*expr227.*(expr857.*expr858).^expr221.*(expr859.*expr861).^expr174;
expr863 = -2.*expr176.*expr188.*expr215.*expr226.*expr853.*(expr857.*expr858).^expr221.*(expr859.*expr861).^expr174 + expr174.*expr176.*expr188.*expr226.*expr227.*(expr857.*expr858).^expr221.*expr859.*expr860.*(expr859.*expr861).^expr221;
expr864 = 2.*expr220.*expr862.*expr863.*Wmp;
integrate30 = trapz(w30, expr864);
w31 = [wp:(-wp + ws)./100:ws];
expr865 = (a(1).^2 + b(1).^2).^2 + w31.^2.*(w31.^2 + 2.*(a(1).^2 - b(1).^2));
expr866 = (a(2).^2 + b(2).^2).^2 + w31.^2.*(w31.^2 + 2.*(a(2).^2 - b(2).^2));
expr867 = (c(1).^2 + d(1).^2).^2 + w31.^2.*(w31.^2 + 2.*(c(1).^2 - d(1).^2));
expr868 = 4.*w31.^2.*c(2) + 4.*c(2).*(c(2).^2 + d(2).^2);
expr869 = (c(2).^2 + d(2).^2).^2 + w31.^2.*(w31.^2 + 2.*(c(2).^2 - d(2).^2));
expr870 = -(w31./(wp - ws));
expr871 = -2.*expr176.*expr188.*expr215.*expr226.*expr853.*(expr865.*expr866).^expr221.*(expr867.*expr869).^expr174 + expr174.*expr176.*expr188.*expr226.*expr227.*(expr865.*expr866).^expr221.*expr867.*expr868.*(expr867.*expr869).^expr221;
expr872 = expr240 + expr176.*expr188.*expr226.*expr227.*(expr865.*expr866).^expr221.*(expr867.*expr869).^expr174 + expr870;
expr873 = 2.*expr233.*expr871.*expr872.*Wmt;
integrate31 = trapz(w31, expr873);
w32 = [0:wmax./100:wmax];
expr874 = (w32 - d(2))./(c(2).^2.*(1 + (w32 - d(2)).^2./c(2).^2));
expr875 = (w32 + d(2))./(c(2).^2.*(1 + (w32 + d(2)).^2./c(2).^2));
expr876 = -2.*(angle(1 + (i.*(wmax - d(2)))./c(2)) + angle(1 + (i.*(wmax + d(2)))./c(2))).*c(2);
expr877 = (-2.*(wmax - d(2)).^2.*d(2))./(c(2).^2.*(1 + (wmax - d(2)).^2./c(2).^2));
expr878 = (2.*d(2).*(wmax + d(2)).^2)./(c(2).^2.*(1 + (wmax + d(2)).^2./c(2).^2));
expr879 = -((wmax - d(2))./(c(2).^2.*(1 + (wmax - d(2)).^2./c(2).^2)));
expr880 = -((wmax + d(2))./(c(2).^2.*(1 + (wmax + d(2)).^2./c(2).^2)));
expr881 = d(2).*log(1 + (wmax - d(2)).^2./c(2).^2);
expr882 = -(d(2).*log(1 + (wmax + d(2)).^2./c(2).^2));
expr883 = angle(1 + (i.*(w32 - b(1)))./a(1));
expr884 = angle(1 + (i.*(w32 + b(1)))./a(1));
expr885 = angle(1 + (i.*(w32 - b(2)))./a(2));
expr886 = angle(1 + (i.*(w32 + b(2)))./a(2));
expr887 = -angle(1 + (i.*(w32 - d(1)))./c(1));
expr888 = -angle(1 + (i.*(w32 + d(1)))./c(1));
expr889 = -angle(1 + (i.*(w32 - d(2)))./c(2));
expr890 = -angle(1 + (i.*(w32 + d(2)))./c(2));
expr891 = expr874 + expr875 + expr225.*expr247.*(expr727 + expr876 + expr877 + expr878 + expr281.*(expr879 + expr880) + expr881 + expr882).*w32;
expr892 = 2.*expr244.*expr891.*(expr883 + expr884 + expr885 + expr886 + expr887 + expr888 + expr889 + expr890 - 3.*expr247.*expr285.*w32).*Wph;
integrate32 = trapz(w32, expr892);
expr893 = -((b(1) + d(2))./((a(1) - c(2)).^2.*(1 + (b(1) + d(2)).^2./(a(1) - c(2)).^2)));
expr894 = -((b(2) + d(2))./((a(2) - c(2)).^2.*(1 + (b(2) + d(2)).^2./(a(2) - c(2)).^2)));
expr895 = -2.*expr292.*expr293.*expr294.*expr303 - 2.*expr292.*expr293.*expr295.*expr303;
expr896 = expr183.*(-(expr313.*expr314.*expr315) + expr893).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) - expr175.*(-(expr313.*expr314.*expr315) + expr893).*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182);
expr897 = -(expr313.*expr314.*expr315) + expr893;
expr898 = -(expr550.*expr551.*expr552) + expr894;
expr899 = expr195.*(-(expr550.*expr551.*expr552) + expr894).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) - expr187.*(-(expr550.*expr551.*expr552) + expr894).*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194);
expr900 = -2.*expr297.*expr298.*expr299.*expr557 - 2.*expr297.*expr298.*expr300.*expr557;
expr901 = -((expr175.*expr176.*expr199.*expr340.*expr896)./expr201);
expr902 = (expr175.*expr176.*expr200.*expr342.*expr897)./expr201;
expr903 = -((expr175.*expr176.*expr199.*expr200.*(expr176.*expr183.*expr199.*expr340.*expr896 - expr176.*expr183.*expr200.*expr342.*expr897))./expr201.^2);
expr904 = (expr187.*expr188.*expr203.*expr348.*expr898)./expr204;
expr905 = -((expr187.*expr188.*expr202.*expr346.*expr899)./expr204);
expr906 = -((expr187.*expr188.*expr202.*expr203.*(-(expr188.*expr195.*expr203.*expr348.*expr898) + expr188.*expr195.*expr202.*expr346.*expr899))./expr204.^2);
expr907 = expr176.*expr199.*expr340.*expr896 - expr176.*expr200.*expr342.*expr897;
expr908 = -(expr188.*expr203.*expr348.*expr898) + expr188.*expr202.*expr346.*expr899;
expr909 = -2.*expr186.*expr188.*expr215.*expr226.*expr325.*expr326.*expr327.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr853;
expr910 = -2.*expr176.*expr198.*expr215.*expr226.*expr329.*expr330.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr853;
expr911 = expr174.*expr186.*expr188.*expr226.*expr227.*expr325.*expr327.*expr335.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr895;
expr912 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr896;
expr913 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr899;
expr914 = expr174.*expr176.*expr198.*expr226.*expr227.*expr329.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr569.*expr900;
expr915 = expr183.*expr221.*expr353.*(expr354 - expr186.*expr328.*expr355).*(expr186.*expr360.*(expr901 + expr902 + expr903) + expr198.*expr365.*(expr904 + expr905 + expr906)).*tpc;
expr916 = -(expr186.*expr355.*expr907);
expr917 = expr221.*expr328.*expr354.*(expr186.*expr360.*(expr901 + expr902 + expr903) + expr198.*expr365.*(expr904 + expr905 + expr906)).*tpc;
expr918 = expr175.*expr221.*expr355.*(expr186.*expr360.*(expr901 + expr902 + expr903) + expr198.*expr365.*(expr904 + expr905 + expr906)).*tpc;
expr919 = expr195.*expr221.*expr356.*(expr357 - expr198.*expr332.*expr358).*(expr186.*expr360.*(expr901 + expr902 + expr903) + expr198.*expr365.*(expr904 + expr905 + expr906)).*tpc;
expr920 = -(expr198.*expr358.*expr908);
expr921 = expr221.*expr332.*expr357.*(expr186.*expr360.*(expr901 + expr902 + expr903) + expr198.*expr365.*(expr904 + expr905 + expr906)).*tpc;
expr922 = expr187.*expr221.*expr358.*(expr186.*expr360.*(expr901 + expr902 + expr903) + expr198.*expr365.*(expr904 + expr905 + expr906)).*tpc;
expr923 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*expr327.*(expr915 - expr353.*(expr916 + expr917 + expr918));
expr924 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(expr919 - expr356.*(expr920 + expr921 + expr922));
expr925 = integrate29 + integrate30 + integrate31 + integrate32 + 200.*expr388.*(expr909 + expr910 + expr911 + expr912 + expr913 + expr914 + expr923 + expr924).*WO;
gf(6) = expr925;

%% Derivative for d(2)
w33 = [ws:(99.*ws)./100:100.*ws];
expr926 = ((a(1).^2 + b(1).^2).^2 + w33.^2.*(w33.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr927 = ((a(2).^2 + b(2).^2).^2 + w33.^2.*(w33.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr928 = (c(1).^2 + d(1).^2).^2 + w33.^2.*(w33.^2 + 2.*(c(1).^2 - d(1).^2));
expr929 = -4.*w33.^2.*d(2) + 4.*d(2).*(c(2).^2 + d(2).^2);
expr930 = d(2);
expr931 = (c(2).^2 + d(2).^2).^2 + w33.^2.*(w33.^2 + 2.*(c(2).^2 - d(2).^2));
expr932 = expr207.*expr208.*expr211.*expr213.*expr215.*expr698.*expr926.*expr927.*expr928.*expr929.*Wms + expr207.*expr208.*expr211.*expr213.*expr703.*expr854.*expr926.*expr927.*expr928.*expr930.*expr931.*Wms;
integrate33 = trapz(w33, expr932);
w34 = [0:wp./100:wp];
expr933 = (a(1).^2 + b(1).^2).^2 + w34.^2.*(w34.^2 + 2.*(a(1).^2 - b(1).^2));
expr934 = (a(2).^2 + b(2).^2).^2 + w34.^2.*(w34.^2 + 2.*(a(2).^2 - b(2).^2));
expr935 = (c(1).^2 + d(1).^2).^2 + w34.^2.*(w34.^2 + 2.*(c(1).^2 - d(1).^2));
expr936 = -4.*w34.^2.*d(2) + 4.*d(2).*(c(2).^2 + d(2).^2);
expr937 = (c(2).^2 + d(2).^2).^2 + w34.^2.*(w34.^2 + 2.*(c(2).^2 - d(2).^2));
expr938 = -1 + expr176.*expr188.*expr226.*expr227.*(expr933.*expr934).^expr221.*(expr935.*expr937).^expr174;
expr939 = -2.*expr176.*expr188.*expr215.*expr226.*expr930.*(expr933.*expr934).^expr221.*(expr935.*expr937).^expr174 + expr174.*expr176.*expr188.*expr226.*expr227.*(expr933.*expr934).^expr221.*expr935.*expr936.*(expr935.*expr937).^expr221;
expr940 = 2.*expr220.*expr938.*expr939.*Wmp;
integrate34 = trapz(w34, expr940);
w35 = [wp:(-wp + ws)./100:ws];
expr941 = (a(1).^2 + b(1).^2).^2 + w35.^2.*(w35.^2 + 2.*(a(1).^2 - b(1).^2));
expr942 = (a(2).^2 + b(2).^2).^2 + w35.^2.*(w35.^2 + 2.*(a(2).^2 - b(2).^2));
expr943 = (c(1).^2 + d(1).^2).^2 + w35.^2.*(w35.^2 + 2.*(c(1).^2 - d(1).^2));
expr944 = -4.*w35.^2.*d(2) + 4.*d(2).*(c(2).^2 + d(2).^2);
expr945 = (c(2).^2 + d(2).^2).^2 + w35.^2.*(w35.^2 + 2.*(c(2).^2 - d(2).^2));
expr946 = -(w35./(wp - ws));
expr947 = -2.*expr176.*expr188.*expr215.*expr226.*expr930.*(expr941.*expr942).^expr221.*(expr943.*expr945).^expr174 + expr174.*expr176.*expr188.*expr226.*expr227.*(expr941.*expr942).^expr221.*expr943.*expr944.*(expr943.*expr945).^expr221;
expr948 = expr240 + expr176.*expr188.*expr226.*expr227.*(expr941.*expr942).^expr221.*(expr943.*expr945).^expr174 + expr946;
expr949 = 2.*expr233.*expr947.*expr948.*Wmt;
integrate35 = trapz(w35, expr949);
w36 = [0:wmax./100:wmax];
expr950 = 1./(c(2).*(1 + (w36 - d(2)).^2./c(2).^2));
expr951 = -(1./(c(2).*(1 + (w36 + d(2)).^2./c(2).^2)));
expr952 = 2.*(angle(1 + (i.*(wmax - d(2)))./c(2)) + angle(1 + (i.*(wmax + d(2)))./c(2))).*d(2);
expr953 = (-2.*(wmax - d(2)).*d(2))./(c(2).*(1 + (wmax - d(2)).^2./c(2).^2));
expr954 = (-2.*d(2).*(wmax + d(2)))./(c(2).*(1 + (wmax + d(2)).^2./c(2).^2));
expr955 = -(1./(c(2).*(1 + (wmax - d(2)).^2./c(2).^2)));
expr956 = 1./(c(2).*(1 + (wmax + d(2)).^2./c(2).^2));
expr957 = c(2).*log(1 + (wmax - d(2)).^2./c(2).^2);
expr958 = -(c(2).*log(1 + (wmax + d(2)).^2./c(2).^2));
expr959 = angle(1 + (i.*(w36 - b(1)))./a(1));
expr960 = angle(1 + (i.*(w36 + b(1)))./a(1));
expr961 = angle(1 + (i.*(w36 - b(2)))./a(2));
expr962 = angle(1 + (i.*(w36 + b(2)))./a(2));
expr963 = -angle(1 + (i.*(w36 - d(1)))./c(1));
expr964 = -angle(1 + (i.*(w36 + d(1)))./c(1));
expr965 = -angle(1 + (i.*(w36 - d(2)))./c(2));
expr966 = -angle(1 + (i.*(w36 + d(2)))./c(2));
expr967 = expr950 + expr951 + expr225.*expr247.*(expr952 + expr953 + expr954 + expr281.*(expr955 + expr956) + expr957 + expr958).*w36;
expr968 = 2.*expr244.*expr967.*(expr959 + expr960 + expr961 + expr962 + expr963 + expr964 + expr965 + expr966 - 3.*expr247.*expr285.*w36).*Wph;
integrate36 = trapz(w36, expr968);
expr969 = 1./((a(1) - c(2)).*(1 + (b(1) - d(2)).^2./(a(1) - c(2)).^2));
expr970 = 1./((a(2) - c(2)).*(1 + (b(2) - d(2)).^2./(a(2) - c(2)).^2));
expr971 = -2.*expr292.*expr293.*expr295.*expr315 + 2.*expr292.*expr293.*expr294.*expr442;
expr972 = expr183.*(expr449 + expr969).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) - expr175.*(expr449 + expr969).*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182);
expr973 = expr449 + expr969;
expr974 = -((expr176.*expr183.*(expr449 + expr969).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182)));
expr975 = expr651 + expr970;
expr976 = expr195.*(expr651 + expr970).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) - expr187.*(expr651 + expr970).*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194);
expr977 = -((expr188.*expr195.*(expr651 + expr970).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194)));
expr978 = -((expr176.*(expr449 + expr969).*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182))./(expr175.*cos(expr177 + expr178 + expr179 + expr180 + expr181 + expr182) + expr183.*sin(expr177 + expr178 + expr179 + expr180 + expr181 + expr182)));
expr979 = -2.*expr297.*expr298.*expr300.*expr552 + 2.*expr297.*expr298.*expr299.*expr654;
expr980 = -((expr188.*(expr651 + expr970).*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194))./(expr187.*cos(expr189 + expr190 + expr191 + expr192 + expr193 + expr194) + expr195.*sin(expr189 + expr190 + expr191 + expr192 + expr193 + expr194)));
expr981 = -((expr175.*expr176.*expr199.*expr340.*expr972)./expr201) + (expr175.*expr176.*expr200.*expr342.*expr973)./expr201 - (expr175.*expr176.*expr199.*expr200.*(expr176.*expr183.*expr199.*expr340.*expr972 + expr974))./expr201.^2;
expr982 = (expr187.*expr188.*expr203.*expr348.*expr975)./expr204 - (expr187.*expr188.*expr202.*expr346.*expr976)./expr204 - (expr187.*expr188.*expr202.*expr203.*(expr188.*expr195.*expr202.*expr346.*expr976 + expr977))./expr204.^2;
expr983 = expr176.*expr199.*expr340.*expr972 + expr978;
expr984 = expr188.*expr202.*expr346.*expr976 + expr980;
expr985 = -2.*expr186.*expr188.*expr215.*expr226.*expr325.*expr326.*expr327.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr930;
expr986 = -2.*expr176.*expr198.*expr215.*expr226.*expr329.*expr330.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr930;
expr987 = expr174.*expr186.*expr188.*expr226.*expr227.*expr325.*expr327.*expr335.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr971;
expr988 = expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*(1 - expr353.*(expr354 - expr186.*expr328.*expr355)).*expr972;
expr989 = expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr976;
expr990 = expr174.*expr176.*expr198.*expr226.*expr227.*expr329.*expr331.*(1 - expr356.*(expr357 - expr198.*expr332.*expr358)).*expr569.*expr979;
expr991 = expr183.*expr221.*expr353.*(expr354 - expr186.*expr328.*expr355).*(expr186.*expr360.*expr981 + expr198.*expr365.*expr982).*tpc;
expr992 = -(expr353.*(-(expr186.*expr355.*expr983) + expr221.*expr328.*expr354.*(expr186.*expr360.*expr981 + expr198.*expr365.*expr982).*tpc + expr175.*expr221.*expr355.*(expr186.*expr360.*expr981 + expr198.*expr365.*expr982).*tpc));
expr993 = expr195.*expr221.*expr356.*(expr357 - expr198.*expr332.*expr358).*(expr186.*expr360.*expr981 + expr198.*expr365.*expr982).*tpc;
expr994 = -(expr356.*(-(expr198.*expr358.*expr984) + expr221.*expr332.*expr357.*(expr186.*expr360.*expr981 + expr198.*expr365.*expr982).*tpc + expr187.*expr221.*expr358.*(expr186.*expr360.*expr981 + expr198.*expr365.*expr982).*tpc));
expr995 = 200.*(-1 + expr372 + expr373).*(expr985 + expr986 + expr987 + expr988 + expr989 + expr990 + expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*expr327.*(expr991 + expr992) + expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(expr993 + expr994)).*WO;
expr996 = expr995 + integrate33 + integrate34 + integrate35 + integrate36;
gf(8) = expr996;

%% Derivative of constraints on the cost function

%%   First derivative w/r to a(1) of constraint #1
expr997 = -1./(2.*sqrt(a(1).^2 + b(1).^2)) + sqrt(a(1).^2 + b(1).^2)./(2.*a(1).^2);
GC(1, 1) = expr997;

%%   First derivative w/r to a(1) of constraint #2
expr998 = 0;
GC(1, 2) = expr998;

%%   First derivative w/r to a(1) of constraint #3
expr999 = (wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1000 = (wp.^2.*(wp.^2./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr1001 = (wp.^2.*(wp.^2./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr1002 = (c(1).^2 + d(1).^2).^2;
expr1003 = (wp.^2.*(wp.^2./100 + 2.*(c(1).^2 - d(1).^2)))./100;
expr1004 = (c(2).^2 + d(2).^2).^2;
expr1005 = (wp.^2.*(wp.^2./100 + 2.*(c(2).^2 - d(2).^2)))./100;
expr1006 = 2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr183.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr226.*expr227;
expr1007 = ((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr188.*(expr1000 + expr211).*((expr1001 + expr208).*(expr1000 + expr211)).^expr225.*expr221.*expr226.*expr227.*expr999;
expr1008 = expr1006 + expr1007;
GC(1, 3) = expr1008;

%%   First derivative w/r to a(1) of constraint #4
expr1009 = -2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr183.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr226.*expr227;
expr1010 = ((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr174.*expr176.*expr188.*(expr1000 + expr211).*((expr1001 + expr208).*(expr1000 + expr211)).^expr225.*expr226.*expr227.*expr999;
expr1011 = expr1009 + expr1010;
GC(1, 4) = expr1011;

%%   First derivative w/r to a(1) of constraint #5
expr1012 = (4.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1013 = (wp.^2.*(wp.^2./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr1014 = (wp.^2.*(wp.^2./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr1015 = (wp.^2.*(wp.^2./25 + 2.*(c(1).^2 - d(1).^2)))./25;
expr1016 = (wp.^2.*(wp.^2./25 + 2.*(c(2).^2 - d(2).^2)))./25;
expr1017 = 2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr183.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr226.*expr227;
expr1018 = expr1012.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr188.*(expr1013 + expr211).*((expr1014 + expr208).*(expr1013 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1019 = expr1017 + expr1018;
GC(1, 5) = expr1019;

%%   First derivative w/r to a(1) of constraint #6
expr1020 = -2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr183.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr226.*expr227;
expr1021 = expr1012.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr174.*expr176.*expr188.*(expr1013 + expr211).*((expr1014 + expr208).*(expr1013 + expr211)).^expr225.*expr226.*expr227;
expr1022 = expr1020 + expr1021;
GC(1, 6) = expr1022;

%%   First derivative w/r to a(1) of constraint #7
expr1023 = (9.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1024 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr1025 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr1026 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(c(1).^2 - d(1).^2)))./100;
expr1027 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(c(2).^2 - d(2).^2)))./100;
expr1028 = 2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr183.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr226.*expr227;
expr1029 = expr1023.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr188.*(expr1024 + expr211).*((expr1025 + expr208).*(expr1024 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1030 = expr1028 + expr1029;
GC(1, 7) = expr1030;

%%   First derivative w/r to a(1) of constraint #8
expr1031 = -2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr183.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr226.*expr227;
expr1032 = expr1023.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr174.*expr176.*expr188.*(expr1024 + expr211).*((expr1025 + expr208).*(expr1024 + expr211)).^expr225.*expr226.*expr227;
expr1033 = expr1031 + expr1032;
GC(1, 8) = expr1033;

%%   First derivative w/r to a(1) of constraint #9
expr1034 = (16.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1035 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr1036 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr1037 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(c(1).^2 - d(1).^2)))./25;
expr1038 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(c(2).^2 - d(2).^2)))./25;
expr1039 = 2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr183.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr226.*expr227;
expr1040 = expr1034.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr188.*(expr1035 + expr211).*((expr1036 + expr208).*(expr1035 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1041 = expr1039 + expr1040;
GC(1, 9) = expr1041;

%%   First derivative w/r to a(1) of constraint #10
expr1042 = -2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr183.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr226.*expr227;
expr1043 = expr1034.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr174.*expr176.*expr188.*(expr1035 + expr211).*((expr1036 + expr208).*(expr1035 + expr211)).^expr225.*expr226.*expr227;
expr1044 = expr1042 + expr1043;
GC(1, 10) = expr1044;

%%   First derivative w/r to a(1) of constraint #11
expr1045 = wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1046 = (wp.^2.*(wp.^2./4 + 2.*(a(2).^2 - b(2).^2)))./4;
expr1047 = (wp.^2.*(wp.^2./4 + 2.*(a(1).^2 - b(1).^2)))./4;
expr1048 = (wp.^2.*(wp.^2./4 + 2.*(c(1).^2 - d(1).^2)))./4;
expr1049 = (wp.^2.*(wp.^2./4 + 2.*(c(2).^2 - d(2).^2)))./4;
expr1050 = 2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr183.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr226.*expr227;
expr1051 = expr1045.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr188.*(expr1046 + expr211).*((expr1047 + expr208).*(expr1046 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1052 = expr1050 + expr1051;
GC(1, 11) = expr1052;

%%   First derivative w/r to a(1) of constraint #12
expr1053 = -2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr183.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr226.*expr227;
expr1054 = expr1045.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr174.*expr176.*expr188.*(expr1046 + expr211).*((expr1047 + expr208).*(expr1046 + expr211)).^expr225.*expr226.*expr227;
expr1055 = expr1053 + expr1054;
GC(1, 12) = expr1055;

%%   First derivative w/r to a(1) of constraint #13
expr1056 = (36.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1057 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr1058 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr1059 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(c(1).^2 - d(1).^2)))./25;
expr1060 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(c(2).^2 - d(2).^2)))./25;
expr1061 = 2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr183.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr226.*expr227;
expr1062 = expr1056.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr188.*(expr1057 + expr211).*((expr1058 + expr208).*(expr1057 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1063 = expr1061 + expr1062;
GC(1, 13) = expr1063;

%%   First derivative w/r to a(1) of constraint #14
expr1064 = -2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr183.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr226.*expr227;
expr1065 = expr1056.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr174.*expr176.*expr188.*(expr1057 + expr211).*((expr1058 + expr208).*(expr1057 + expr211)).^expr225.*expr226.*expr227;
expr1066 = expr1064 + expr1065;
GC(1, 14) = expr1066;

%%   First derivative w/r to a(1) of constraint #15
expr1067 = (49.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1068 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr1069 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr1070 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(c(1).^2 - d(1).^2)))./100;
expr1071 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(c(2).^2 - d(2).^2)))./100;
expr1072 = 2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr183.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr226.*expr227;
expr1073 = expr1067.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr188.*(expr1068 + expr211).*((expr1069 + expr208).*(expr1068 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1074 = expr1072 + expr1073;
GC(1, 15) = expr1074;

%%   First derivative w/r to a(1) of constraint #16
expr1075 = -2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr183.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr226.*expr227;
expr1076 = expr1067.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr174.*expr176.*expr188.*(expr1068 + expr211).*((expr1069 + expr208).*(expr1068 + expr211)).^expr225.*expr226.*expr227;
expr1077 = expr1075 + expr1076;
GC(1, 16) = expr1077;

%%   First derivative w/r to a(1) of constraint #17
expr1078 = (64.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1079 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr1080 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr1081 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(c(1).^2 - d(1).^2)))./25;
expr1082 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(c(2).^2 - d(2).^2)))./25;
expr1083 = 2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr183.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr226.*expr227;
expr1084 = expr1078.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr188.*(expr1079 + expr211).*((expr1080 + expr208).*(expr1079 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1085 = expr1083 + expr1084;
GC(1, 17) = expr1085;

%%   First derivative w/r to a(1) of constraint #18
expr1086 = -2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr183.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr226.*expr227;
expr1087 = expr1078.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr174.*expr176.*expr188.*(expr1079 + expr211).*((expr1080 + expr208).*(expr1079 + expr211)).^expr225.*expr226.*expr227;
expr1088 = expr1086 + expr1087;
GC(1, 18) = expr1088;

%%   First derivative w/r to a(1) of constraint #19
expr1089 = (81.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1090 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr1091 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr1092 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(c(1).^2 - d(1).^2)))./100;
expr1093 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(c(2).^2 - d(2).^2)))./100;
expr1094 = 2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr183.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr226.*expr227;
expr1095 = expr1089.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr188.*(expr1090 + expr211).*((expr1091 + expr208).*(expr1090 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1096 = expr1094 + expr1095;
GC(1, 19) = expr1096;

%%   First derivative w/r to a(1) of constraint #20
expr1097 = -2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr183.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr226.*expr227;
expr1098 = expr1089.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr174.*expr176.*expr188.*(expr1090 + expr211).*((expr1091 + expr208).*(expr1090 + expr211)).^expr225.*expr226.*expr227;
expr1099 = expr1097 + expr1098;
GC(1, 20) = expr1099;

%%   First derivative w/r to a(1) of constraint #21
expr1100 = 4.*wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1101 = (a(2).^2 + b(2).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(2).^2 - b(2).^2));
expr1102 = (a(1).^2 + b(1).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(1).^2 - b(1).^2));
expr1103 = (c(1).^2 + d(1).^2).^2 + wp.^2.*(wp.^2 + 2.*(c(1).^2 - d(1).^2));
expr1104 = (c(2).^2 + d(2).^2).^2 + wp.^2.*(wp.^2 + 2.*(c(2).^2 - d(2).^2));
expr1105 = 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr183.*expr188.*expr226.*expr227 + expr1100.*expr1101.*(expr1101.*expr1102).^expr225.*(expr1103.*expr1104).^expr174.*expr176.*expr188.*expr221.*expr226.*expr227;
GC(1, 21) = expr1105;

%%   First derivative w/r to a(1) of constraint #22
expr1106 = expr1100.*expr1101.*(expr1101.*expr1102).^expr225.*(expr1103.*expr1104).^expr174.*expr174.*expr176.*expr188.*expr226.*expr227 - 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr183.*expr188.*expr226.*expr227;
GC(1, 22) = expr1106;

%%   First derivative w/r to a(1) of constraint #23
expr1107 = 4.*ws.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1108 = (a(2).^2 + b(2).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(2).^2 - b(2).^2));
expr1109 = (a(1).^2 + b(1).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(1).^2 - b(1).^2));
expr1110 = (c(1).^2 + d(1).^2).^2 + ws.^2.*(ws.^2 + 2.*(c(1).^2 - d(1).^2));
expr1111 = (c(2).^2 + d(2).^2).^2 + ws.^2.*(ws.^2 + 2.*(c(2).^2 - d(2).^2));
expr1112 = 2.*(expr1108.*expr1109).^expr221.*(expr1110.*expr1111).^expr174.*expr183.*expr188.*expr226.*expr227 + expr1107.*expr1108.*(expr1108.*expr1109).^expr225.*(expr1110.*expr1111).^expr174.*expr176.*expr188.*expr221.*expr226.*expr227;
GC(1, 23) = expr1112;

%%   First derivative w/r to a(1) of constraint #24
expr1113 = expr374 + expr375 + expr376 + expr377 + expr378 + expr379 + expr389 + expr390;
GC(1, 24) = expr1113;

%%   First derivative w/r to a(2) of constraint #1
expr1114 = 0;
GC(2, 1) = expr1114;

%%   First derivative w/r to a(2) of constraint #2
expr1115 = -1./(2.*sqrt(a(2).^2 + b(2).^2)) + sqrt(a(2).^2 + b(2).^2)./(2.*a(2).^2);
GC(2, 2) = expr1115;

%%   First derivative w/r to a(2) of constraint #3
expr1116 = (wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1117 = 2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr195.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr226.*expr227;
expr1118 = ((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr1116.*expr176.*expr188.*(expr1001 + expr208).*((expr1001 + expr208).*(expr1000 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1119 = expr1117 + expr1118;
GC(2, 3) = expr1119;

%%   First derivative w/r to a(2) of constraint #4
expr1120 = -2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr195.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr226.*expr227;
expr1121 = ((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr1116.*expr174.*expr176.*expr188.*(expr1001 + expr208).*((expr1001 + expr208).*(expr1000 + expr211)).^expr225.*expr226.*expr227;
expr1122 = expr1120 + expr1121;
GC(2, 4) = expr1122;

%%   First derivative w/r to a(2) of constraint #5
expr1123 = (4.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1124 = 2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr195.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr226.*expr227;
expr1125 = ((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr1123.*expr176.*expr188.*(expr1014 + expr208).*((expr1014 + expr208).*(expr1013 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1126 = expr1124 + expr1125;
GC(2, 5) = expr1126;

%%   First derivative w/r to a(2) of constraint #6
expr1127 = -2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr195.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr226.*expr227;
expr1128 = ((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr1123.*expr174.*expr176.*expr188.*(expr1014 + expr208).*((expr1014 + expr208).*(expr1013 + expr211)).^expr225.*expr226.*expr227;
expr1129 = expr1127 + expr1128;
GC(2, 6) = expr1129;

%%   First derivative w/r to a(2) of constraint #7
expr1130 = (9.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1131 = 2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr195.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr226.*expr227;
expr1132 = ((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr1130.*expr176.*expr188.*(expr1025 + expr208).*((expr1025 + expr208).*(expr1024 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1133 = expr1131 + expr1132;
GC(2, 7) = expr1133;

%%   First derivative w/r to a(2) of constraint #8
expr1134 = -2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr195.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr226.*expr227;
expr1135 = ((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr1130.*expr174.*expr176.*expr188.*(expr1025 + expr208).*((expr1025 + expr208).*(expr1024 + expr211)).^expr225.*expr226.*expr227;
expr1136 = expr1134 + expr1135;
GC(2, 8) = expr1136;

%%   First derivative w/r to a(2) of constraint #9
expr1137 = (16.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1138 = 2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr195.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr226.*expr227;
expr1139 = ((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr1137.*expr176.*expr188.*(expr1036 + expr208).*((expr1036 + expr208).*(expr1035 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1140 = expr1138 + expr1139;
GC(2, 9) = expr1140;

%%   First derivative w/r to a(2) of constraint #10
expr1141 = -2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr195.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr226.*expr227;
expr1142 = ((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr1137.*expr174.*expr176.*expr188.*(expr1036 + expr208).*((expr1036 + expr208).*(expr1035 + expr211)).^expr225.*expr226.*expr227;
expr1143 = expr1141 + expr1142;
GC(2, 10) = expr1143;

%%   First derivative w/r to a(2) of constraint #11
expr1144 = wp.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1145 = 2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr195.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr226.*expr227;
expr1146 = ((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr1144.*expr176.*expr188.*(expr1047 + expr208).*((expr1047 + expr208).*(expr1046 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1147 = expr1145 + expr1146;
GC(2, 11) = expr1147;

%%   First derivative w/r to a(2) of constraint #12
expr1148 = -2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr195.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr226.*expr227;
expr1149 = ((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr1144.*expr174.*expr176.*expr188.*(expr1047 + expr208).*((expr1047 + expr208).*(expr1046 + expr211)).^expr225.*expr226.*expr227;
expr1150 = expr1148 + expr1149;
GC(2, 12) = expr1150;

%%   First derivative w/r to a(2) of constraint #13
expr1151 = (36.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1152 = 2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr195.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr226.*expr227;
expr1153 = ((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr1151.*expr176.*expr188.*(expr1058 + expr208).*((expr1058 + expr208).*(expr1057 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1154 = expr1152 + expr1153;
GC(2, 13) = expr1154;

%%   First derivative w/r to a(2) of constraint #14
expr1155 = -2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr195.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr226.*expr227;
expr1156 = ((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr1151.*expr174.*expr176.*expr188.*(expr1058 + expr208).*((expr1058 + expr208).*(expr1057 + expr211)).^expr225.*expr226.*expr227;
expr1157 = expr1155 + expr1156;
GC(2, 14) = expr1157;

%%   First derivative w/r to a(2) of constraint #15
expr1158 = (49.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1159 = 2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr195.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr226.*expr227;
expr1160 = ((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr1158.*expr176.*expr188.*(expr1069 + expr208).*((expr1069 + expr208).*(expr1068 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1161 = expr1159 + expr1160;
GC(2, 15) = expr1161;

%%   First derivative w/r to a(2) of constraint #16
expr1162 = -2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr195.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr226.*expr227;
expr1163 = ((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr1158.*expr174.*expr176.*expr188.*(expr1069 + expr208).*((expr1069 + expr208).*(expr1068 + expr211)).^expr225.*expr226.*expr227;
expr1164 = expr1162 + expr1163;
GC(2, 16) = expr1164;

%%   First derivative w/r to a(2) of constraint #17
expr1165 = (64.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1166 = 2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr195.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr226.*expr227;
expr1167 = ((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr1165.*expr176.*expr188.*(expr1080 + expr208).*((expr1080 + expr208).*(expr1079 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1168 = expr1166 + expr1167;
GC(2, 17) = expr1168;

%%   First derivative w/r to a(2) of constraint #18
expr1169 = -2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr195.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr226.*expr227;
expr1170 = ((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr1165.*expr174.*expr176.*expr188.*(expr1080 + expr208).*((expr1080 + expr208).*(expr1079 + expr211)).^expr225.*expr226.*expr227;
expr1171 = expr1169 + expr1170;
GC(2, 18) = expr1171;

%%   First derivative w/r to a(2) of constraint #19
expr1172 = (81.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1173 = 2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr195.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr226.*expr227;
expr1174 = ((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr1172.*expr176.*expr188.*(expr1091 + expr208).*((expr1091 + expr208).*(expr1090 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1175 = expr1173 + expr1174;
GC(2, 19) = expr1175;

%%   First derivative w/r to a(2) of constraint #20
expr1176 = -2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr195.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr226.*expr227;
expr1177 = ((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr1172.*expr174.*expr176.*expr188.*(expr1091 + expr208).*((expr1091 + expr208).*(expr1090 + expr211)).^expr225.*expr226.*expr227;
expr1178 = expr1176 + expr1177;
GC(2, 20) = expr1178;

%%   First derivative w/r to a(2) of constraint #21
expr1179 = 4.*wp.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1180 = 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr176.*expr195.*expr226.*expr227 + expr1102.*(expr1101.*expr1102).^expr225.*(expr1103.*expr1104).^expr174.*expr1179.*expr176.*expr188.*expr221.*expr226.*expr227;
GC(2, 21) = expr1180;

%%   First derivative w/r to a(2) of constraint #22
expr1181 = expr1102.*(expr1101.*expr1102).^expr225.*(expr1103.*expr1104).^expr174.*expr1179.*expr174.*expr176.*expr188.*expr226.*expr227 - 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr176.*expr195.*expr226.*expr227;
GC(2, 22) = expr1181;

%%   First derivative w/r to a(2) of constraint #23
expr1182 = 4.*ws.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1183 = 2.*(expr1108.*expr1109).^expr221.*(expr1110.*expr1111).^expr174.*expr176.*expr195.*expr226.*expr227 + expr1109.*(expr1108.*expr1109).^expr225.*(expr1110.*expr1111).^expr174.*expr1182.*expr176.*expr188.*expr221.*expr226.*expr227;
GC(2, 23) = expr1183;

%%   First derivative w/r to a(2) of constraint #24
expr1184 = expr582 + expr583 + expr584 + expr585 + expr586 + expr587 + expr596 + expr597;
GC(2, 24) = expr1184;

%%   First derivative w/r to b(1) of constraint #1
expr1185 = -b(1)./(2.*a(1).*sqrt(a(1).^2 + b(1).^2));
GC(3, 1) = expr1185;

%%   First derivative w/r to b(1) of constraint #2
expr1186 = 0;
GC(3, 2) = expr1186;

%%   First derivative w/r to b(1) of constraint #3
expr1187 = -(wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1188 = 2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr175.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr226.*expr227;
expr1189 = ((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr1187.*expr176.*expr188.*(expr1000 + expr211).*((expr1001 + expr208).*(expr1000 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1190 = expr1188 + expr1189;
GC(3, 3) = expr1190;

%%   First derivative w/r to b(1) of constraint #4
expr1191 = -2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr175.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr226.*expr227;
expr1192 = ((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr1187.*expr174.*expr176.*expr188.*(expr1000 + expr211).*((expr1001 + expr208).*(expr1000 + expr211)).^expr225.*expr226.*expr227;
expr1193 = expr1191 + expr1192;
GC(3, 4) = expr1193;

%%   First derivative w/r to b(1) of constraint #5
expr1194 = (-4.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1195 = 2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr175.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr226.*expr227;
expr1196 = ((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr1194.*expr176.*expr188.*(expr1013 + expr211).*((expr1014 + expr208).*(expr1013 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1197 = expr1195 + expr1196;
GC(3, 5) = expr1197;

%%   First derivative w/r to b(1) of constraint #6
expr1198 = -2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr175.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr226.*expr227;
expr1199 = ((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr1194.*expr174.*expr176.*expr188.*(expr1013 + expr211).*((expr1014 + expr208).*(expr1013 + expr211)).^expr225.*expr226.*expr227;
expr1200 = expr1198 + expr1199;
GC(3, 6) = expr1200;

%%   First derivative w/r to b(1) of constraint #7
expr1201 = (-9.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1202 = 2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr175.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr226.*expr227;
expr1203 = ((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr1201.*expr176.*expr188.*(expr1024 + expr211).*((expr1025 + expr208).*(expr1024 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1204 = expr1202 + expr1203;
GC(3, 7) = expr1204;

%%   First derivative w/r to b(1) of constraint #8
expr1205 = -2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr175.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr226.*expr227;
expr1206 = ((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr1201.*expr174.*expr176.*expr188.*(expr1024 + expr211).*((expr1025 + expr208).*(expr1024 + expr211)).^expr225.*expr226.*expr227;
expr1207 = expr1205 + expr1206;
GC(3, 8) = expr1207;

%%   First derivative w/r to b(1) of constraint #9
expr1208 = (-16.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1209 = 2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr175.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr226.*expr227;
expr1210 = ((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr1208.*expr176.*expr188.*(expr1035 + expr211).*((expr1036 + expr208).*(expr1035 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1211 = expr1209 + expr1210;
GC(3, 9) = expr1211;

%%   First derivative w/r to b(1) of constraint #10
expr1212 = -2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr175.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr226.*expr227;
expr1213 = ((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr1208.*expr174.*expr176.*expr188.*(expr1035 + expr211).*((expr1036 + expr208).*(expr1035 + expr211)).^expr225.*expr226.*expr227;
expr1214 = expr1212 + expr1213;
GC(3, 10) = expr1214;

%%   First derivative w/r to b(1) of constraint #11
expr1215 = -(wp.^2.*b(1)) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1216 = 2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr175.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr226.*expr227;
expr1217 = ((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr1215.*expr176.*expr188.*(expr1046 + expr211).*((expr1047 + expr208).*(expr1046 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1218 = expr1216 + expr1217;
GC(3, 11) = expr1218;

%%   First derivative w/r to b(1) of constraint #12
expr1219 = -2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr175.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr226.*expr227;
expr1220 = ((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr1215.*expr174.*expr176.*expr188.*(expr1046 + expr211).*((expr1047 + expr208).*(expr1046 + expr211)).^expr225.*expr226.*expr227;
expr1221 = expr1219 + expr1220;
GC(3, 12) = expr1221;

%%   First derivative w/r to b(1) of constraint #13
expr1222 = (-36.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1223 = 2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr175.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr226.*expr227;
expr1224 = ((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr1222.*expr176.*expr188.*(expr1057 + expr211).*((expr1058 + expr208).*(expr1057 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1225 = expr1223 + expr1224;
GC(3, 13) = expr1225;

%%   First derivative w/r to b(1) of constraint #14
expr1226 = -2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr175.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr226.*expr227;
expr1227 = ((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr1222.*expr174.*expr176.*expr188.*(expr1057 + expr211).*((expr1058 + expr208).*(expr1057 + expr211)).^expr225.*expr226.*expr227;
expr1228 = expr1226 + expr1227;
GC(3, 14) = expr1228;

%%   First derivative w/r to b(1) of constraint #15
expr1229 = (-49.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1230 = 2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr175.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr226.*expr227;
expr1231 = ((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr1229.*expr176.*expr188.*(expr1068 + expr211).*((expr1069 + expr208).*(expr1068 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1232 = expr1230 + expr1231;
GC(3, 15) = expr1232;

%%   First derivative w/r to b(1) of constraint #16
expr1233 = -2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr175.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr226.*expr227;
expr1234 = ((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr1229.*expr174.*expr176.*expr188.*(expr1068 + expr211).*((expr1069 + expr208).*(expr1068 + expr211)).^expr225.*expr226.*expr227;
expr1235 = expr1233 + expr1234;
GC(3, 16) = expr1235;

%%   First derivative w/r to b(1) of constraint #17
expr1236 = (-64.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1237 = 2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr175.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr226.*expr227;
expr1238 = ((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr1236.*expr176.*expr188.*(expr1079 + expr211).*((expr1080 + expr208).*(expr1079 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1239 = expr1237 + expr1238;
GC(3, 17) = expr1239;

%%   First derivative w/r to b(1) of constraint #18
expr1240 = -2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr175.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr226.*expr227;
expr1241 = ((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr1236.*expr174.*expr176.*expr188.*(expr1079 + expr211).*((expr1080 + expr208).*(expr1079 + expr211)).^expr225.*expr226.*expr227;
expr1242 = expr1240 + expr1241;
GC(3, 18) = expr1242;

%%   First derivative w/r to b(1) of constraint #19
expr1243 = (-81.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1244 = 2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr175.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr226.*expr227;
expr1245 = ((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr1243.*expr176.*expr188.*(expr1090 + expr211).*((expr1091 + expr208).*(expr1090 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1246 = expr1244 + expr1245;
GC(3, 19) = expr1246;

%%   First derivative w/r to b(1) of constraint #20
expr1247 = -2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr175.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr226.*expr227;
expr1248 = ((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr1243.*expr174.*expr176.*expr188.*(expr1090 + expr211).*((expr1091 + expr208).*(expr1090 + expr211)).^expr225.*expr226.*expr227;
expr1249 = expr1247 + expr1248;
GC(3, 20) = expr1249;

%%   First derivative w/r to b(1) of constraint #21
expr1250 = -4.*wp.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1251 = 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr175.*expr188.*expr226.*expr227 + expr1101.*(expr1101.*expr1102).^expr225.*(expr1103.*expr1104).^expr174.*expr1250.*expr176.*expr188.*expr221.*expr226.*expr227;
GC(3, 21) = expr1251;

%%   First derivative w/r to b(1) of constraint #22
expr1252 = -2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr175.*expr188.*expr226.*expr227 + expr1101.*(expr1101.*expr1102).^expr225.*(expr1103.*expr1104).^expr174.*expr1250.*expr174.*expr176.*expr188.*expr226.*expr227;
GC(3, 22) = expr1252;

%%   First derivative w/r to b(1) of constraint #23
expr1253 = -4.*ws.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1254 = 2.*(expr1108.*expr1109).^expr221.*(expr1110.*expr1111).^expr174.*expr175.*expr188.*expr226.*expr227 + expr1108.*(expr1108.*expr1109).^expr225.*(expr1110.*expr1111).^expr174.*expr1253.*expr176.*expr188.*expr221.*expr226.*expr227;
GC(3, 23) = expr1254;

%%   First derivative w/r to b(1) of constraint #24
expr1255 = expr478 + expr479 + expr480 + expr481 + expr482 + expr483 + expr484 + expr494 + expr495;
GC(3, 24) = expr1255;

%%   First derivative w/r to b(2) of constraint #1
expr1256 = 0;
GC(4, 1) = expr1256;

%%   First derivative w/r to b(2) of constraint #2
expr1257 = -b(2)./(2.*a(2).*sqrt(a(2).^2 + b(2).^2));
GC(4, 2) = expr1257;

%%   First derivative w/r to b(2) of constraint #3
expr1258 = -(wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1259 = 2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr187.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr226.*expr227;
expr1260 = ((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr1258.*expr176.*expr188.*(expr1001 + expr208).*((expr1001 + expr208).*(expr1000 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1261 = expr1259 + expr1260;
GC(4, 3) = expr1261;

%%   First derivative w/r to b(2) of constraint #4
expr1262 = -2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr187.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr226.*expr227;
expr1263 = ((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr1258.*expr174.*expr176.*expr188.*(expr1001 + expr208).*((expr1001 + expr208).*(expr1000 + expr211)).^expr225.*expr226.*expr227;
expr1264 = expr1262 + expr1263;
GC(4, 4) = expr1264;

%%   First derivative w/r to b(2) of constraint #5
expr1265 = (-4.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1266 = 2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr187.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr226.*expr227;
expr1267 = ((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr1265.*expr176.*expr188.*(expr1014 + expr208).*((expr1014 + expr208).*(expr1013 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1268 = expr1266 + expr1267;
GC(4, 5) = expr1268;

%%   First derivative w/r to b(2) of constraint #6
expr1269 = -2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr187.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr226.*expr227;
expr1270 = ((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr1265.*expr174.*expr176.*expr188.*(expr1014 + expr208).*((expr1014 + expr208).*(expr1013 + expr211)).^expr225.*expr226.*expr227;
expr1271 = expr1269 + expr1270;
GC(4, 6) = expr1271;

%%   First derivative w/r to b(2) of constraint #7
expr1272 = (-9.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1273 = 2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr187.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr226.*expr227;
expr1274 = ((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr1272.*expr176.*expr188.*(expr1025 + expr208).*((expr1025 + expr208).*(expr1024 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1275 = expr1273 + expr1274;
GC(4, 7) = expr1275;

%%   First derivative w/r to b(2) of constraint #8
expr1276 = -2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr187.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr226.*expr227;
expr1277 = ((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr1272.*expr174.*expr176.*expr188.*(expr1025 + expr208).*((expr1025 + expr208).*(expr1024 + expr211)).^expr225.*expr226.*expr227;
expr1278 = expr1276 + expr1277;
GC(4, 8) = expr1278;

%%   First derivative w/r to b(2) of constraint #9
expr1279 = (-16.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1280 = 2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr187.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr226.*expr227;
expr1281 = ((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr1279.*expr176.*expr188.*(expr1036 + expr208).*((expr1036 + expr208).*(expr1035 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1282 = expr1280 + expr1281;
GC(4, 9) = expr1282;

%%   First derivative w/r to b(2) of constraint #10
expr1283 = -2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr187.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr226.*expr227;
expr1284 = ((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr1279.*expr174.*expr176.*expr188.*(expr1036 + expr208).*((expr1036 + expr208).*(expr1035 + expr211)).^expr225.*expr226.*expr227;
expr1285 = expr1283 + expr1284;
GC(4, 10) = expr1285;

%%   First derivative w/r to b(2) of constraint #11
expr1286 = -(wp.^2.*b(2)) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1287 = 2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr187.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr226.*expr227;
expr1288 = ((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr1286.*expr176.*expr188.*(expr1047 + expr208).*((expr1047 + expr208).*(expr1046 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1289 = expr1287 + expr1288;
GC(4, 11) = expr1289;

%%   First derivative w/r to b(2) of constraint #12
expr1290 = -2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr187.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr226.*expr227;
expr1291 = ((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr1286.*expr174.*expr176.*expr188.*(expr1047 + expr208).*((expr1047 + expr208).*(expr1046 + expr211)).^expr225.*expr226.*expr227;
expr1292 = expr1290 + expr1291;
GC(4, 12) = expr1292;

%%   First derivative w/r to b(2) of constraint #13
expr1293 = (-36.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1294 = 2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr187.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr226.*expr227;
expr1295 = ((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr1293.*expr176.*expr188.*(expr1058 + expr208).*((expr1058 + expr208).*(expr1057 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1296 = expr1294 + expr1295;
GC(4, 13) = expr1296;

%%   First derivative w/r to b(2) of constraint #14
expr1297 = -2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr187.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr226.*expr227;
expr1298 = ((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr1293.*expr174.*expr176.*expr188.*(expr1058 + expr208).*((expr1058 + expr208).*(expr1057 + expr211)).^expr225.*expr226.*expr227;
expr1299 = expr1297 + expr1298;
GC(4, 14) = expr1299;

%%   First derivative w/r to b(2) of constraint #15
expr1300 = (-49.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1301 = 2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr187.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr226.*expr227;
expr1302 = ((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr1300.*expr176.*expr188.*(expr1069 + expr208).*((expr1069 + expr208).*(expr1068 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1303 = expr1301 + expr1302;
GC(4, 15) = expr1303;

%%   First derivative w/r to b(2) of constraint #16
expr1304 = -2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr187.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr226.*expr227;
expr1305 = ((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr1300.*expr174.*expr176.*expr188.*(expr1069 + expr208).*((expr1069 + expr208).*(expr1068 + expr211)).^expr225.*expr226.*expr227;
expr1306 = expr1304 + expr1305;
GC(4, 16) = expr1306;

%%   First derivative w/r to b(2) of constraint #17
expr1307 = (-64.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1308 = 2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr187.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr226.*expr227;
expr1309 = ((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr1307.*expr176.*expr188.*(expr1080 + expr208).*((expr1080 + expr208).*(expr1079 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1310 = expr1308 + expr1309;
GC(4, 17) = expr1310;

%%   First derivative w/r to b(2) of constraint #18
expr1311 = -2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr187.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr226.*expr227;
expr1312 = ((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr1307.*expr174.*expr176.*expr188.*(expr1080 + expr208).*((expr1080 + expr208).*(expr1079 + expr211)).^expr225.*expr226.*expr227;
expr1313 = expr1311 + expr1312;
GC(4, 18) = expr1313;

%%   First derivative w/r to b(2) of constraint #19
expr1314 = (-81.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1315 = 2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr187.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr226.*expr227;
expr1316 = ((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr1314.*expr176.*expr188.*(expr1091 + expr208).*((expr1091 + expr208).*(expr1090 + expr211)).^expr225.*expr221.*expr226.*expr227;
expr1317 = expr1315 + expr1316;
GC(4, 19) = expr1317;

%%   First derivative w/r to b(2) of constraint #20
expr1318 = -2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr187.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr226.*expr227;
expr1319 = ((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr1314.*expr174.*expr176.*expr188.*(expr1091 + expr208).*((expr1091 + expr208).*(expr1090 + expr211)).^expr225.*expr226.*expr227;
expr1320 = expr1318 + expr1319;
GC(4, 20) = expr1320;

%%   First derivative w/r to b(2) of constraint #21
expr1321 = -4.*wp.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1322 = 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr176.*expr187.*expr226.*expr227 + expr1102.*(expr1101.*expr1102).^expr225.*(expr1103.*expr1104).^expr174.*expr1321.*expr176.*expr188.*expr221.*expr226.*expr227;
GC(4, 21) = expr1322;

%%   First derivative w/r to b(2) of constraint #22
expr1323 = -2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr176.*expr187.*expr226.*expr227 + expr1102.*(expr1101.*expr1102).^expr225.*(expr1103.*expr1104).^expr174.*expr1321.*expr174.*expr176.*expr188.*expr226.*expr227;
GC(4, 22) = expr1323;

%%   First derivative w/r to b(2) of constraint #23
expr1324 = -4.*ws.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1325 = 2.*(expr1108.*expr1109).^expr221.*(expr1110.*expr1111).^expr174.*expr176.*expr187.*expr226.*expr227 + expr1109.*(expr1108.*expr1109).^expr225.*(expr1110.*expr1111).^expr174.*expr1324.*expr176.*expr188.*expr221.*expr226.*expr227;
GC(4, 23) = expr1325;

%%   First derivative w/r to b(2) of constraint #24
expr1326 = expr679 + expr680 + expr681 + expr682 + expr683 + expr684 + expr685 + expr695 + expr696;
GC(4, 24) = expr1326;

%%   First derivative w/r to c(1) of constraint #1
expr1327 = 0;
GC(5, 1) = expr1327;

%%   First derivative w/r to c(1) of constraint #2
expr1328 = 0;
GC(5, 2) = expr1328;

%%   First derivative w/r to c(1) of constraint #3
expr1329 = (wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1330 = (expr1004 + expr1005).*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr221.*expr1329.*expr174.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr226.*expr227;
expr1331 = -2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1332 = expr1330 + expr1331;
GC(5, 3) = expr1332;

%%   First derivative w/r to c(1) of constraint #4
expr1333 = (expr1004 + expr1005).*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr221.*expr1329.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1334 = 2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1335 = expr1333 + expr1334;
GC(5, 4) = expr1335;

%%   First derivative w/r to c(1) of constraint #5
expr1336 = (4.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1337 = (expr1004 + expr1016).*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr221.*expr1336.*expr174.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr226.*expr227;
expr1338 = -2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1339 = expr1337 + expr1338;
GC(5, 5) = expr1339;

%%   First derivative w/r to c(1) of constraint #6
expr1340 = (expr1004 + expr1016).*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr221.*expr1336.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1341 = 2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1342 = expr1340 + expr1341;
GC(5, 6) = expr1342;

%%   First derivative w/r to c(1) of constraint #7
expr1343 = (9.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1344 = (expr1004 + expr1027).*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr221.*expr1343.*expr174.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr226.*expr227;
expr1345 = -2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1346 = expr1344 + expr1345;
GC(5, 7) = expr1346;

%%   First derivative w/r to c(1) of constraint #8
expr1347 = (expr1004 + expr1027).*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr221.*expr1343.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1348 = 2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1349 = expr1347 + expr1348;
GC(5, 8) = expr1349;

%%   First derivative w/r to c(1) of constraint #9
expr1350 = (16.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1351 = (expr1004 + expr1038).*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr221.*expr1350.*expr174.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr226.*expr227;
expr1352 = -2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1353 = expr1351 + expr1352;
GC(5, 9) = expr1353;

%%   First derivative w/r to c(1) of constraint #10
expr1354 = (expr1004 + expr1038).*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr221.*expr1350.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1355 = 2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1356 = expr1354 + expr1355;
GC(5, 10) = expr1356;

%%   First derivative w/r to c(1) of constraint #11
expr1357 = wp.^2.*c(1) + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1358 = (expr1004 + expr1049).*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr221.*expr1357.*expr174.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr226.*expr227;
expr1359 = -2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1360 = expr1358 + expr1359;
GC(5, 11) = expr1360;

%%   First derivative w/r to c(1) of constraint #12
expr1361 = (expr1004 + expr1049).*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr221.*expr1357.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1362 = 2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1363 = expr1361 + expr1362;
GC(5, 12) = expr1363;

%%   First derivative w/r to c(1) of constraint #13
expr1364 = (36.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1365 = (expr1004 + expr1060).*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr221.*expr1364.*expr174.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr226.*expr227;
expr1366 = -2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1367 = expr1365 + expr1366;
GC(5, 13) = expr1367;

%%   First derivative w/r to c(1) of constraint #14
expr1368 = (expr1004 + expr1060).*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr221.*expr1364.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1369 = 2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1370 = expr1368 + expr1369;
GC(5, 14) = expr1370;

%%   First derivative w/r to c(1) of constraint #15
expr1371 = (49.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1372 = (expr1004 + expr1071).*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr221.*expr1371.*expr174.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr226.*expr227;
expr1373 = -2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1374 = expr1372 + expr1373;
GC(5, 15) = expr1374;

%%   First derivative w/r to c(1) of constraint #16
expr1375 = (expr1004 + expr1071).*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr221.*expr1371.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1376 = 2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1377 = expr1375 + expr1376;
GC(5, 16) = expr1377;

%%   First derivative w/r to c(1) of constraint #17
expr1378 = (64.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1379 = (expr1004 + expr1082).*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr221.*expr1378.*expr174.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr226.*expr227;
expr1380 = -2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1381 = expr1379 + expr1380;
GC(5, 17) = expr1381;

%%   First derivative w/r to c(1) of constraint #18
expr1382 = (expr1004 + expr1082).*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr221.*expr1378.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1383 = 2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1384 = expr1382 + expr1383;
GC(5, 18) = expr1384;

%%   First derivative w/r to c(1) of constraint #19
expr1385 = (81.*wp.^2.*c(1))./25 + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1386 = (expr1004 + expr1093).*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr221.*expr1385.*expr174.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr226.*expr227;
expr1387 = -2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1388 = expr1386 + expr1387;
GC(5, 19) = expr1388;

%%   First derivative w/r to c(1) of constraint #20
expr1389 = (expr1004 + expr1093).*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr221.*expr1385.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1390 = 2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr213.*expr227.*expr704;
expr1391 = expr1389 + expr1390;
GC(5, 20) = expr1391;

%%   First derivative w/r to c(1) of constraint #21
expr1392 = 4.*wp.^2.*c(1) + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1393 = (expr1101.*expr1102).^expr221.*expr1104.*(expr1103.*expr1104).^expr221.*expr1392.*expr174.*expr176.*expr188.*expr226.*expr227 - 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr176.*expr188.*expr213.*expr227.*expr704;
GC(5, 21) = expr1393;

%%   First derivative w/r to c(1) of constraint #22
expr1394 = (expr1101.*expr1102).^expr221.*expr1104.*(expr1103.*expr1104).^expr221.*expr1392.*expr176.*expr188.*expr221.*expr226.*expr227 + 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr176.*expr188.*expr213.*expr227.*expr704;
GC(5, 22) = expr1394;

%%   First derivative w/r to c(1) of constraint #23
expr1395 = 4.*ws.^2.*c(1) + 4.*c(1).*(c(1).^2 + d(1).^2);
expr1396 = (expr1108.*expr1109).^expr221.*expr1111.*(expr1110.*expr1111).^expr221.*expr1395.*expr174.*expr176.*expr188.*expr226.*expr227 - 2.*(expr1108.*expr1109).^expr221.*(expr1110.*expr1111).^expr174.*expr176.*expr188.*expr213.*expr227.*expr704;
GC(5, 23) = expr1396;

%%   First derivative w/r to c(1) of constraint #24
expr1397 = expr761 + expr762 + expr763 + expr764 + expr765 + expr766 + expr775 + expr776;
GC(5, 24) = expr1397;

%%   First derivative w/r to c(2) of constraint #1
expr1398 = 0;
GC(6, 1) = expr1398;

%%   First derivative w/r to c(2) of constraint #2
expr1399 = 0;
GC(6, 2) = expr1399;

%%   First derivative w/r to c(2) of constraint #3
expr1400 = (wp.^2.*c(2))./25 + 4.*c(2).*(c(2).^2 + d(2).^2);
expr1401 = (expr1002 + expr1003).*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr221.*expr1400.*expr174.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr226.*expr227;
expr1402 = -2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1403 = expr1401 + expr1402;
GC(6, 3) = expr1403;

%%   First derivative w/r to c(2) of constraint #4
expr1404 = (expr1002 + expr1003).*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr221.*expr1400.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1405 = 2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1406 = expr1404 + expr1405;
GC(6, 4) = expr1406;

%%   First derivative w/r to c(2) of constraint #5
expr1407 = (4.*wp.^2.*c(2))./25 + 4.*c(2).*(c(2).^2 + d(2).^2);
expr1408 = (expr1002 + expr1015).*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr221.*expr1407.*expr174.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr226.*expr227;
expr1409 = -2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1410 = expr1408 + expr1409;
GC(6, 5) = expr1410;

%%   First derivative w/r to c(2) of constraint #6
expr1411 = (expr1002 + expr1015).*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr221.*expr1407.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1412 = 2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1413 = expr1411 + expr1412;
GC(6, 6) = expr1413;

%%   First derivative w/r to c(2) of constraint #7
expr1414 = (9.*wp.^2.*c(2))./25 + 4.*c(2).*(c(2).^2 + d(2).^2);
expr1415 = (expr1002 + expr1026).*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr221.*expr1414.*expr174.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr226.*expr227;
expr1416 = -2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1417 = expr1415 + expr1416;
GC(6, 7) = expr1417;

%%   First derivative w/r to c(2) of constraint #8
expr1418 = (expr1002 + expr1026).*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr221.*expr1414.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1419 = 2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1420 = expr1418 + expr1419;
GC(6, 8) = expr1420;

%%   First derivative w/r to c(2) of constraint #9
expr1421 = (16.*wp.^2.*c(2))./25 + 4.*c(2).*(c(2).^2 + d(2).^2);
expr1422 = (expr1002 + expr1037).*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr221.*expr1421.*expr174.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr226.*expr227;
expr1423 = -2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1424 = expr1422 + expr1423;
GC(6, 9) = expr1424;

%%   First derivative w/r to c(2) of constraint #10
expr1425 = (expr1002 + expr1037).*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr221.*expr1421.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1426 = 2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1427 = expr1425 + expr1426;
GC(6, 10) = expr1427;

%%   First derivative w/r to c(2) of constraint #11
expr1428 = wp.^2.*c(2) + 4.*c(2).*(c(2).^2 + d(2).^2);
expr1429 = (expr1002 + expr1048).*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr221.*expr1428.*expr174.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr226.*expr227;
expr1430 = -2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1431 = expr1429 + expr1430;
GC(6, 11) = expr1431;

%%   First derivative w/r to c(2) of constraint #12
expr1432 = (expr1002 + expr1048).*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr221.*expr1428.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1433 = 2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1434 = expr1432 + expr1433;
GC(6, 12) = expr1434;

%%   First derivative w/r to c(2) of constraint #13
expr1435 = (36.*wp.^2.*c(2))./25 + 4.*c(2).*(c(2).^2 + d(2).^2);
expr1436 = (expr1002 + expr1059).*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr221.*expr1435.*expr174.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr226.*expr227;
expr1437 = -2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1438 = expr1436 + expr1437;
GC(6, 13) = expr1438;

%%   First derivative w/r to c(2) of constraint #14
expr1439 = (expr1002 + expr1059).*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr221.*expr1435.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1440 = 2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1441 = expr1439 + expr1440;
GC(6, 14) = expr1441;

%%   First derivative w/r to c(2) of constraint #15
expr1442 = (49.*wp.^2.*c(2))./25 + 4.*c(2).*(c(2).^2 + d(2).^2);
expr1443 = (expr1002 + expr1070).*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr221.*expr1442.*expr174.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr226.*expr227;
expr1444 = -2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1445 = expr1443 + expr1444;
GC(6, 15) = expr1445;

%%   First derivative w/r to c(2) of constraint #16
expr1446 = (expr1002 + expr1070).*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr221.*expr1442.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1447 = 2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1448 = expr1446 + expr1447;
GC(6, 16) = expr1448;

%%   First derivative w/r to c(2) of constraint #17
expr1449 = (64.*wp.^2.*c(2))./25 + 4.*c(2).*(c(2).^2 + d(2).^2);
expr1450 = (expr1002 + expr1081).*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr221.*expr1449.*expr174.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr226.*expr227;
expr1451 = -2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1452 = expr1450 + expr1451;
GC(6, 17) = expr1452;

%%   First derivative w/r to c(2) of constraint #18
expr1453 = (expr1002 + expr1081).*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr221.*expr1449.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1454 = 2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1455 = expr1453 + expr1454;
GC(6, 18) = expr1455;

%%   First derivative w/r to c(2) of constraint #19
expr1456 = (81.*wp.^2.*c(2))./25 + 4.*c(2).*(c(2).^2 + d(2).^2);
expr1457 = (expr1002 + expr1092).*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr221.*expr1456.*expr174.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr226.*expr227;
expr1458 = -2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1459 = expr1457 + expr1458;
GC(6, 19) = expr1459;

%%   First derivative w/r to c(2) of constraint #20
expr1460 = (expr1002 + expr1092).*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr221.*expr1456.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1461 = 2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr215.*expr226.*expr853;
expr1462 = expr1460 + expr1461;
GC(6, 20) = expr1462;

%%   First derivative w/r to c(2) of constraint #21
expr1463 = 4.*wp.^2.*c(2) + 4.*c(2).*(c(2).^2 + d(2).^2);
expr1464 = (expr1101.*expr1102).^expr221.*expr1103.*(expr1103.*expr1104).^expr221.*expr1463.*expr174.*expr176.*expr188.*expr226.*expr227 - 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr176.*expr188.*expr215.*expr226.*expr853;
GC(6, 21) = expr1464;

%%   First derivative w/r to c(2) of constraint #22
expr1465 = (expr1101.*expr1102).^expr221.*expr1103.*(expr1103.*expr1104).^expr221.*expr1463.*expr176.*expr188.*expr221.*expr226.*expr227 + 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr176.*expr188.*expr215.*expr226.*expr853;
GC(6, 22) = expr1465;

%%   First derivative w/r to c(2) of constraint #23
expr1466 = 4.*ws.^2.*c(2) + 4.*c(2).*(c(2).^2 + d(2).^2);
expr1467 = (expr1108.*expr1109).^expr221.*expr1110.*(expr1110.*expr1111).^expr221.*expr1466.*expr174.*expr176.*expr188.*expr226.*expr227 - 2.*(expr1108.*expr1109).^expr221.*(expr1110.*expr1111).^expr174.*expr176.*expr188.*expr215.*expr226.*expr853;
GC(6, 23) = expr1467;

%%   First derivative w/r to c(2) of constraint #24
expr1468 = expr909 + expr910 + expr911 + expr912 + expr913 + expr914 + expr923 + expr924;
GC(6, 24) = expr1468;

%%   First derivative w/r to d(1) of constraint #1
expr1469 = 0;
GC(7, 1) = expr1469;

%%   First derivative w/r to d(1) of constraint #2
expr1470 = 0;
GC(7, 2) = expr1470;

%%   First derivative w/r to d(1) of constraint #3
expr1471 = -(wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1472 = (expr1004 + expr1005).*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr221.*expr1471.*expr174.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr226.*expr227;
expr1473 = -2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1474 = expr1472 + expr1473;
GC(7, 3) = expr1474;

%%   First derivative w/r to d(1) of constraint #4
expr1475 = (expr1004 + expr1005).*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr221.*expr1471.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1476 = 2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1477 = expr1475 + expr1476;
GC(7, 4) = expr1477;

%%   First derivative w/r to d(1) of constraint #5
expr1478 = (-4.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1479 = (expr1004 + expr1016).*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr221.*expr1478.*expr174.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr226.*expr227;
expr1480 = -2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1481 = expr1479 + expr1480;
GC(7, 5) = expr1481;

%%   First derivative w/r to d(1) of constraint #6
expr1482 = (expr1004 + expr1016).*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr221.*expr1478.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1483 = 2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1484 = expr1482 + expr1483;
GC(7, 6) = expr1484;

%%   First derivative w/r to d(1) of constraint #7
expr1485 = (-9.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1486 = (expr1004 + expr1027).*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr221.*expr1485.*expr174.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr226.*expr227;
expr1487 = -2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1488 = expr1486 + expr1487;
GC(7, 7) = expr1488;

%%   First derivative w/r to d(1) of constraint #8
expr1489 = (expr1004 + expr1027).*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr221.*expr1485.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1490 = 2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1491 = expr1489 + expr1490;
GC(7, 8) = expr1491;

%%   First derivative w/r to d(1) of constraint #9
expr1492 = (-16.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1493 = (expr1004 + expr1038).*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr221.*expr1492.*expr174.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr226.*expr227;
expr1494 = -2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1495 = expr1493 + expr1494;
GC(7, 9) = expr1495;

%%   First derivative w/r to d(1) of constraint #10
expr1496 = (expr1004 + expr1038).*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr221.*expr1492.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1497 = 2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1498 = expr1496 + expr1497;
GC(7, 10) = expr1498;

%%   First derivative w/r to d(1) of constraint #11
expr1499 = -(wp.^2.*d(1)) + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1500 = (expr1004 + expr1049).*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr221.*expr1499.*expr174.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr226.*expr227;
expr1501 = -2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1502 = expr1500 + expr1501;
GC(7, 11) = expr1502;

%%   First derivative w/r to d(1) of constraint #12
expr1503 = (expr1004 + expr1049).*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr221.*expr1499.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1504 = 2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1505 = expr1503 + expr1504;
GC(7, 12) = expr1505;

%%   First derivative w/r to d(1) of constraint #13
expr1506 = (-36.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1507 = (expr1004 + expr1060).*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr221.*expr1506.*expr174.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr226.*expr227;
expr1508 = -2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1509 = expr1507 + expr1508;
GC(7, 13) = expr1509;

%%   First derivative w/r to d(1) of constraint #14
expr1510 = (expr1004 + expr1060).*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr221.*expr1506.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1511 = 2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1512 = expr1510 + expr1511;
GC(7, 14) = expr1512;

%%   First derivative w/r to d(1) of constraint #15
expr1513 = (-49.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1514 = (expr1004 + expr1071).*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr221.*expr1513.*expr174.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr226.*expr227;
expr1515 = -2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1516 = expr1514 + expr1515;
GC(7, 15) = expr1516;

%%   First derivative w/r to d(1) of constraint #16
expr1517 = (expr1004 + expr1071).*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr221.*expr1513.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1518 = 2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1519 = expr1517 + expr1518;
GC(7, 16) = expr1519;

%%   First derivative w/r to d(1) of constraint #17
expr1520 = (-64.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1521 = (expr1004 + expr1082).*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr221.*expr1520.*expr174.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr226.*expr227;
expr1522 = -2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1523 = expr1521 + expr1522;
GC(7, 17) = expr1523;

%%   First derivative w/r to d(1) of constraint #18
expr1524 = (expr1004 + expr1082).*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr221.*expr1520.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1525 = 2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1526 = expr1524 + expr1525;
GC(7, 18) = expr1526;

%%   First derivative w/r to d(1) of constraint #19
expr1527 = (-81.*wp.^2.*d(1))./25 + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1528 = (expr1004 + expr1093).*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr221.*expr1527.*expr174.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr226.*expr227;
expr1529 = -2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1530 = expr1528 + expr1529;
GC(7, 19) = expr1530;

%%   First derivative w/r to d(1) of constraint #20
expr1531 = (expr1004 + expr1093).*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr221.*expr1527.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1532 = 2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr213.*expr227.*expr782;
expr1533 = expr1531 + expr1532;
GC(7, 20) = expr1533;

%%   First derivative w/r to d(1) of constraint #21
expr1534 = -4.*wp.^2.*d(1) + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1535 = (expr1101.*expr1102).^expr221.*expr1104.*(expr1103.*expr1104).^expr221.*expr1534.*expr174.*expr176.*expr188.*expr226.*expr227 - 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr176.*expr188.*expr213.*expr227.*expr782;
GC(7, 21) = expr1535;

%%   First derivative w/r to d(1) of constraint #22
expr1536 = (expr1101.*expr1102).^expr221.*expr1104.*(expr1103.*expr1104).^expr221.*expr1534.*expr176.*expr188.*expr221.*expr226.*expr227 + 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr176.*expr188.*expr213.*expr227.*expr782;
GC(7, 22) = expr1536;

%%   First derivative w/r to d(1) of constraint #23
expr1537 = -4.*ws.^2.*d(1) + 4.*d(1).*(c(1).^2 + d(1).^2);
expr1538 = (expr1108.*expr1109).^expr221.*expr1111.*(expr1110.*expr1111).^expr221.*expr1537.*expr174.*expr176.*expr188.*expr226.*expr227 - 2.*(expr1108.*expr1109).^expr221.*(expr1110.*expr1111).^expr174.*expr176.*expr188.*expr213.*expr227.*expr782;
GC(7, 23) = expr1538;

%%   First derivative w/r to d(1) of constraint #24
expr1539 = expr837 + expr838 + expr839 + expr840 + expr841 + expr842 + expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*expr327.*(expr843 + expr844) + expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(expr845 + expr846);
GC(7, 24) = expr1539;

%%   First derivative w/r to d(2) of constraint #1
expr1540 = 0;
GC(8, 1) = expr1540;

%%   First derivative w/r to d(2) of constraint #2
expr1541 = 0;
GC(8, 2) = expr1541;

%%   First derivative w/r to d(2) of constraint #3
expr1542 = -(wp.^2.*d(2))./25 + 4.*d(2).*(c(2).^2 + d(2).^2);
expr1543 = (expr1002 + expr1003).*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr221.*expr1542.*expr174.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr226.*expr227;
expr1544 = -2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1545 = expr1543 + expr1544;
GC(8, 3) = expr1545;

%%   First derivative w/r to d(2) of constraint #4
expr1546 = (expr1002 + expr1003).*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr221.*expr1542.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1547 = 2.*((expr1002 + expr1003).*(expr1004 + expr1005)).^expr174.*expr176.*expr188.*((expr1001 + expr208).*(expr1000 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1548 = expr1546 + expr1547;
GC(8, 4) = expr1548;

%%   First derivative w/r to d(2) of constraint #5
expr1549 = (-4.*wp.^2.*d(2))./25 + 4.*d(2).*(c(2).^2 + d(2).^2);
expr1550 = (expr1002 + expr1015).*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr221.*expr1549.*expr174.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr226.*expr227;
expr1551 = -2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1552 = expr1550 + expr1551;
GC(8, 5) = expr1552;

%%   First derivative w/r to d(2) of constraint #6
expr1553 = (expr1002 + expr1015).*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr221.*expr1549.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1554 = 2.*((expr1002 + expr1015).*(expr1004 + expr1016)).^expr174.*expr176.*expr188.*((expr1014 + expr208).*(expr1013 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1555 = expr1553 + expr1554;
GC(8, 6) = expr1555;

%%   First derivative w/r to d(2) of constraint #7
expr1556 = (-9.*wp.^2.*d(2))./25 + 4.*d(2).*(c(2).^2 + d(2).^2);
expr1557 = (expr1002 + expr1026).*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr221.*expr1556.*expr174.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr226.*expr227;
expr1558 = -2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1559 = expr1557 + expr1558;
GC(8, 7) = expr1559;

%%   First derivative w/r to d(2) of constraint #8
expr1560 = (expr1002 + expr1026).*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr221.*expr1556.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1561 = 2.*((expr1002 + expr1026).*(expr1004 + expr1027)).^expr174.*expr176.*expr188.*((expr1025 + expr208).*(expr1024 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1562 = expr1560 + expr1561;
GC(8, 8) = expr1562;

%%   First derivative w/r to d(2) of constraint #9
expr1563 = (-16.*wp.^2.*d(2))./25 + 4.*d(2).*(c(2).^2 + d(2).^2);
expr1564 = (expr1002 + expr1037).*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr221.*expr1563.*expr174.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr226.*expr227;
expr1565 = -2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1566 = expr1564 + expr1565;
GC(8, 9) = expr1566;

%%   First derivative w/r to d(2) of constraint #10
expr1567 = (expr1002 + expr1037).*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr221.*expr1563.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1568 = 2.*((expr1002 + expr1037).*(expr1004 + expr1038)).^expr174.*expr176.*expr188.*((expr1036 + expr208).*(expr1035 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1569 = expr1567 + expr1568;
GC(8, 10) = expr1569;

%%   First derivative w/r to d(2) of constraint #11
expr1570 = -(wp.^2.*d(2)) + 4.*d(2).*(c(2).^2 + d(2).^2);
expr1571 = (expr1002 + expr1048).*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr221.*expr1570.*expr174.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr226.*expr227;
expr1572 = -2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1573 = expr1571 + expr1572;
GC(8, 11) = expr1573;

%%   First derivative w/r to d(2) of constraint #12
expr1574 = (expr1002 + expr1048).*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr221.*expr1570.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1575 = 2.*((expr1002 + expr1048).*(expr1004 + expr1049)).^expr174.*expr176.*expr188.*((expr1047 + expr208).*(expr1046 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1576 = expr1574 + expr1575;
GC(8, 12) = expr1576;

%%   First derivative w/r to d(2) of constraint #13
expr1577 = (-36.*wp.^2.*d(2))./25 + 4.*d(2).*(c(2).^2 + d(2).^2);
expr1578 = (expr1002 + expr1059).*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr221.*expr1577.*expr174.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr226.*expr227;
expr1579 = -2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1580 = expr1578 + expr1579;
GC(8, 13) = expr1580;

%%   First derivative w/r to d(2) of constraint #14
expr1581 = (expr1002 + expr1059).*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr221.*expr1577.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1582 = 2.*((expr1002 + expr1059).*(expr1004 + expr1060)).^expr174.*expr176.*expr188.*((expr1058 + expr208).*(expr1057 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1583 = expr1581 + expr1582;
GC(8, 14) = expr1583;

%%   First derivative w/r to d(2) of constraint #15
expr1584 = (-49.*wp.^2.*d(2))./25 + 4.*d(2).*(c(2).^2 + d(2).^2);
expr1585 = (expr1002 + expr1070).*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr221.*expr1584.*expr174.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr226.*expr227;
expr1586 = -2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1587 = expr1585 + expr1586;
GC(8, 15) = expr1587;

%%   First derivative w/r to d(2) of constraint #16
expr1588 = (expr1002 + expr1070).*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr221.*expr1584.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1589 = 2.*((expr1002 + expr1070).*(expr1004 + expr1071)).^expr174.*expr176.*expr188.*((expr1069 + expr208).*(expr1068 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1590 = expr1588 + expr1589;
GC(8, 16) = expr1590;

%%   First derivative w/r to d(2) of constraint #17
expr1591 = (-64.*wp.^2.*d(2))./25 + 4.*d(2).*(c(2).^2 + d(2).^2);
expr1592 = (expr1002 + expr1081).*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr221.*expr1591.*expr174.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr226.*expr227;
expr1593 = -2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1594 = expr1592 + expr1593;
GC(8, 17) = expr1594;

%%   First derivative w/r to d(2) of constraint #18
expr1595 = (expr1002 + expr1081).*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr221.*expr1591.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1596 = 2.*((expr1002 + expr1081).*(expr1004 + expr1082)).^expr174.*expr176.*expr188.*((expr1080 + expr208).*(expr1079 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1597 = expr1595 + expr1596;
GC(8, 18) = expr1597;

%%   First derivative w/r to d(2) of constraint #19
expr1598 = (-81.*wp.^2.*d(2))./25 + 4.*d(2).*(c(2).^2 + d(2).^2);
expr1599 = (expr1002 + expr1092).*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr221.*expr1598.*expr174.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr226.*expr227;
expr1600 = -2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1601 = expr1599 + expr1600;
GC(8, 19) = expr1601;

%%   First derivative w/r to d(2) of constraint #20
expr1602 = (expr1002 + expr1092).*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr221.*expr1598.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr221.*expr226.*expr227;
expr1603 = 2.*((expr1002 + expr1092).*(expr1004 + expr1093)).^expr174.*expr176.*expr188.*((expr1091 + expr208).*(expr1090 + expr211)).^expr221.*expr215.*expr226.*expr930;
expr1604 = expr1602 + expr1603;
GC(8, 20) = expr1604;

%%   First derivative w/r to d(2) of constraint #21
expr1605 = -4.*wp.^2.*d(2) + 4.*d(2).*(c(2).^2 + d(2).^2);
expr1606 = (expr1101.*expr1102).^expr221.*expr1103.*(expr1103.*expr1104).^expr221.*expr1605.*expr174.*expr176.*expr188.*expr226.*expr227 - 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr176.*expr188.*expr215.*expr226.*expr930;
GC(8, 21) = expr1606;

%%   First derivative w/r to d(2) of constraint #22
expr1607 = (expr1101.*expr1102).^expr221.*expr1103.*(expr1103.*expr1104).^expr221.*expr1605.*expr176.*expr188.*expr221.*expr226.*expr227 + 2.*(expr1101.*expr1102).^expr221.*(expr1103.*expr1104).^expr174.*expr176.*expr188.*expr215.*expr226.*expr930;
GC(8, 22) = expr1607;

%%   First derivative w/r to d(2) of constraint #23
expr1608 = -4.*ws.^2.*d(2) + 4.*d(2).*(c(2).^2 + d(2).^2);
expr1609 = (expr1108.*expr1109).^expr221.*expr1110.*(expr1110.*expr1111).^expr221.*expr1608.*expr174.*expr176.*expr188.*expr226.*expr227 - 2.*(expr1108.*expr1109).^expr221.*(expr1110.*expr1111).^expr174.*expr176.*expr188.*expr215.*expr226.*expr930;
GC(8, 23) = expr1609;

%%   First derivative w/r to d(2) of constraint #24
expr1610 = expr985 + expr986 + expr987 + expr988 + expr989 + expr990 + expr186.*expr188.*expr226.*expr227.*expr325.*expr326.*expr327.*(expr991 + expr992) + expr176.*expr198.*expr226.*expr227.*expr329.*expr330.*expr331.*(expr993 + expr994);
GC(8, 24) = expr1610;

end
